XFree86 4.4.0 (29 February 2004)
 821. Fix Radeon secondary head register initialization (Hui Yu@ATI,
      Benjamin Herrenschmidt).
 820. ati & atimisc module changes (Marc La France)
      - Allow builds with ATIAvoidNonPCI && !ATIAvoidCPIO;
      - Make handling of unknown Radeon's saner;
      - Add private option to re-enable BIOS display switches;
      - Deal with ati & atimisc module version skews;
      - Fix private option handling;
 819. Fix rendition driver system lockup on changes to text mode
      (Bugzilla #1204, Eric Wittry).
 818. Make the "fp=n" TTCap option behave the same with the FreeType backend
      as with the X-TT backend (Bugzilla #1163, Chisato Yamauchi).
 817. Fix the disappearance of the RAW_ASCENT, RAW_DESCENT, RAW_PIXEL_SIZE,
      and RAW_POINT_SIZE properties for the FreeType backend (Bugzilla #1163,
      Chisato Yamauchi).
 816. Fix a FreeType backend problem with the font ascent/descent being
      incorrect with some fonts (Bugzilla #1163, Chisato Yamauchi, reported by
      Michael Lampe).
 815. Fix for detection of hardwired panel for the via driver (Bugzilla #813,
      Luc Verhaegen, reported by Johannes Specht).
 814. Fix missing ';' in via_driver.c hidden by an empty macro (Bugzilla #813,
      Luc Verhaegen).
 813. Add FT_Get_Postscript_Name() to the freetype2 export list for OS/2.
      This is needed for the recent PostScript fontname property fix
      (Bugzilla #1189, Frank Giessler).
 812. Fix MGA driver for big endian and EXTRADEBUG compilation (derived from
      #6132, Rene Rebe).
 811. Turn off the GetDisplayInfo BIOS call by default and add an option 
      to turn it back on in the i810 driver. This fixes some lockup
      problems found with some Dell BIOS' (Alan Hourihane, Alain Poirier).
 810. Fix compile issue in imstt driver (#6140, Rene Rebe)
 809. Only reset primary head of a Radeon (#6133, Rene Rebe).
 808. Fix big-endian typo in xf86CopyYUV12ToPacked (#6131, Rene Rebe).
 807. Fix neomagic white screen/lockup bug introduced in 4.3.99.15 (Bugzilla
      #1179, #1157, David Dawes).
 806. Fixing DPMS: let modification of DPMS timeout take effect immeditately,
      don't activate DPMS when disabled (Egbert Eich).

XFree86 4.3.99.903 (15 February 2004)
 805. Resync the pci.ids data with pciids.sf.net (2004-02-15 snapshot).
 804. Improve X server performance on OS/2 when using TCP transport:
       - Let the server set TCP_NODELAY, et al.
       - Change the behavior of os2PseudoSelect() on sockets.
      (Bugzilla #1175, Frank Giessler).
 803. X server on OS/2 doesn't respect AutoRepeat on/off unless XKB is disabled
      (Bugzilla #1174, Frank Giessler).
 802. Licence update.
 801. Optimise SlowBcopy() for ia64 architecture (Marc La France).
 800. Simplify vgaHWSaveFonts() and vgaHWRestoreFonts() to fix hangs seen with
      certain nVidia boards on ZX1-based systems (Marc La France).
 799. Some more font path checks.
 798. Don't define X_LOCALE on Panther (Etsushi Kato and Toshimitsu Tanaka).
 797. Fix GL_VERSION string for indirect rendering (Bugzilla #1147, DRI Project)
 796. Fix the 1024x576 modes in the via driver (Bugzilla #812, Luc Verhaegen,
      reported by Julian Cable).
 795. Add uz_UZ locale (Bugzilla #1151, Mashrab Kuvatov).
 794. Fix font alias overrun.
 793. Fix for the way the FreeType backend sets the
      _ADOBE_POSTSCRIPT_FONTNAME property for Type1 fonts (Bugzilla #1123,
      David Dawes, based on Roland Mainz, reported by David Capshaw).
 792. Fix formatting of the XLookupString bytes that xev prints out (Bugzilla
      #1153, Noah Levitt).
 791. Likely fix for FreeBSD 5.2 libGL build problem (David Dawes, reported by
      Terry R. Friedrichsen).
 790. Fix typo in bsd_mouse.c (Tyler Retzlaff).
 789. Fix off-by-one errors in the emulation of an ix86's BT, BTS, BTR and BTC
      instructions (Marc La France).
 788. Fixing segfaults that may happen in some corner cases on VT switch
      and int10 initialization (Egbert Eich).
 787. Increase PCI I/O space size on Linux/PowerPC (Bugzilla #1143,
      Paul Mackerras).
 786. Fix DRI cleanup at exit and re-enabling on reset for the via driver
      (Bugzilla #998, Thomas Hellström).
 785. Fix Xv error propagation to the client for the via driver (Bugzilla #998,
      Thomas Hellström).
 784. Fix a problem when utilizing DrawArrays when indirect rendering
      (Bugzilla #1142, DRI Project).
 783. Xterm followup fix for Bugzilla #981 (Thomas Dickey).
 782. Fix EXT version of vertex arrays (DRI Project).
 781. Fix long-standing off-by-one bug in calculating dimensions of single
      (private) back cliprect when the window is partially offscreen in
      libdri.a (Keith Whitwell)
 780. Don't do the MGAISBUSY() loop in MGAStormSync() for Mystique cards
      because this reportedly results in an infinite loop (Bugzila #85,
      David Dawes, reported by Phil ??? and Stéphane VOLTZ).
 779. Make sure the r128 driver enables the hsync and vsync signals after
      programming a video mode (Bugzilla #935, Kevin Martin).
 778. Fix Multitexture problems with vertex arrays and indirect rendering
      (Bugzilla #1092, DRI Project).
 777. Fix SecondaryColor & FogColor when indirect rendering (Bugzilla #1091, 
      DRI Project).
 776. Fix build failures on Mac OS X 10.1.x (Torrey T. Lyons).
 775. Fix a timing problem in the nsc driver that prevents the display from
      working in some cases (Bugzilla #840, Hansruedi Glauser, Alan Hourihane).
 774. Via driver workaround to handle setting WC for the video memory when
      initially only part of it has WC set (Bugzilla #1010 Thomas Hellström).
 773. Fix the XAA clipping flags for the via driver, which fixes a line
      drawing problem seen with OpenOffice Calc (Bugzilla #1026,
      Thomas Hellström).
 772. HKSCS and GB18030 support for luit (Bugzilla #1048, Zarick Lau).
 771. Fix some remaining memory allocation related problems with the via
      driver (Bugzilla #998, Thomas Hellström).
 770. Add a UseRpath build switch to allow the use of -rpath to be enabled
      or disabled from the host.def file.  Implemented for *BSD, Hurd, Linux.
      The default settings remains as before (David Dawes).
 769. Add a root window property called XFree86_VT that holds the VT number
      that the XFree86 server is running on (Andrew Aitcheson, suggested by
      Samuel Thibault).
 768. Fix a problem where root window properties registered with
      xf86RegisterRootWindowProperty() are not re-registered after server
      regeneration (David Dawes, reported by Samuel Thibault).
 767. Fix xtest failures for the savage driver's zero width lines by
      removing the TwoPointLine and using only the Bresenham version
      (reported by Nicolas Joly).
 766. Fix refresh rate setting for 845G/856G systems that don't support the
      Intel-specific refresh rate BIOS calls (Bugzilla #1106, David Dawes,
      reported by Lucian Precup).
 765. Fixes/build updates for BSD/OS 5.1 and 4.3.1 (Bugzilla #1111, Kurt Lidl).
 764. Fix a problem in libXmu's FindChildren() that can cause a crash by
      copying memory from outside the bounds of an array (Bugzilla #1109,
      John Tillman).
 763. Add missing TimerCallback in trident_video.c to shutdown the video.
      This could account for many peoples lockups with video on Trident chips.
      Also, add a Wait for vsync when programming video modes to avoid lockups.
      (Yukun Chen, Alan Hourihane).
 762. Fix a lockup problem on Trident Blade3D engines by permanently turning
      on PCI Retry. Also sync the engine on CloseScreen and LeaveVT.
      (Yukun Chen, Alan Hourihane).
 761. Fix getaddrinfo() return value check in SmsGenerateClientID() that was
      causing a crash when the current hostname is unresolved, and returning
      a NULL id otherwise (Bugzilla #1096, David Dawes).
 760. Support automatic configuration of the X server on OpenBSD with 
      wsmouse-supported mices. (Matthieu Herrb).
 759. Updates for XKB keyboard maps:
      - Add Tibetan/Dzongkha keyboard layout (Bugzilla #1082, Gregory Mokhin).
      - Add three new Internet/multimedia keyboard descriptions
        (Bugzilla #1088, Radics Laszlo).
 758. Add overlooked SecondaryColor entries to AppleDRI indirect dispatch
      table (Torrey T. Lyons).
 757. Allocate pBIOSInfo->UserSetting in the via driver, which fixes a crash
      (James Harris).
 756. Fix Linux drm kernel modules to handle the nopage() prototype change in
      Linux 2.6.1 (Michel Dänzer, from DRI CVS).
 755. Fix use of dynamic xcursors on OS/2 (Bugzilla #1087, Frank Giessler).
 754. Fix the fbdev driver so that it allows 24-bit pixel size, and disable
      the RandR extension when rotation is enabled (Jonathan Thambidurai).
 753. Rendition driver fixes:
       - Fix the mode size limits so that the set of modes that the driver
         accepts isn't unnecessarily restricted.
       - Fix color palette refreshing after VT switching.
       - Fix a core dump at server exit with the hardware cursor was enabled.
       - Add checking for supported depths.  Without this the server could
         crash if an unsupported depth was specified.
      (Eric Wittry)
 752. Update XKB registry file rules/xfree86.xml (Sergey Oudaltsov).
 751. Fix some rules in en_US.UTF-8 Compose file (Bugzilla #1071,
      Matthew Fischer).
 750. Add some content (supported hardware and driver options) to the tdfx(4)
      man page (Bugzilla #1068, Nicolas Joly).
 749. Make '-pn' (partial network) the default for all X servers, and document
      the '-nopn' option (David Dawes).
 748. Allow rstartd.real to be installed into a location other than LIBDIR
      (#6034, Luke Mewburn).
 747. Allow xdm's chooser to be installed into a directory other than LIBDIR
      (#6033, Luke Mewburn).
 746. Add XKB description for the Logitech Access keyboard (#6026,
      Michael Geddes).
 745. Fix typo in computing xterm's relative font size (Jess Thrysoee).
 744. Fix typo in savage man page (Bugzilla #1065, Nicolas Joly).
 743. Fix for xf86Msg() call with swapped arguments (Bugzilla #1064,
      Nicolas Joly).
 742. Set the dependencies correctly for SCO shared libraries, and use gcc
      for linking instead of ld (Bugzilla #1045, Kean Johnston).
 741. Some cleanups for the SCO support, and a few changes required for
      compilation on UnixWare (Bugzilla #1045, Kean Johnston).
 740. Make the X server lock file code treat the display string in the same
      way as the local listener code (i.e., convert it to an integer then back
      to a string).  This fixes a problem where an non-numeric display
      argument could cause a second server to be started on display :0,
      replacing the local listener nodes for the original server.
      (Bugzilla #1056, David Dawes, reported by Robin Schoonover).
 739. Fix xfs and xdm core dumps in BecomeOrphan(), and rework/simplify
      the BecomeDaemon() code (Bugzilla #1060, #1074, David Dawes, 
      reported by Martin Birgmeier).
 738. Add a "VBERestore" option for the i830 part of the i810 driver, to
      allow the VBE restore bug workaround to be disabled.  This is needed
      for correct text mode restoration on some 830M-based machines
      (David Dawes, reported by Martin van Es).
 737. Fix memory leak when list of registered renderers are cleared at the
      start of each new server generation (Kevin Martin and Rik Faith).
 736. Fix memory double freeing at XIM destroying in imLcIm.c (Ivan Pascal,
      reported: Bugzilla #1015).
 735. Add xkb keymap for Microsoft Mutimedia Keyboard keys (Bugzilla #1052,
      Jacques Legare).
 734. Update Compose file for en_US.UTF-8 locale (Bugzilla #1053,
      Matthew Fischer) and fix wrong comment signs there (Ivan Pascal).
 733. VIA driver fixes:
       - Restructure the via driver's cache allocation to work with both
	 the VIA and new open DRI module, and remove the now unneeded
	 version check (Thomas Hellström, Alan Cox, bugzilla #998).
       - Remove special case lindvd hack (Alan Cox)
       - Add support for Xv when unaccelerated (Thomas Hellström)
      (Bugzilla #998, #1020, #1021).
 732. Check for a NULL argument in XSetICFocus() before dereferencing it.
      This fixes crashes with some XIM software (see
      http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=2961#c19).
 731. Improve the i810 bitblt bug workaround, and re-enable the pixmap cache
      at depth 24 (David Dawes).
 730. Workaround for lockup at mode switch with an i810 (David Dawes).
 729. Fix transparent mono 8x8 pattern fills for the i810 (David Dawes).
 728. Disable XKB by default in XDarwin (Torrey T. Lyons).
 727. Fix manpage build warnings on Panther (Matthieu Herrb).
 726. Make sure that the ring buffer is flushed in I810CloseScreen().  This
      fixes unpredictable behaviour that sometimes shows up after server
      exit/restart or server reset, including memory corruption, spontaneous
      reboots, etc, and some odd xtest behaviour (David Dawes).
 725. Xdmcp fixes for IPv6 and mixed IPv6/IPv4 operation. (Mario Klebsch, 
      Matthieu Herrb).
 724. Update rman by merging XFree86 changes to rman 3.2 (Thomas Dickey).
 723. Create fonts.scale and fonts.dir files in the target directories at
      'make install' time.  This fixes several problems where some font
      entries get left out (David Dawes).
 722. Add the Bitstream Vera fonts (Bitstream, Inc and The Gnome Project).
 721. Xterm patches #183, #184 (Thomas Dickey).
 720. Build fix for the Chips driver on Linux/arm (#6011, Michel Dänzer and
      Othmar Pasteka).
 719. Change v4l "norm" names to the bttv versions (#5993,
      Marco Antonio Alvarez).
 718. Fix for symbols/hr map (#5991, Vlatko Kosturjak).
 717. The current VIA DRI driver isn't remotely compatible with the current
      code, so make sure it isn't loaded by requiring version 2.0.0 or later
      (Alan Cox).
 716. Fix VIA KM400 memory detection (Luc Verhaegen, Bugzilla #813).
 715. Fix a long standing VIA Xv problem with totem/xine and YUV surface
      types (Uberto Barbini).
 714. VIA driver updates/fixes:
       - Remove HARDWARE_NEEDS_PROGRAMMED_ORIGIN (Bugzilla #1011).
       - Allocate the UserSetting structure and use it. Changed the names so
         its uses can be tracked through the tree (Bugzilla #1006, #1014).
       - Remove dead FIFO handling code.
       - Clean up formatting in via_bios.h, via_driver.h.
       - via_tuner module (1/2 of Bugzilla #1012, #1013):
         + Add via_tuner structures and methods.
         + Handle the back end work for boards with Philips SAA71xx
           devices on the I2C bus providing one or two TV overlays.
         + Handle CXA2104S audio decoder if present.
         + Handle FI1236 TV tuners if present.
       - Remove bogus DriverVersion, DriverName stuff.
       - Xv updates (Bugzilla #1013):
         + Remove DDR mode tables and compute supported overlay modes properly.
         + Remove various bits of dead code.
         + Probe for Tuners in the Xv setup.
	 + Don't advertise XvImageMask on the tuner overlays - they can't do it.
         + Clean up tuner channel computation.
         + Make the property setting code use the via_tuner backend.
         + Fix formatting of the various YUV copying loops.
      (Alan Cox).
 713. Add a missing code for jisx0208.1990-0.enc (Chisato Yamauchi).
 712. Xtt2 update: Restore the behaviour of "bw" TTCap option for Netscape 4.x.
      (Chisato Yamauchi).
 711. Fix neomagic driver default mode selection to match the detected
      panel size.  This allows it to work correctly with automatic
      configuration (David Dawes).
 710. Fixes and updates for XKB keyboard maps:
      - Fix Armenian phonetic keymap (Bugzilla #1016, Ani).
      - Fix rules for Brasilian ABNT2 keyboard (Ricardo Y. Igarashi).
      - Add Shift+CapsLock group switcher (Ivan Pascal, see Bugzilla #1025).
      - Update rules/xfree86.lst with missing descriptions (Ivan Pascal).
 709. Build fix for Solaris Express (Bugzilla #1032, Alan Coopersmith).
 708. Fix warning in lib/Xt/Alloc.c (Bugzilla #1035, Nicolas Joly).
 707. Fix short overflow problem with box clipping in fb/fbcopy.c
      (Bugzilla #978, Stephen McCamant).
 706. Fix logic in xterm's get_pty() for platforms where old-style pty's are
      preferred to /dev/ptmx (Bugzilla #997, Kean Johnston, Thomas Dickey).
 705. Fix handling of eightBitInput for UTF-8 locales in xterm (Thomas Dickey).
 704. Merge recent cygwin-related changes from freedesktop.org's config/cf
      (Thomas Dickey).
 703. Disable Xv in the via driver when acceleration is disabled (Alan Cox).
 702. Fix bugs caused by empty PCI buses on ZX1-based systems (Marc La France).
 701. Fix optional save/restore of BIOS area data in int10 module
      (Marc La France).
 700. Update Swedish localization of XDarwin GUI (Patrik Montgomery).
 699. Fixes to build/run on cygwin (Thomas Dickey).  This includes a workaround
      for _XtInherit by Ralf Habacker, needed to run applications such as xman.
 698. Warning fixes for gcc 3.3.2 (Marc La France).
 697. Fix file descriptor leaks in xdm (Marc La France).
 696. Fix memory leaks in libFS (Marc La France).
 695. Security fix:  change xdm to use mkstemp(), where available, instead of
      mktemp() (Marc La France).
 694. Update XKB registry file rules/xfree86.xml (Sergey Oudaltsov).
 693. Fix for FreeType-related crash when attempting to draw a missing glyph
      with constant-width fonts (Chisato Yamauchi).

XFree86 4.3.99.902 (18 December 2003)
 672. Fixes for xterm (Thomas Dickey):
      - Add a limit-check in selection to fix a bug in triple-clicking
        (Bugzilla #981)
      - add -v/-version/-h/-help options to uxterm (Debian #223926)
 671. Updates for SCO support (Bugzilla #994, Kean Johnston).
 670. Don't build the Aiptek driver unless HasLinuxInput is set
      (Bugzilla #972, Andrew Aitchison).
 669. A new fixed version of the zh_CN.UTF-8 locale file (Bugzilla #991,
      James Su).
 668. Fix locale.dir/locale.alias bugs that break the zh_CN.GB2312 locale
      (Bugzilla #990, James Su).
 667. Fixes and updates for XKB keyboard maps:
      - Add to 'us' keymap backslash key that can be rewritten in other layouts
        (Bugzilla #976, Børre Gaup).
      - Fix some keys in Georgian latin keymap (Bugzilla #985, Vano Beridze).
      - Add Korean keymap (Jungshik Shin).
      - Add French variant of 'dvorak' keymap (Josselin Mouette).
      - Fix wrong key type in the 'keymap without special keys' (Ivan Pascal).
 666. Via driver updates:
       - Fix pixmap caches and Xv. The blitter has a 2048 pixel limit so we
         must constrain the pixmap cache.
       - Rip out all the memory allocator garbage and put it in one place.
       - Allow optional use of AlanH's new linear allocator (not yet heavily
         tested).
       - Fix allocation bugs that this clean up made visible.
       - Add missing I2C symbols.
       - Some small formatting/other cleanups.
      (Alan Cox).
 665. Fix a problem with distinguishing unassigned characters in the FreeType
      backend (Bugzilla #975, Roland Mainz, Chisato Yamauchi).
 664. Update Japanese localization of XDarwin GUI (Toshimitsu Tanaka).
 663. Fix setjmp-related build issues on Solaris 2.5.1/x86 (Lindsay Haigh).
 662. Xdm, xf86cfg, mkfontscale and fonttosfnt fixes for platforms without
      snprintf() (Lindsay Haigh).
 661. Update Brazilian keyboard map (Ricardo Y. Igarashi).
 660. Fix a bug in the fbgc.c code that caused the even stipple code path to
      be used instead of the odd stipple path. Basically causing glitches in
      rendering or no rendering at all. (Alan Hourihane).
 659. Fix XDarwin crash in IOKit mode for certain screen resolutions
      (Torrey T. Lyons).
 658. DRI update - update the SiS DRI driver from DRI trunk (Eric Anholt).
 657. Fix mouse wheel code again for PowerPC (#5990, Rene Rebe).
 656. Fix sparc asm glapi initialisation in libGL when using indirect rendering
      (GLX) (Bugzilla #923, Ferris McCormick).
 655. Disable the OPTGX1SubsequentHorVertLine() function in the NSC Geode
      GX1 driver to due problems falling back to the FillRectSolid function.
      (Alan Hourihane, See Bugzilla #841 for reasons).
 654. Add sun.unicode.india-0.enc (Bugzilla #939, JungShik Shin, Roland Mainz).
 653. Fix an x86emu crash for a BIOS that references the FS (or GS) register
      (Sergey Babkin).
 652. Install the DRM kernel module source under ProjectRoot/src (David Dawes).
 651. Update XKB registry file rules/xfree86.xml (Sergey Oudaltsov).
 650. Fix '-nolisten tcp' when building with IPv6 disabled (Bugzilla #651,
      Andrew Bevitt).
 649. Add some missing dead-key compose sequences for Vietnamese (#5981,
      Le Hong Boi).
 648. Fix a problem with the v4l driver not seeing all the tv-norms
      available under the bttv driver with the Linux 2.6.0-test11 kernel
      (#5976, Marco Antonio Alvarez).
 647. Build fix after recent REGION_* changes (Part of #5983, Oswald
      Buddenhagen, and #5984, Alexander Stohr).
 646. Fix for XKB map 'altwin' to avoid one keysym to more than one modifier
      mapping (Ivan Pascal).
 
XFree86 4.3.99.901 ( 2 December 2003)
 645. Update xterm's checking of modifiers to match change 635, and handle
      the case of keys like Meta_L being in more than one modifier.  This
      addresses an issue arising from Bugzilla #924 (David Dawes).
 644. When XDM-AUTHORIZATION-1 is used with IPv6 IPv4-mapped addresses,
      (which should not happen with change 643, but can be done with other 
      xdm implementations) send the IPv4 address in the auth data; otherwise
      send fake data for alignement purposes. (Matthieu Herrb).
 643. Don't generate XDM-AUTHORIZATION-1 authentification data for 
      IPv6 connections (Matthieu Herrb).
 642. Fix fontconfig timestamp checking problem that shows up on JFS
      (Bugzilla #932, Frank Giessler).
 641. Restore VT ownership at XFree86 server exit on Linux.  Should do the
      same for other platforms that change change VT ownership at startup
      (Bugzilla #927, Andrew Bevitt).
 640. Fix Mesa/GL problem on Linux with -mcpu=ultrasparc (reported by
      Ferris McCormick).
 639. Fix a problem connecting to an IPv4-only X server running on a
      machine which happens to have an AAAA DNS record from a NetBSD or
      OpenBSD host with IPv6 configured (Matthieu Herrb).
 638. Don't use IPv6 sockets with IPv4-mapped addresses (::FFFF:w.x.y.z)
      when making IPv4 connections with the "tcp" transport type.  This
      fixes problems on platforms (such as FreeBSD 5.1) which disable
      IPv4-mapped addresses by default.  It also fixes a problem with
      XDM-AUTHORIZATION-1 for IPv4 connections with the default "tcp"
      transport as reported in Bugzilla #903 (David Dawes).
 637. Fix backward compatibility of Xlib+IPv6 for apps linked against a libc
      without IPv6 support (David Dawes).
 636. Restore the behaviour of scalable fonts.dir entries in directories with
      the ":unscaled" attribute (Chisato Yamauchi, David Dawes, reported by
      Mike Fabian).
 635. Fix xmodmap's output of the modifiers map when the first column keysym
      is empty (Ivan Pascal).
 634. Fixes for XKB keyboard maps:
      - fix Meta, Super, Hyper keysyms interpretation
      - fix typo in rules/xfree86.xml (Ivan Pascal).
 633. DRI updates.
      - Latest kernel drivers from the DRI trunk.
      - Fix FB_LOCATION in radeon driver (Michel Daenzer).
      - Texture managment code consolidation (Ian Romanick)
      - i830 stencil fix (Keith Whitwell)
      - mga blend fixes (Ville Syrjala)
 632. Fix a problem that prevented the i810 driver from using dot clocks less
      than 12MHz (which appear to work) (Bugzilla #925, Richard Dengler).
 631. Fix a server crash that can happen when loading some CID fonts
      (Bugzilla #906, David Dawes).
 630. Restructured version of the wacom driver, with support for TwinView,
      fixed bugs and added filters (Bugzilla #537, Ping Cheng).
 629. Fix libfontenc link failure on OS/2 (Bugzilla #921, Frank Giessler).
 628. OS/2 fixes:
       - Unable to connect to a font server.
       - SIGFPE in GLX.
      (Bugzila #920, Frank Giessler).
 627. Add a missing entry to big5hkscs-0.enc (Bugzilla #917, Jungshik Shin).
 626. Update libfreetype-xtt2 to version 1.1a:
       - Fixed erroneous method of making up italic bitmap.
      (Chisato Yamauchi, After X-TT Project).
 625. OS/2 build fixes:
       - Cleanup of bootstrap leftovers in xc/config/imake.
       - Explicitly define int32_t and int64_t in Mesa.
       - Missing Xft/Imakefile patch.
      (Bugzilla #915, Frank Giessler).
 624. Fix hide/unhide of XDarwin application with xpr when an AppleWM-aware
      window manager is not present (Torrey T. Lyons).
 623. Fix generic rootless code bug which caused the wrong region to be
      damaged on window resize (Torrey T. Lyons).
 622. Fix server crash when doing 'listwithinfo' of an outline font in
      a directory marked ":unscaled" (Bugzilla #911, David Dawes).
 621. Fix a key truncation problem with 'xauth add' (Bugzilla #903,
      David Dawes).
 620. With AppleDRI, don't use APPLE_fence as a replacement for NV_fence
      calls (John Harper).
 619. Fix intermittent XDarwin crash when quitting (Torrey T. Lyons).
 618. Build fixes and updates for GNU/Hurd and GNU/K*BSD systems (Bugzilla
      #907, #908, Robert Millan).
 617. Xterm fixes (Bugzilla #893, #905, Thomas Dickey).
 616. XDarwin fixes:
       - Fix intermittent crash on XDarwin startup.
       - Fix failure to redraw after resizing with cr implementation.
       - Fix install failure when DESTDIR is specified (Reported by
         Benjamin Reed).
      (Torrey T. Lyons).
 615. Add command line options to mkfontscale to enable/disable generation
      of iso10646-1 lines (Bugzilla #885, Roland Mainz).
 614. Add a more complete set of the encodings we support to mkfontscale
      (Bugzilla #884, Roland Mainz).
 613. Add ansi-1251 encoding file (Bugzilla #884, Roland Mainz).
 612. Update XDMCP to use the IPv6 multicast address that has been assigned
      by IANA.  Draft XDMCP 1.1 specs updated accordingly (Bugzilla #895,
      Alan Coopersmith).
 611. Add 'defined(VT_ACTIVATE)' to the test for platforms that support VT
      switching (based on Bugzilla #894, Robert Millan).
 610. Make several tests for glibc features glibc-specific rather than
      specific to the underlying OS (Bugzila #890, 891, Robert Millan).

XFree86 4.3.99.16 (20 November 2003)
 609. Fix 'constype' for modern framebuffers on Solaris (Bugzilla #890,
      Alan Coopersmith).
 608. Fix a thread deadlock problem in libXp (Bugzilla #887, Roland Mainz).
 607. Fix event buffer overrun in the wacom driver (Bugzilla #882, David Dawes,
      reported by Jonathan Hough).
 606. Add unmapping code to DGAUnmapPhysical() for most systems that use
      mmap().  Without this lots of map/unmap calls would result in running
      out of address space and/or file handles (Bugzilla #880, David Dawes,
      reported by Eckhard Neber).
 605. Restore the Windows keycodes in the 'xfree86' XKB keycodes map,
      and add the Solaris-compatible tokens as aliases (reported by
      Panagiotis Papadakos).
 604. Fix some problems building against external installations of
      freetype2 (David Dawes).
 603. Add font bounds checking to the X server side of the font server
      interface (Chisato Yamauchi, David Dawes).
 602. Fix ForcePCIMode option to work as advertised in Radeon driver
      (Bugzilla #850, Kevin Martin).
 601. Update the fonts document for the FreeType backend changes
      (Chisato Yamauchi, Reiko Nakajima, After X-TT Project).
 600. Don't allow the lack of "SUPERSCRIPT TWO" to prevent Adobe Standard
      Cyrillic encoded fonts from being accepted as "koi8" capable
      (Michail Vidiassov).
 599. Xvfb didn't have enough pixmap formats for Render (David Dawes).
 598. Fix the processing of xdm/config/Xres.cpp, which is broken with
      gcc 3.3.2 (reported by Chisato Yamauchi).
 597. Fix two problems with Xvfb:
        - Too much memory was allocated because of a confusion between
          bytes and pixels.
        - The XWD header was corrupted at server reset.
      (David Dawes).
 596. Fix several problems xwud has displaying TrueColor dumps (extreme
      slowness displaying on TrueColor visuals, and incorrectness displaying
      on DirectColor visuals) (David Dawes).
 595. Rank TrueColor above DirectColor in xwud.  This avoids colourmap flashing
      by default when running on a server with both visuals available
      (David Dawes).
 594. Build with Xplugin support by default on Panther (Torrey T. Lyons).
 593. On Mac OS X, allow "X -version" to work without connecting to
      CoreGraphics (Torrey T. Lyons, reported by Benjamin Reed).
 592. Don't optimize away window restacks in rootless mode (John Harper).
 591. Fix problems preventing mesa-based GLX from working with Xnest, even
      though it is linked in and advertised (David Dawes).
 590. Fix typing in XDarwin Preference panel going to X11 (Torrey T. Lyons).
 589. Fix rootless build after REGION_* macro rework (Torrey T. Lyons).
 588. Fix broken GLX indirect rendering (David Dawes).
 587. Fix the XKB definitions for the "Hiragana_Katakana" key, and fix
      some incorrect definitions in symbols/jp (Chisato Yamauchi).
 586. Change the mkfontdir wrapper script to invoke mkfontscale via its full
      path name (Chisato Yamauchi).
 585. Modify xf86config and xf86cfg to enable loading the "freetype" module
      (Chisato Yamauchi).
 584. Wrap ucs2any with ProgramTargetName in dependencies, as needed for
      OS/2, and note that OS/2 doesn't have basename(3) (Bugzilla #871,
      Frank Giessler).
 583. Fix atimisc's decoding of the mode on input for large panels
      (Marc La France).
 582. Fix SEGV when ATIPreinit() fails (Marc La France).
 581. In rootless XDarwin, don't send ButtonPress events when clicking in
      non-X11 windows (Torrey T. Lyons, John Harper).
 580. AppleWM compatibility fixes:
       - Disable XDarwin handling cut and paste if AppleWM-aware cut and
         paste manager is available.
       - Set _NATIVE_SCREEN_ORIGIN property on root window.
      (John Harper, Torrey T. Lyons).
 579. Change ProjectRoot from /XFree86 to /usr/X11R6 on OS/2 (Bugzilla #865,
      Frank Giessler).
 578. Fix building of new Mesa on OS/2 (Bugzilla #865, Frank Giessler).
 577. Change the way how libraries with long file names are handed on
      OS/2 (Bugzilla #865, Frank Giessler).
 576. Force screen blanking when entering DPMS states (Bugzilla #866,
      David Dawes, reported by Ed Fardos).
 575. XDarwin fixes/cleanups:
       - Handle X11 executables opened from the Finder.
       - Use xcodebuild instead of pbxbuild on Panther.
       - Clean up Darwin specific imake #defines.
       - Fix compiler warnings on Panther.
      (Torrey T. Lyons).
 574. A workaround for platforms (like *BSD) where IPv6 sockets don't accept
      IPv4 connections: disable IPv6 XDMCP code by default.  This allows IPv4
      XDMCP to work on such platforms (David Dawes).
 573. Rework REGION_* macros to eliminate NEED_SCREEN_REGIONS build failures
      (Marc La France).
 572. Fix an old bug in the X server and xfs related to usage of
      c->savedName (Bugzilla #818, Owen Taylor).
 571. Fix FontFileListOneFontWithInfo() so that it handles aliases in the
      same was as FontFileOpenFont() (Bugzilla #818, Owen Taylor).
 570. Respect USE_SSE_ASM for the .S files in the r200 and radeon 3D drivers.
      This should fix the reported OpenBSD build problem (David Dawes).
 569. Some missing FreeBSD AMD64/Sparc64 patches (Bugzilla #786, Eric Anholt).
 568. The call to xf86RandRSetMode() from xf86RandRCreateScreenResources()
      doesn't appear to be necessary.  Removing it restores the documented
      ViewPort behaviour when RandR is enabled (David Dawes).
 567. Make the vesa driver blank the screen during initialisation for
      cosmetic reasons (David Dawes).
 566. Make the cirrus driver blank the screen during initialisation for
      cosmetic reaons (most other drivers do this) (Bugzilla #781,
      Nicholas Miell).
 565. The vesa driver wasn't setting the viewport correctly either at
      ScreenInit or EnterVT (David Dawes).
 564. Fix the viewport initialisation.  The ViewPort parameters from the
      XF86Config file were being ignored, and the default was a 0,0 viewport
      rather than centred on the virtual screen as documented.  When RandR
      is enabled, it undoes all of this though... (David Dawes).
 563. Fix an off-by-one bug in libXcursor that can result in segfaulting
      applications (David Dawes, reported by Agustin Gianni).
 562. Fix RandR initialization problem when default screen resolution is
      different from the virtual resolution. (Bugzilla #853, Bob Paauwe).
 561. Fix an Xv problem with the via driver where updating a portion of the
      overlay causes excessive CPU usage (Bugzilla #821, Neil Terry).
 560. Fix an Xnest hang on OS/2 (Bugzilla #852, Frank Giessler).
 559. OS/2 update for the recent move to building most libraries shared,
      and add some functions to the export lists for freetype and Xt for
      compatibility with older applications (Bugzilla #852, Frank Giessler).
 558. Fix the installation location of the XRes and Xss manpage aliases
      (Bugzilla #848, ISHIKAWA Mutsumi).
 557. Include backwards compatibility API for renamed stream functions in
      Freetype2 library (Torrey T. Lyons).
 556. Fix acecad driver to call xf86DeleteInput() (Bugzilla #855, S. Voltz).
 555. Register to handle X11 executables on Panther (John Harper).
 554. Fixes for GLX on Mac OS X:
       - Make libGL not export libGLU symbols.
       - Fix uninitialized mutex for threaded direct GLX.
      (John Harper).
 553. Fix "Non-aligned pointer being freed" warnings on XDarwin startup
      (Torrey T. Lyons).
 552. Miscellaneous fixes for Panther:
       - Fix spurious #pragma getting inserted by cpp (Martin Costabel).
       - Fix startup failure due to bad keymapping file (Torrey T. Lyons).
       - Fix startup warning about missing semicolons (Torrey T. Lyons).
 551. Mesa X86 asm build fix for Solaris (David Dawes).
 550. Fix building libOSMesa on Darwin (Torrey T. Lyons).
 549. Get backlight working on Apple's GeForce4 powerbooks (Guido Guenther).

XFree86 4.3.99.15 ( 1 November 2003)
 548. Update libfreetype-xtt2 to version 1.1:
       - Improved the very lazy method.  To prevent displaying chipped bitmap
         when having italic angle, the lsb and rsb are adjusted by using
         italicAngle in post table.
       - Added automatic correction of bitmap position for preventing
         displaying chipped bitmap when using charcell or very lazy method.
       - Set DEFAULT_VERY_LAZY macro.  If post table is available, the very
         lazy method is used as default when handling multi-bytes fonts.
       - Added additional glyphs(0x2d21-0x2d7c) to jisx0208.1990-0.enc.
      (Chisato Yamauchi, After X-TT Project).
 547. Set the pixel clock limit above which hzoom is enabled for the video
      overlay for G450 and G550 cards to 234MHz.  This fixes a problem with
      the Xv support having half horizontal resolution (Michel Lespinasse).
 546. Add support on Mac OS X for building keymap using Carbon Keyboard
      Layout API (John Harper).
 545. Map holes in kdrive VESA driver (#5436, Juliusz Chroboczek).
 544. Add option to Radeon driver to allow minimum dot clock to be
      overridden (Bugzilla #831, Nils Philippsen).
 543. Add shared libraries run-path information to pkg-config datafiles
      provided for some libraries. (Bugzilla #832, Frederick Bruckman, 
      Matthieu Herrb).
 542. Fix buglets detected by SGI compiler in neomagic, sis and tseng drivers
      (Marc La France).
 541. Fix I/O alignment in mga and via drivers (Marc La France).
 540. Improve xkbcomp's key types auto-recognition (Ivan Pascal).
 539. Add support for multi-threaded direct GLX rendering with AppleDRI
      (John Harper).
 538. Fix a problem in Xlib that was cause by the ANSI prototype cleanups
      (Bugzilla #839, Owen Taylor).
 537. Limit the rate of duplicate audit messages in the X server. (Matthieu 
      Herrb, David Dawes).
 536. Fix ChipValidMode() return type (Marc La France).
 535. Fix for AGP8x support on HP zx1-based systems (Marc La France). 
 534. Workaround for mysterious segfault related to mkfontscale's use of
      memcmp()  (Marc La France).
 533. Support the new Linear allocator in the trident driver and make the
      hardware cursor use it. Xv automagically uses it. (Alan Hourihane).
 532. Fix acecad input driver build and re-enable it 
      (Bugzilla #816, Alan Hourihane).
 531. Fix DRM_CAS on ia64 as used by the DRI (Bugzilla #778, John Dennis).
 530. Call OsCleanup() at the end of each server generation, and add an
      argument to indicate when the server is terminating.  This allows
      misc end-of-generation cleanups to be added to OsCleanup() (David Dawes).
 529. Explicitly free the DPMS and ScreenSaver timer resources at the end
      of each server generation (David Dawes).
 528. Cygwin configuration updates and install script updates (Bugzilla #799, 
      805, Harold L Hunt II, Alexander Gottwald)
 527. Build shared libraries for Xt and Xaw on Cygwin. (Bugzilla #804, 
      Ralf Habacker).
 526. Xterm patches #180, 181 (Thomas Dickey).
 525. Update libfreetype-xtt2 to version 1.0d:
       - Fixed server crash caused by loading fonts for which encoding file
         does not exist.
       - Some fixes for minor bugs when handling errors.
       - Some minor cleanups.
      (Chisato Yamauchi, After X-TT Project).
 524. Export strl{cat,cpy} functions to the server modules and provide 
      an implementation for the systems that don't have them. (Matthieu 
      Herrb).
 523. Fixes and updates for XKB keyboard maps:
      - Update Serbian layouts (Bugzilla #92, Danilo Segan).
      - Add 'MS Windows like' US International variant for 'us' keymap (Ivan
        Pascal).
      - Change CapsLock default behavior to 'Caps acts as locking Shift,
        Shift cancels Caps'.  Add new type for four-level keys (Ivan Pascal).
 522. Fix generic rootless code bug which tests CopyWindow instead of CopyBytes
      (Kensuke Matsuzaki).
 521. Update libfreetype-xtt2 to version 1.0c.  This consists of some minor
      fixes and cleanups (Chisato Yamauchi, After X-TT Project).
 520. Add accelerated rootless drawing support and fix bug in rootless
      FillSpans (Torrey T. Lyons and John Harper).
 519. Update SiS driver:
      - Merge 661/741/760 support
      - Clean up
      - Fix Xv problems after swsuspend
      - Fix LCD-via-CRT1 on various machines
 518. Prevent some compilers from optimising out Mesa's X11 error interface
      (Marc La France).
 517. Add rules to generate post-processed and assembler source from C++ files
      (Marc La France).
 516. Change `make World` so that well it interrupts itself to build a utility
      (makedepend, pswrap, etc), it only builds that utility.  Some things were
      being built too early (Marc La France).
 515. When the i830 driver's checks for sufficient memory for tiled mode
      fail, don't later try to allocate with tiling enabled (David Dawes).
 514. Enable I845G_VBE_WORKAROUND in the i830 driver for all platforms, since
      this reportedly fixes VT switching problems on hardware other than the
      845G.
 513. Updated README.SiS (Thomas Winischhofer).
 512. Add the After X-TT Project's libfreetype-xtt2 1.0b fixes and
      enhancements to the "freetype" module (Chisato Yamauchi,
      After X-TT Project).  This should make it possible to deprecate the
     "xtt" module in a future release.  Fixes and enhancements include:
       - Fixed crash caused by using fonts which have OS2 sfnt table.
       - Corrected metrics calculation error.  Although the original code uses
         size->metrics, the FT_Size_Metrics does not have exact values when
         handling the outline.  So the codes for metrics calculation were
         drastically rewritten.
       - Fixed some problems with FreeTypeRasteriseGlyph():
          + Made "only metrics is required" distinct from "both metrics and
            rasterised bitmap are required" to improve performance when
            loading large charset.
          + Fixed the erroneous usage of freetype2 API.  To get valid metrics,
            FT_Outline_Get_BBox() or FT_Outline_Get_CBox() is used for outline.
          + Took the strange code for raster copying and rewrote it.
       - Fixed UNDERLINE_POSITION so that it counts downwards.
       - Fixed a risky calculational method for info->maxbound and
         info->minbound when spacing is not charcell.  All glyphs' metrics are
         calculated and valid info->maxbounds and info->minbounds are set
         without cutting any corners.
       - Added TTCap option "fn","ai","ds","fs","vl","cr","bw","eb","hi",
         "fc" and "fm" which are compatible with X-TT 1.4.
       - Supported character width for vertical layouts.
 511. Encoding file updates (After X-TT Project):
       - Removed jisx0208.1983-0.enc and added 'ALIAS jisx0208.1983-0' to
         jisx0208.1990-0.enc.
       - Added Windows ucs2 cmap(3,1) to jisx0208.1990-0.enc and
         jisx0201.1976-0.enc.
       - Added files for GB18030-0 and GB18030-1 (James Su).
 510. Update X-TrueType (X-TT) to version 1.4.2 (Chisato Yamauchi,
      After X-TT Project):
       - Fixed several bugs of make_up_italic_bitmap() function.
       - Changed the order of priority of mapIDRelations in JISX0208 and
         JISX0201 code converter. The windows ucs2 is given the highest
         priority for kochi-substitute Japanese fonts.
       - Fixed code relation in cc_jisx0208_to_std_ucs2() function
         (not 0x215d -> 0x00b1 but 0x215d -> 0x2212)
       - Added minor improvements.
 509. Fixes and updates for HTML and PDF versions of spec docs for
      installation and inclusion in the online docs (David Dawes).
 508. Implement SharedLibtoolLibraryTarget, etc for bsdLib/ELF, including
      creating links for older but compatible revisions of such
      libraries (David Dawes).
 507. Allow a simple form of option name aliasing for options handled
      via OptionInfoRec (David Dawes).
 506. Add optimized code for RENDER with rootless XDarwin (John Harper,
      Torrey T. Lyons).
 505. Declare LoadPalette, SetOverscan and DPMSSet as public functions through
      the XFree86's ScrnInfoRec, so these functions can be wrapped.
      (Alan Hourihane).
 504. XDarwin improvements:
       - Add complete server side support for AppleWM with xpr.
       - Allow Aqua and X11 windows to interleave when AppleWM-aware window
         manager is present.
       - Fix hang on server reset.
      (Torrey T. Lyons, John Harper).
 503. Fix double-free at server regeneration in the screensave/DPMS timer
      code (David Dawes).
 502. Build most libraries as shared by default. (Matthieu Herrb, 
      David Dawes).
 501. Add missing symbol definition files for libraries (Matthieu Herrb).
 500. Add 'inet' keymaps for two Logitec keyboard models (Bugzilla #762,
      Eric Mountain; Bugzilla #766, Chris Hornbaker) and cleanup Logitec
      keymaps (Ivan Pascal).
 499. Add missing SetScreenSaverTimer() to ProcSetScreenSaver (Ivan Pascal).
 498. Fix building on Mac OS X after DRI merge (Torrey T. Lyons).

XFree86 4.3.99.14 (10 October 2003)
 497. Add an xf86InitFBManagerLinear() function and implement the Linear
      allocation routines. These still fallback to XY area allocation if
      no (or the lack of) linear space is available. It assumes the driver
      has already called one of the init routines to the FBManager for Areas
      before this new setup can be used (Alan Hourihane).
 496. Added USB keyboard support for Solaris/x86 platform (Bugzilla #352,
      Daniel Rock).
 495. i830/i810 driver:
      * Added Christian Ziez's code to tweak BIOS image to convince chipset of
        resized video RAM.
      * Fixed viewport/video overlay window alignment issues.
      * Fixed calculation of video overlay memory size.
      * Fixed video overlay on TV out (Bugzilla #213). (Egbert Eich).
 494. Fixed mode setting in trident driver: use mode passed in function 
      argument, not value in currentMode (Bugzilla #197, Egbert Eich).
 493. Added delay when writing to Glint PM2 ramdac to avoid lockups 
      (Egbert Eich).
 492. Fixed bug in Glint Bresenham line fallback code that caused line be drawn
      beyond framebuffer boundaries (Bugzilla #624, Egbert Eich).
 490. Force sane pallette when entering DGA mode in Matrox driver 
      (Egbert Eich).
 489. ATI Rage128: Wait with modifying FP video mode according to BIOS values
      until final call of ValidMode() to prevent modes from being rejected
      (Bugzilla #661, Egbert Eich).
 488. Some Savage BIOSes turn on clock doubling on non-doubled modes. 
      Added code that catches and fixes this situation (Egbert Eich).
 487. Tdfx driver: Fixed order of initialization/deinitialization in 
      ScreenInit()/ CloseScreen().
      Fixed texture video support, removed artefacts in last line of overlay
      video support (Bugzilla #299). (Egbert Eich).
 486. Add "automatic configuration" support for the XFree86 server, allowing
      it to be started in a useful way without an XF86Config file.
       - Add support to the config file parser for processing internally
         supplied configuration data.
       - Modify the algorithm for finding core input devices to maximise the
         likelihood that they will be found.
       - Add a FindDevice function to the OSMouse interface, allowing
         an OS-specific function to be called to find the mouse device when
         none is specified in the configuration.  Implementations included for
         Linux and FreeBSD.
       - Add a GuessProtocol function to the OSMouse interface, allowing
         an OS-specific function to be called as a fallback when the mouse
         protocol can't otherwise be detected.  Implementation included for
         Linux.
       - Bump the OSMouse interface version to 1.1 with the addition of the
         above two functions.
       - An interface for calling an external utility "getconfig" to generate
         some configuration data.  Implementation of getconfig included.
       - Generate a default internal configuration, autodetecting as much
         as possible, with reasonable fallbacks.
       - Recognise "DefaultDepth" and "DefaultFbbpp" options in the Device
         section.
       - Add a "TargetRefreshRate" option to help prevent modes with too
         high a resolution (and poor refresh rate) being used as the default.
       - Use DDC-probed mode timings to estimate the monitor parameters when
         the DDC-probed information doesn't include a DS_RANGES property.
         This should improve the reliability of monitor auto-detection.
      (David Dawes, X-Oz Technologies).
 485. Add functions for checking option values without marking them as "used"
      (David Dawes).
 484. Add missing xf86ReplaceRealOption() function (David Dawes).
 483. Added support for Siliconmotion Cougar3DR chip (Bugzilla #754, 
      Chris Edgington).
 482. Cygwin:
      * Added another German keyboard layout.
      * Added Japanese keyboard layout to the list of defaults as jp.
      * Added a new default keyboard layout for Portuguese (Brazil, ABNT2).
      * Print the layout number in hexadecimal.
      * Display the argument to the -query option in the window title.
        (Bugzilla #763, Alexander Gottwald)
 481. Add processing for WM_WINDOWPOSCHANGED to cause window to repaint when
      using TweakUI's focus-follows-mouse behavior.  (Bugzilla #763, 
      Harold L Hunt II)
 480. Added runtime detection of SHM support by checking the return value of 
      shmget to the SHM and xf86BIGFONT extension to support SHM on Cygwin 
      (Bugzilla #764, Harold L Hunt II).
 479. Adding O_BINARY flag when opening an xkm file if this flag is defined
      (Bugzilla #768, Alexander Gottwald).
 478. Radeon driver fixes (Hui Yu@ATI)
      - 9200 DVI fix and TMDS_PLL initialization for all chips
      - New chips support (9800XT/SE, 9600XT/SE, M11, T2/X2 etc.)
      - Cleanup unused/secondary chip ids
      - Autodetect PCI cards
      - Add BusType to override PCI card autodetect
      - Add display bandwidth calculation routine to fix flickering/tearing
        display problem
      - Workaround for corrupted BIOS image causing incorrect panel size
      - Fix the LCD table reading loop
      - Various small changes (including improving DDC reliability and
        CRTC_MORE_CNTL initialization)
 477. Fix XAA Color8x8 cache bug:
      Pattern was expanded from source instead of destination
      (Thomas Winischhofer)
 476. Fixes and updates for XKB keyboard maps:
      - Add 'United Kingdom w/deadkeys' gb(intl) keymap (Bugzilla #744,
        Phil Jones).
      - Add multi_layout compliant 'us_intl' keymap (Ivan Pascal).
      - Fix 'macintosh' geometry file (Bugzilla #753, Simon Vallet).
 475. APM driver:
      . improved clock parameter calculation.
      . Fixed order of initialization of cursor.
      . Fixed restauration of graphical text mode.
      . Added YUY2 video format.
      . Corrected accel framebuffer pitches and max screen height 
      (Bugzilla #528, Egbert Eich).
 474. Moved DisableMMIO() out of the unmap() function, added call to 
      EnableMMIO() to EnterVT() to work around lockup problems when 
      switching between two Xserver (Bugzilla #748, Egbert Eich).
 473. Fixed problem with text widget in Xaw when widget has a different 
      depth than the default visual (Bugzilla #745, Wolfram Gloger).
 472. Fixed Sig11 when calling X -query with no ipv6 support in kernel 
      (Bugzilla #737, Egbert Eich).
 471. Added support for Sparc64 and AMD64 on FreeBSD.
      This patch also disables warnings from system headers, fixes some elf
      relocations also relevant for other platforms and disables translation of
      KEY_SysReqest and KEY_Break on sparc64. (Bugzilla #739, Eric Anholt).
 470. Switched VIA video driver to fillkey helper function (Bugzilla #525,
      Alan Cox).
 469. Fixed CRT modes > FP panel size for siliconmotion (Bugzilla #727, 
      Hugues Fournier).
 468. Fixed xedit coredumps: update counter of free objects when getting an
      object from the list (Bugzilla #722, Egbert Eich).
 467. Fixed definition of UseInstalledOnCrossCompile so that it never is
      undefined (Harlod L. Hunt II).
 466. Add the 'b' flag to fopen() when opening binary xkm files. This is
      irrelevant for *nix OSes, but required for Cygwin. (Bugzilla #689, 
      Harold L Hunt II).
 465. Cygwin:
      * MultiWindow Mode: Automatically validate the size of windows that are
        being resized.  (Earle F. Philhower III)
      * Safely shutdown the MultiWindow Mode and Clipboard Manager threads on
        server shutdown.  (Earle F. Philhower III)
      * MultiWindow Mode - Fix a crash from a string copy bug.  
        (Earle F. Philhower III)
      * Add lots of defaults for keyboardlayout.  (Alexander Gottwald)
      * Add a system tha allows arbitrary commands to be added to the tray menu
        icon.  (Earle F. Philhower III)
      * Print the name of the keyboardlayout to aid in adding more layouts. 
        (Alexander Gottwald)
      * Stop printing the IDirectDrawSurface4_Blt() failure messages after 10
        times.  (Harold L Hunt II)
      * Disable check for pc105 keyboard and just assume that it is present.  
        This check was causing problems with certain keyboard drivers that 
        failed to report that a pc105 keyboard was present. 
	(Alexander Gottwald)
      * MultiWindow Mode - Add handling for WM_CHANGE_STATE IconicState 
        messages;
      minimize the associated Windows window when these messages are
      received. (Harold L Hunt II).
      Submitted: (Bugzilla #704, Harold L. Hunt).
 464. cygwin.cf:
      * removed BuildDPS flag.
      * Changed Alloca flag as Cygwin 1.5.x supports alloca, now.
      * Use external expat package by default.
      * Changed XawI18nDefines to utilize improved wide char support in 
      Cygwin 1.5.x. (Bugzilla #699, Harold L. Hunt II). 
 463. Fixed C&T panel register setting (Akira Taniguchi, Egbert Eich).
 462. Fixing crash on ia64 because of wrong setjmp buffer alignment (Bugzilla
      #596, John Dennis).
 461. Changing ImPS/2 mouse Z-axis range to -8 to 7 (Bugzilla #691, 
      Matthew W. S. Bell, Egbert Eich).
 460. Making sure the compiled xkb config file is found by Xnest if 
      ProjectRoot is modified (Bugzilla #688, Frank Giessler).
 459. Fixing build of machine code .S files on OS/2 (Bugzilla #689, 
      Frank Giessler).
 458. Import Mesa 5.0.2 (Alan Hourihane).
 457. DRI merge (DRI Project)
      - Update the SiS driver to use Mesa 5.0
      - 
 456. Fixes and updates for XKB keyboard maps:
      - Update xkb geometry files (Alexander Pohoyda).
      - Fix German-Romanian maps (Manfred Pohler).
      - Cleanup Hungarian layout (Bugzilla #730, Egmont Koblinger).
 455. Change the order of the timeouts processing and the input devices
      reading in WaitForSomething() which caused unneeded keyboard autorepat
      events (Ivan Pascal).

XFree86 4.3.99.13 (25 September 2003)
 454. Add support for chip ID 5964 (Radeon 9200 SE) to the radeon driver, and
      fix detection of IDs 5962 and 5963 with Driver "ati" (Bugzilla #732,
      Michel Daenzer)
 453. Add gcc format checking for the X server's message and logging
      functions, and fix lots of associated warnings (David Dawes).
 452. Replace the perl version of ucs2any with a C version ( Ben Collver and 
      other NetBSD developers, Matthieu Herrb).
 451. For drivers that support 'Option "dri"' have the driver request
      loading the dri module when this option is true.  This brings
      it in to line with how other things are handled.  Other drivers
      that have DRI support need to have the "dri" option added (David Dawes).
 450. Fix libGL bug that could cause deadlock when switching contexts
      (John Harper).
 449. Improve the contrast of the whiteglass xterm cursor, and fix the
      hotspot of the whiteglass right_ptr cursor and add transparency
      to it (#5867, René Rebe).
 448. Fix a problem with the "pl2" (Polish qwertz) map where the order in
      which the Alt_R and Shift keys are pressed affects the results
      (Tom Pala).
 447. In xdm, use better pseudo-random number generators to generate
      magic cookies. Add support for EGD and other compatible entropy
      gathering daemons. (Oswald Buddenhagen from KDE, Matthieu Herrb).
 446. Fix IMPS/2 mouse wheel on platforms where char defaults to unsigned
      (Rene Rebe).
 445. Fix rare xterm crash on Darwin due to dyld deadlock when a signal comes
      in while dyld is looking up a symbol (Rob Braun).
 444. XDarwin cleanup and improvements:
      - Load bundle at runtime for chosen Quartz mode: xpr, cr, or fullscreen.
      - AppleWM extension has been generalized to work with any Quartz mode.
        Currently only the xpr implementation is complete.
      - Wrote a man page for AppleWM.
      - Moved hw/darwin/quartz/aqua* files that contained code to protect
        the alpha channel to miext/rootless/safeAlpha.
      (Torrey T. Lyons).
 443. Remove lots of redundant redeclarations (David Dawes).
 442. VIA driver:
      Fixed video memory detection. (Bugzilla #525, Alan Cox).
      Fixed TV and FP initialization problems (Bugzilla #525, Frederic Crozat,
       Alan Cox).
      Removed remaining globals (Egbert Eich).
 441. Fixed memory leaks in the loader (Bugzilla #682 and #683, Juergen Keil).
 440. Fixed erroneous freeing of DisplayModeRec in xf86DeleteMode() when
      deleting the modePool in xf86PruneDriverModes() the 'prev' member has
      a different meaning for modePool modes than for ScrnInfoPtr->modes modes
      where it creates a doubly linked list (Bugzilla #678, Juergen Keil).
 439. Fixed SDK for VIA driver (Bugzilla #674, Bernhard Rosenkraenzer).
 438. Extended list of monitor ranges and modes in xf86cfg (Egbert Eich).

XFree86 4.3.99.12 (10 September 2003)
 437. Move the X server log file handling from the XFree86 DDX to the DIX,
      allowing the more descriptive logging to be used throughout the server,
      and the log messages to be more uniform in formatting (David Dawes).
 436. Added support for the Compaq Evo keyboard (Stanislav Brabec).
 435. Fixed writes past end of array in via_bios.c (Bugzilla #662,
      Egbert Eich).
 434. Let luit copy the termios settings from the calling terminal (Bugzilla
      #641, Juliusz Chroboczek).
 433. Add _ADOBE_POSTSCRIPT_FONTNAME to the list of font properties xlsfonts
      that are atoms and should be converted to strings when run with the
      -ll flag. Also fixed the lenght problems that may arise (Bugzilla # 659,
      Alan Coopersmith).
 432. Backing out 321.: sysMem gets initialized once during server lifetime
      (Egbert Eich).
 431. Fixing X11.tmpl to set XFTINCLUDES after defining a non-standard path
      to fontconfig, adding FONTCONFIGINCLUDES to the build rules for fontconfig
      (Kevin P. Fleming).
 430. Added support for the hp5181 inet keyboard (Bugzilla #648, Alan Strohm).
 429. Added support for Apple Laptop keyboards, added level3/group switching to
      KP_Enter, modified layout so keyboards acts the same way as under Mac OS
      (Bugzilla #642, Frank Murphy).
 428. Adding ANGKHANKHU (U+0E5A) character to level 3 of keycode <AD09> on
      th_tis keymap (Theppitak Karoonboonyanan).
 427. Fixes and updates for XKB keyboard maps:
      - Add 'Romanian keymap for German keyboard' and 'Romanian keymap with
        access to German umlauts' (Manfred Pohler).
      - Update xfree86.dtd file (Sergey V. Oudaltsov).
      - Add an XkbOption that makes a keyboard map without special keysyms
        on Ctrl+Alt+smth for those who use such combinations for another
        purposes (Ivan Pascal).
 426. Reverse patch #423 because it causes compile problems (Ivan Pascal).
 425. Disable the bytecode interpreter by default in FreeType 1, bringing it
      into line with the default for FreeType 2.  Document how to enable
      it in xf86site.def for those with no legal impediment to doing so
      (David Dawes).
 424. Improvement of Xlib's keysym compose module:
      - Allow to figure out a mulibyte string if it is omitted in Compose file.
      - Add 'include' instruction with some substitutions.
      - Add a searching of Compose file as a value of XCOMPOSEFILE environment
        variable and as a $HOME/.XCompose file. (Ivan Pascal).
 423. Add a writing of some Xserver XKB module error messages into a servers
      log file (Ivan Pascal).
 422. Add Trident CyberBladeXP4 support, but acceleration is currently
      disabled. (Alan Hourihane).
 421. Xinstall.sh updates to reduce its reliance on external utilities and
      provide better diagnostics when required external utilities don't exist.
      (David Dawes).
 420. Fixes and updates for XKB keyboard maps:
      - Fix unneeded BKSL redefinition in Ukrainian 'winkeys' keyboard map
        (Andriy Rysin).
      - Fix some keycodes for jp106 keyboard model (Bugzilla #657,
        Stephen J. Turnbull).
      - Update xfree86.xml registry file (Andriy Rysin, Sergey V. Oudaltsov).
 419. Add a missing xf86UnblockSIGIO() call to xf86InstallSIGIOHandler()
      (#5839, NetBSD PR xsrc/22668, Yorick Hardy).
 418. Fix a problem with the "pl" map where the order in which the Alt_R and
      Shift keys are pressed affects the results (#5832, Tom Pala).
 417. Fix the warning generated by the ONE_LEVEL <RALT> definition in
      the "level3" map (#5832, Tom Pala).
 416. Remove the unnecessary dependence of RandR on RENDER (David Dawes).
 415. Remove some static variables that should be per-screen (David Dawes).
 414. SiS driver update:
      - Add 8x8 Color Pattern Fill (315/330 series)
      - Add transparency support for 8x8 Mono Pattern (300/315/330 series)
      - Fix Xv "insufficency" triggered by MPlayer (315 series)
 413. Add missing REQUEST_SIZE_MATCH() to xSyncSetCounter protocol request
      (noticed by Ruben Nunez Francisco).
 412. Allow building libOSMesa during non-XFree86 builds (Marc La France).
 411. Rip out incorrect limits on the number of PCI buses an ix86 chipset can
      handle and implement an improved solution for avoiding "phantom" PCI
      buses (Marc La France, Bugzilla #604).
 410. Fixes for potential integer overflows in font libraries. (blexim, 
      Matthieu Herrb).
 409. SiS driver: Add RENDER hardware acceleration
 408. Add a Fopen() function to open the Xauthority file without spawning
      a shell (Bugzilla #255, Aidan Kehoe, Matthieu Herrb). 
 407. Fix a bug introduced with #397 that results in the core pointer and
      keyboard devices specified in a ServerLayout section being ignored
      (David Dawes).
 406. Added big5hkscs encoding to font encoding files (Bugzilla #575, 
      Jungshik Shin).
 405. Don't call FBIOPAN_DISPLAY ioctl with arguments that will cause a
      confusing if harmless error; make an fbdevhw internal function static to
      fix a warning. (Michel Dänzer)
 404. Passing correct virtual screen size to xf86ValidateModes() in VIA driver
      (Luc Verhaegen).
 403. Added RGB overlays to i810 driver (Bugzilla# 625, Alastair M. Robinson).
 402. Fixed mode switching and mode comparison for xf86VidMode extension for S3
      driver (Bugzilla #613, Alexey Baj, Egbert Eich).
 401. Via driver: Fixed remaining globals, some formatting issues, out of 
      memory handling in Xv overlay code and a couple of small glitches caused 
      by the fixes (Bugzilla# 525, Alan Cox)
      Fixed some missing globals and static build (Egbert Eich).
      A handful globals still remain.
 400. Update the Xserver(1), XFree86(1) and XF86Config(5) man pages to
      clarify how XFree86 configuration/run-time parameters are specified
      and their order of precedence (David Dawes).

XFree86 4.3.99.11 (25 August 2003)
 399. Try to make the state of libXfont more consistent.  It shouldn't depend
      on whether a static or loadable XFree86 server is being built, so it
      now always has a dependency on the FreeType2 library (when FreeType
      support is enabled) (David Dawes).
 398. Make the specification of a Monitor in the Screen sections of the
      XF86Config file optional.  Some drivers may need changes (coming later)
      to maximise the utility of this (David Dawes).
 397. When a core keyboard or core pointer cannot be found in the
      configuration, create default ones.  The pointer part of this
      requires some changes to the mouse driver (coming later) before
      the default core pointer configuration will be useful on most
      platforms (David Dawes).
 396. Add a facility for assigning version numbers to builtin XFree86 server
      interfaces and allowing modules to query them.  Assign versions for
      the os-mouse and os-kbd interfaces (David Dawes).
 395. Include uname(2) information in the server's banner messages
      (Marc La France). 
 394. Fix bug in detection of multi-function PCI devices (Marc La France, in
      partial resolution of Bugzilla #574).
 393. Change the XFree86 server's global default depth to 16, and change most
      drivers that support the three common depths (8, 16, 24) to defer to
      the global default rather than specifying their own (David Dawes).
 392. Fixed a crash when _XIMProtoOpenIM(), hich is called through XOpenIM() 
      API when protocol IM is being set up,  fails (Bugzilla #618, 
      Hisashi MIYASHITA).
 391. Fixed a possible source of Sig11 in Jamstudio driver (Bugzilla #617,
      Jonathan Hough, Egbert Eich).
 390. Fixed building without RENDER support (Bugzilla #306, Matthieu Herrb, 
      Egbert Eich).
 389. Pass pointer obtained by Xalloc() to Xfree() not the one that may be
      manipulated in the mean time (Bugzilla #614, Alan Coopersmith).
 388. Added reverse mapping of keysyms to keycodes (XKeysymToKeycode())
      to xev to detect situations where this maps to a different keycode than
      the one of the key pressed (Egbert Eich).
 387. Made xauth called by startx quiet (Bugzilla #597, Stas Sergeev).
 386. Added missing operand size override handling to PUSH imm8 in x86emu
      (Bugzilla #590, Boris Weissman).
 385. Fixed compile glitch with NetBSD in xdm/genauth.c (Bugzilla #587, 
      Nicolas JOLY)
 384. Fix bugs in Xlib's EUC string converters that cause incorrect work of
      _Xmblen.  Fix _Xmblen usage in imCallbk.c when Xlib is built with
      X_LOCALE (Etsushi Kato).
 383. Update xev program for print the result of XmbLookupString call
      (Bugzilla #582, Noah Levitt, Ivan Pascal)
 382. Fixes and updates for XKB keyboard maps:
      - Fix for Uzbek keyboard map (Bugzilla #595, Mashrab Kuvatov).
      - Fix for the problem with Alt+Tab combinations in some window mangers
        (Bugzilla #580,616): window chooser menu doesn't disappear after
        Alt key release (Egbert Eich, Ivan Pascal).
 381. Allow a Display subsection with no depth or fbbpp specified to match
      any depth/fbbpp, and make Display subsections optional, creating one
      with default parameters when no suitable one can be found (David Dawes).
 380. Include <sys/param.h> to get the BSD macro for luit (ITO Tsuyoshi).
 379. DRM resync from the DRI trunk...
       - Lots of misc fixes/cleanups, and some resyncs with 2.4 and 2.6
         kernels.
       - Fix maplist entries being used after they were freed; thanks to
         Benjamin Herrenschmidt for tracking this down (Michel Daenzer).
       - FreeBSD updates (Eric Anholt).
       - Fail in DRM(agp_acquire) if the AGP aperture can't be used, such
         that the X server falls back to PCI GART or disables the DRI
         gracefully (Michel Daenzer).
       - Possibly fix stanford checker complaints about sarea for radeon
         (Keith Whitwell).
       - Restore i830 texture age waiting when swapping in new textures
         (Keith Whitwell).
       - Fix texture rectangle support for r100 (Keith Whitwell).
       - Add i810 add page flipping support to the DRM (Dave Airlie).
       - Merged DRM documentation (Jose Fonseca). 
       - r128 MESA_ycbcr_texture (Ian Romanick, Leif Delgass).
 378. Linux drm module build fixes for newish kernels from the DRI
      repository (Michel Daenzer, Linus Torvalds, Leif Delgass).  This
      addresses Bugzilla #603, 605 (Calum Mackay).
 377. Fix the test for 2.5.x with x < 52 Linux kernels for the drm module
      build (Bugzilla #601, Callum Mackay).
 376. Fix an XAA pixmap cache server crash that can happen in some cases
      when the off-screen memory is heavily fragmented (David Dawes, based
      on #5752, Koike Kazuhiko, Chisato Yamauchi).
 375. Fix for the Brazilian ABNT2 keyboard extra key that now translates to
      a different keycode value. Patch suggested by Ivan Pascal.
 374. Fixed XDarwin fullscreen crash in some screen sizes (Torrey T. Lyons).
 373. Be a little more precise about differentiating between active and
      inactive non-video PCI resources (Marc La France).
 372. Added Apple-WM extension and library (John Harper, Torrey T. Lyons).
 371. Fixed indirect GLX on Mac OS X when the client can not make a
      connection to the CoreGraphics window server (John Harper).
 370. Fixed support for 64bit PCI bus on 32bit systems (Egbert Eich).
 369. Added support for using aliases in the -nolisten option. '-nolisten tcp'
      aliases to IPv4 and IPv6 (Matthieu Herrb, Egbert Eich).
 368. Added fallback Xlib transport layer if IPv6 socket cannot be openend
      (Egbert Eich).
 367. Added missing symbol to the vbeSymbols table in i740 driver (Bugzilla
      #583, Egbert Eich).
 366. Changed scripts containing 'head -1' which is not supported by 
      POSIX 1003.1-2001 any more (Bugzilla #570, #569, Paul Eggert, 
      Egbert Eich).
 365. Changed POSIX 1003.1-2001 non-conformant 'sort +2' to 'sort -k 3' with
      backward compatibility (Bugzilla #568, Paul Eggert).
 364. Add Microsoft Pro OEM model to XKB inet map (Bugzilla #458,
      maxim@wzzrd.com)
 363. Extract the CHANGELOG's commit date and include it in the XFree86
      server log/version information (David Dawes).
 362. Change the way xf86Build.h is created so that it doesn't cause its
      dependencies to be rebuilt when its contents are not changed
      (David Dawes).

XFree86 4.3.99.10 (10 August 2003)
 361. Fixes and updates for XKB keyboard maps:
      - Added numpad:microsoft XKB option (Bugzilla #558, Will Styles).
      - Fixed inconsistence in indicator names (Bugzilla #577, Noah Levitt).
      - Added type6 model of Sun keyboard (Warren Turkal).
 360. Add UK (gb) layout to the dvorak XKB map (#5739, Mike Sulivan).
 359. More work on the NativeGDI server for Cygwin/XFree86. The span routines
      are nearing completion (albeit they run slowly until the higher
      level X primitive functions are implemented). The obvious issue with
      the current code is the problems surrounding 1-bit DIBsections which
      have msb/lsb issues compared to the other types of DIBsections.
      This work was done quite some time ago in the Cygwin/XFree86 CVS.
      (Alan Hourihane).
 358. SiS driver update:
      - Added pseudo-Xinerama extension for MergedFB mode
      - Fixes for Clevo L285/L287 (1024x768)
 357. Include Xmd.h in Xpm/lib/XpmI.h to get definitions of LONG64 
      (Bugzilla #562, John Dennis).
 356. Moved Meta_L/R keys and added Super_L/R keys on macintosh keyboard.
      This makes the layout more compatible to the PC keyboard layout 
      (Bugzilla #565, Frank Murphy).
 355. Add check for Xmalloc() return value in XGetErrorDatabaseText() to avoid
      Sig11 (Bugzilla #563, Alan Coopersmith).
 354. Separated build of libglx.a module and normal libglx.a library 
      (Bugzilla #541, Frank Giessler).
 353. Fixed build of Xnest, Xprt and Xvfb for OS/2 by linking with the linker
      definition files (Bugzilla #541, Frank Giessler).
 352. Fixed freeing of properties form xkb_geomerty block (Bugzilla #550, 
      Alexander Pohoyda).
 351. Fixed string octal number parsing and string to int conversion for "\00"
      in xkbcomp (Bugzilla #553, Egbert Eich).
 350. Removed stale definition from XftCompat.h (Bugzilla #543, Egbert Eich).
 349. Added XLC_LOCALE file for zh_CN.UTF-8, moved iso10646 encoding to the end
      in ja_JP, ko_KR and zh_TW UTF-8  XLC_LOCALE files 
      (Bugzilla #544, Akira TAGOH).
 348. Fixed typo in #if conditional in cfb code (Bugzilla #556, Dave Love).
 347. Fixed ValidMode() in C&T driver to work with option 'FixPanelSize' 
      (Egbert Eich).
 346. Fixed Meta_R key on us layout Macintosh keyboard (Bugzilla #539, 
      Frank Murphy).
 345. Add new charset sequence for CText at the end of list. This way the
      sequence of a charsets that were added earlier will be picked if two
      sequences for the same charset are registered (Bugzilla #228, 
      Egbert Eich).
 344. Use return value sysconf (_SC_OPEN_MAX) instead of the fixed number 256
      for allowed number of open files on POSIX.1 conformant systems
      (Egbert Eich).
 343. Added missing exported functions in libfreetype to compile mkfontscale,
      made mkfontsdir script install on platforms that use extensions (Bugzilla
      536, Frank Giessler).
 342, Fixed a sig11 in Xaw that may appear on the rare condition that no font
      can be found (Bugzilla #482, Egbert Eich).
 341. Added KP_Separator to symbols that can generate decimal() in xcalc
      (Egbert Eich).
 340. Disabled Color8x8PatternFill() in savage driver (Egbert Eich).
 339. Fixed a sig11 in twm when used with a session manager (Egbert Eich).
 338. Fixed rounding of refresh rate in RandR, updated Xrandr man page 
       (Bugzilla #527, Egbert Eich).
 337. Added MenuBorderWidth and MenuBorderColor options to twm (Bugzilla #529, 
      Alexander Pohoyda)
 336. Update for VIA driver:   
      - DGA no longer hangs (eg freedroidRPG now runs reliably)
      - Starting two copies of Xine no longer aborts the X server
      - Added support for KM400/K8M400
      - Improved video overlay support.
      - Fixed video overlay clipping when the image cliprects change but 
	not the size.
      - TV tuner support via XV interface for two overlay ports.
      - DRI support (the client side library is not yet fully ported to 4.3).
      - Disable Xv in modes with insufficient bandwidth (1600c1200x16).
      - Updated documentation
	It differs from the base VIA codedrop.
      - Several of the fixes were done by me on top of it (the dual Xine fix,
	and bandwidth)
      - Various system types have been turned to CARD32 to make the code 
	portable
      - The hybrid Video4Linux/XV glue was racy and has been removed 
	(the XV layer is more than sufficient anyway)
      - DRI library client code is not included (porting not yet finished)
      - Additional debugging
        (Bugzilla #525, VIA, Alan Cox) .
      - Cleaning up namespace pollution, removing dependency on via_drm.h
	removing some global symbols from driver (Egbert Eich).
        Please note: there are more global symbols yet to be removed.
 335. Remove the 'xc/xkbcomp/geometry/HP' directory from the CVS repository.
 334. Substantial rewrite of the "nv" driver (Mark Vojkovich).
 333. Resync with Cygwin/XFree86 changes up to Test92 (#5721, Harold Hunt and
      the Cygwin/XFree86 project).
 332. Add a clean target for Cygwin's ResourceObjectRule() rule (#5720,
      Harold Hunt).
 331. Fix xman's formatting/displaying of manual pages on Darwin, where
      'groff' defaults to PostScript formatting (#5719, T. M. Pederson).
 330. SiS driver update:
       - Fixed SiS 620 support
       - Added interface for sisctrl utility
      (Thomas Winischhofer)
 329. Fixes for regressions in xauth and xhost with IPv6 code
      (Matthieu Herrb, Hideki ONO). 
 328. Update X-TrueType (X-TT) to version 1.4.1 (Chisato Yamauchi,
      After X-TT Project):
       - Extension of code converter modules for ARABIC, ARMSCII8,
         BIG5HKSCS, GB18030, ISO8859.*, etc. (Pablo Saratxaga, James Su)
       - Try to use TT_Load_Glyph_Bitmap() in get_metrics() when `bs'
         option is not set.
       - Use Embedded Bitmap with the option `eb=y' when Auto Italic is set.
       - Enhancements for `ds', `eb' and `bw' options.
       - New options for TTCap, `fc' and `fm': they enable the *extremely*
         fast loading of big Japanese or unicode fonts with `-p-' in the XLFD.
       - Performance improvement of FreeTypeGetMetrics() function.
       - Improved performance based on the solution to the buffer
         overflow problem, caused by exceeding the range of
         maxbounds.ascent/maxbounds.descent.  This problem occurred only
         when `-m-' spacing was used.
       - Improved fix to crashes caused when certain fonts (e.g. verdana.ttf)
         are used; solution based on investigating the true nature of the
         problem.
       - Added patch for mktcapdir-0.5.4 and some ttfconf files suitable for
         X-TT 1.4.0.
       - Preparation for extending the encoding field of XLFD.  X-TT permits
         the following additional XLFD format:
            "-foo-foo-medium-r-normal--0-0-0-0-c-0-foo.2000-0.0"
            "-foo-foo-medium-r-normal--0-0-0-0-c-0-foo.2000-0.1"
         The last number can be used to indicate the plane number of a huge
         character set.
       - Support for reverse `fc' specification. `fc=0xaa00-0xa0ff' means
         specifying the ranges 0x0000-0xa0ff and 0xaa00-0xffff.  This is
         useful for GB18030 proportional fonts.
       - Improved fix for server crash that appears on Linux/PPC.
       - Added ksc5601.*-3 and ksx1001.*-3 to KSCJOHAB/main.c (Jungshik Shin).
       - Added U+20AC and U+00AE characters to KSCJOHABtoUCS2.c and
         KSC5601toUCS2.c (Jungshik Shin).
       - Fixed an X server crash when using LucidaSansRegular.ttf
         (reported by Koike Kazuhiko).
       - Improved fix to prevent NULL dereference when the font cache
         becomes full; solution by allocation of a dummy area for bitmap.
       - Fixed an X server crash because of an inconsistency problem between
         XFree86 and X-TT (reported by Koike Kazuhiko).
       - Numerous minor improvements.

XFree86 4.3.99.9 (25 July 2003)
 327. Add Mach64 I2C framework.  Derived from GATOS project (Marc La France).
 326. Removed ru_yawerty xkb symbols file as it is misleading as suggested
      by Ivan Pasacal (Bugzilla #516, Ivan Pascal).
 325. Fixed two bounds errors in rman 
      (Bugzilla #505, Dan Nelson, Bugzilla #506,  Eric Anholt).
 324. Cleaned up MMIO map/unmap in RADEONPreInit(), unmapped MMIO in 
      CloseScreen() even when server is switched away (Bugzilla #504, 
      Hui Yu, Egbert Eich).
 323. Modified transport code so that a bind to an IPv4 socket fails silently
      when the bind to an IPv6 socket for the same port was successful.
      This works around a problem in theIPv6 implementation on some OSes
      that also handle IPv4 calls over IPv6 sockets (Egbert Eich).
 322. Simplified handling of the -nolisten option as suggested by 
      Alan Coopersmith. This option can now be issued multiple times.
 321. Added code to unmap sysMem when freeing int10 (Bugzilla #504, 
      Frank Giessler).
 320. Fix generic rootless crash while resizing when CopyBytes is not defined
      by the implementation (Torrey T. Lyons).
 319. Fix XDarwin Cocoa rootless crash when unshaping a shaped window
      (Torrey T. Lyons).
 318. More IPv6 changes from Alan Coopersmith as follows:
      - Add support for IPv6 bracketed numeric addresses, similar to RFC 2732
        syntax to a number of areas.
      - Fix some issues with colon parsing and determining which addresses are
        DECnet (two colons between hostname and display number) and which are
        non-bracketed IPv6 numeric addresses ending in two colons, followed by
        another colon and the display number (three colons in a row).
      - Fix additional places Fabio forgot to change the string length when
        switching "inetv6" to "inet6".
      - Use MAXHOSTNAMELEN if it is defined for MAXHOSTNAME in xrdb.  (Perhaps
        NI_MAXHOST should be used as well on platforms that support it.)
      - Make #include <sys/socket.h> in Xtrans.h look like the other places
        it's included in the tree, with checks for Lynx & Win32
 317. IPv6:  2003.07.11 update to X.Org's response to comment #13;  i.e.
      s/FamilyInternetV6/FamilyInternet6/g  (Marc La France).
 316. IPv6 build fixes for older Linux systems;  Many of these are derived from
      a suggestion by Alan Coopersmith (Marc La France).
 315. Change DEVID macro to work around glitch in SCO's C compiler
      (Marc La France).
 314. Fixed Radeon driver so that clone modes survive server reset 
      (Bugzilla #487, Egbert Eich).
 313. Changed behavior of FreeType and Type1 renderer: when no encoding file
      is found fail with BadFontName instead of using an iso8859-1 encoding
      (Bugzilla #479, Roland Mainz, Juliusz Chroboczek, Egbert Eich).
 312. Fixed screen switching problem on SCO where VT was off by one 
      (Bugzilla #470, Kean Johnston).
 311. S3 driver:
      . allow only specific displayWidths when acceleration is enabled 
      . added double_scan support (Egbert Eich).
 310. Removed build rules for hp Xserver that was recently removed from 
      Xserver/Imakefile (Egbert Eich).
 309. Fixes for C&T driver: 
      . switch to SW mouse in doublescan modes.
      . centered video correctly for all interlaced modes (docs were
        misleading).
      . fixed README (Egbert Eich).
 308. Fixed a typo in mkfontscale (Bugzilla #491, Juliusz Chroboczek).
 307. A lot of X server prototype cleanups, including fixing an
      inconsistency between the cfbBitBlt and CopyPlane functions 
      exposed by the prototyping (#A.1859, Alexander Stohr).
 306. Fix missing newline in Message -> MessageF transition in dri_glx.c
      (#A.1833, Alexander Stohr).
 305. Fill out the sunleo man page (#A.1783, Arnaud Quette).
 304. Fix a typo in the XSetWMProtocols(3) man page (#5697, Alexander Pohoyda).
 303. Fix for a few Xlib charset converters (Bruno Haible).
 302. Fix calculation of CRTC2 frame offset with page flipping in radeon driver
      (Michel Daenzer)
 301. Xinerama-fy the XTest extension (Rik Faith).

XFree86 4.3.99.8 (10 July 2003)
 300. X.Org IPv6 changes (Bugzilla #227, Alan Coopersmith, Marc La France).
      See http://www.x.org/IPV6_Specific_Changes.html for details.  This has
      been further modified as follows.
      - Deal with small memory leaks in xdm & xauth.
      - Fix a number of compilation issues.
      - Where supported, use SIOCGLIFCONF to query network interfaces on more
        than only Solaris.
      - Incorporate X.Org responses to comments #'s 1, 2, 4, 5, 7, 10, 11, 12,
        13, 14 and 15 (taken from an X.Org-internal document dated 2003.06.17).
      - Replace HasIPv6 imake symbol with BuildIPv6, defaulting it to YES, and
        build in IPv6 support whenever BuildIPv6 is asserted _and_ the OS
        #define's AF_INET6.  This is to maximise IPv6 code exposure and
        eliminate <OS>.cf file changes to support IPv6.
 299. On Solaris, don't allow remote root xdm logins if CONSOLE is set in
      /etc/default/login (Bugzilla #227, Alan Coopersmith).
 298. Fix SEGV in fstobdf when font server is not specified and FSServerName()
      returns NULL (Bugzilla #227, Alan Coopersmith).
 297. Fix XDMCP bug that could cause local host entries in /etc/X0.hosts to be
      lost (Bugzilla #227, Alan Coopersmith).
 296. Make certain xtrans static variable volatile to avoid optimisation issues
      that occur when they are modified by SIGALRM handlers
      (Bugzilla #227, Alan Coopersmith).
 295. Use %p instead of %x to print pointer values in xtrans debug messages to
      avoid overflow on platforms with 32-bit ints & 64-bit pointers
      (Bugzilla #227, Alan Coopersmith).
 294. Change SUN-RPC code to use authdes_seccreate() call rather than the
      deprecated authdes_create() (Bugzilla #227, Alan Coopersmith).
 293. Add xdm /dev/random handling for Solaris
      (Bugzilla #227, Alan Coopersmith).
 292. Solaris compile fixes (Bugzilla #227, Alan Coopersmith).
 291. Update X.Org version numbers to X11R6.6 or X11R6.7 and replace old
      references to X Consortium with X.Org (Bugzilla #227, Alan Coopersmith).
 290. Update the usage of DRM AGP handles so that valid handles aren't
      mis-interpreted as invalid handles (based on Bugzilla #484, Dave Airlie).
 289. Twisting fontfile.c and fontdir.c to be able to pass all fonts (bitmap
      and scaleable) to the scalable renderer as this one can deal with 
      XLFD names (Bugzilla #475, Juliusz Chroboczek). PLEASE TEST!
 288. Changing PS/2 mouse resolution to 8 counts/mm as some broken mice have
      problems with other values (W. uses 8) (Egbert Eich).
 287. Fixing mode setting by BIOS. Wrong clock selection in MiscOut register
      caused screen to stay blank (Egbert Eich).
 286. Added description for -dumpSched and -schedInterval to the usage
      message (Egbert Eich)
 285. Update the SCO OpenServer port, fixing these specific problems:
        . Fixed the Imake template so i[3456]86 and friends arent defined
        . Fixed bad preprocessor stuff in X11.tmpl that was producing warnings
        . Updated default GCC flags to more aggresively optimize
        . Fixed keyboard LED handling
        . Enable SCO function keys in xterm
        . Make Delete key send  DEL by default on SCO in xterm
        . Fix to make fonttosfnt compile (Bugzilla #470, Kean Johnston).
 284. Added missing ro2 symbols file to list of files to install 
      (Bugzilla #476, Egbert Eich).
 283. Corrected precedence problem in test in xc/lib/X11/XKBUse.c:
      XkbUseExtension(). This avoids an extra round trip during application
      startup (Bugzilla #473, Owen Taylor).
 282. Fixing deadlock in libXi - when is called _XLockDisplay() twice - when 
      calling a Xi function that calls XGetExtensionVersion() (Bugzilla #260,
      Bastien Nocera, Owen Taylor). 
 281. Adding support for video modes <320x240 to S3 driver by changing the 
      minimal clock frequency to 15.6 MHz (Bugzilla #472, Alexey Baj).
 280. Made mkfontscale behavior and options compatible to mkfontdir, fixed
      bugs in output format (Bugzilla #425, Juliusz Chroboczek, Kean Johnston).
 279. Changed xclock hands back to black (antialiased) , created XClk-col.ad
      to set colored hands instead, added missing documentation for missing
      resources. This follows the behavior of the other X applications more
      closely (Bugzilla #437, Joerg Wunsch).
 278. Added support for Trio64UV+ and Trio64V2/DX/GX to S3 driver (backport
      from 3.x) (Bugzilla #465, Alexej Baj).
 277. Increased Xlib default buffer size to 16k (was 2048), made size 
      configurable thru environment variable XLIBBUFFERSIZE (minimum 2048)
      (Bugzilla #466, Roland Mainz).
 276. Increased maximum BIGREQUEST size to 4Mb and made it configurable thru
      a command line option. This increases performance of certain 
      applications considerably (Bugzilla #460, Roland Mainz).
 275. VIA driver: initialized screen parameters in PreInit() instead of
      AccelInit() so that they are set even when acceleration is disabled
      (Egbert Eich).
 274. Do not drop H&V sync during screen blanking for Radeon
      (Bugzilla #320, Michael Breuer, Hui Yu@ATI).
 273. Let out-of-limit pixel clocks only use the frequency below pll output
      lower limit for Radeons (Bugzilla #262, John Vickers, Hui Yu@ATI).
 272. Add support for Radeon cards with DAC/TMDS wire up in different ways
      from what the driver was originally programmed to; includes support
      for dual DVI cards (Hui Yu@ATI).
 271. Add Radeon DPMS handling for flat panels (Bugzilla #26, Hui Yu@ATI).
 270. Decreased the retry loops in DDC probing so that Radeon startup
      time won't be too long in the worst case (Hui Yu@ATI).
 269. Fix Radeon Asic bug in RMX unit of IGP chips (Hui Yu@ATI).
 268. Fix Radeon register initialization for RGB offset to fix the
      "milky-screen" problem (Bugzilla #351, Hui Yu@ATI).
 267. Add support for new Radeon chips: R350(9800), RV350(9600,M10),
      RS250(IGP7000), RS300(IGP9000), RV280(9200) (Hui Yu@ATI).
 266. Fix a lockup with the trident driver when stopping/starting Xv
      applications (Alan Hourihane).
 265. Fix initialisation in xauth (Martin Birgmeier).
 264. Calling RADEONSaveFPRegisters() regardless of display type to catch
      register restauration problems (Bugzilla #193, Hui Yu).
 263. Fixed order of name and filename in encodings.dir files generated by
      mkfontscale (Roland Mainz).
 262. Changed resource registration in TDFX driver: VGA mem resources
      are unused during OPERATING state, RAC isn't required for memory
      resources (Bugzilla #357, Egbert Eich).
 261. Attempt to fix VIA driver lockups when moving windows:
      assumed bug compatibility to previous S3 products 
      (Bugzilla #435, Egbert Eich).
 260. Disabled mode writeback to client program from MGA driver (Egbert Eich).
 259. #ifdef'ed variables in os-support/bsd in cases they are not needed
      (Bugzilla #430, Jason L. Wright).
 258. Fixes and updates for XKB keyboard maps:
      - add Faroese keyboard map (Bugzilla #401, Roi a Torkilsheyggi)
      - add missing KPPT key to ABNT2 keycodes list (Bugzilla #431, Christian
        Tosta)
      - fix geometry/pc file (Alexander Pohoyda).
 257. Don't sleep on Darwin for directory owner/mode problems (John Harper).
 256. Limit 430TX and 430VX to 128 and 32 PCI buses respectively
      (Marc La France).
 255. Add direct GLX rendering on Mac OS X and Apple-DRI extension
      (John Harper).
 254. Replaced inline asms with compier intrinsics for Intel compiler
      (Bugzilla #427, Slava Sysoltsev).
 253. Partly fixed build problems caused by mkfontdir replacement
      (Bugzilla #425, Egbert Eich).
 252. SiS driver update:
      Fixed Xabre support
      (Final) fix for Compaq 3045US
      Customized timing for 848x480 parallel panels
 251. Replaced mkfontdir by simple shell script that calls mkfontscale
      (see #233) (Bugzilla #388, Juliusz Chroboczek).
 250. Added encoding files for Arabic (iso8859-6.16 and iso8859-6.8x)
      (Bugzilla #420, Roland Mainz).
 249. Removed O_SYNC from open call for /dev/mem for all Linux platforms.
      This hopefully takes care of the speed problem 
      (Bugzilla #419, #414, Egbert Eich).
 248. Fixed fontstosfnt to build on OS/2 (Bugzilla #415, Frank Giessler
      Juliusz Chroboczek).
 247. Fixed DMC touchscreen driver: button press events are properly
      recognized now, made sure device is still recognized after a restart,
      fixed misleading error messages (Bugzilla #418, Andreas Kies).
 246. Added PanoramiX supprt for the RENDER requests: Trapezoids, Triangles,
      TriStrip, TriFan, SetPictureTransform and SetPictureFilter 
      (Bugzilla #138, Egbert Eich).
 245. Fixed SW/Theme cursor drawing glitches in i740 driver (Bugzilla #21,
      Egbert Eich).
 244. Added input driver for Aiptek tablet (Bugzilla: #393, (list #5686), 
      Bryan W. Headley).

XFree86 4.3.99.7 (25 June 2003)
 243. Added 'BitKeeper' to the directories that get excluded by lndir
      (Bugzilla #408, H.J.Lu).
 242. Fixed gcc warnings in xdmauth.c (Bugzilla #410, Jason L. Wright).
 241. Updated Citron touchscreen driver: set 'block duration time'
      to one second to avoid timeouts, added user strings to inform about
      HW version (Peter Kunzmann).
 240. Fixed wraparound bug in TimerSet() (Peter Osterlund).
 239. Fixed X*LookupString() in imDevLkup.c to return status 
      XBufferOverflow and the required size as required 
      (Bugzilla #397, Kusanagi Kouichi).
      Dto. for imLcLkup.c (Egbert Eich).
 238. Removed unused function QualifyName, Exit() from Xprint 
      and CountBits(), matchVisuals() from GLX 
      (Bugzilla #395, #400, #394 Jason L. Wright).
 237. Fixed type warning when building sunffb driver on 64bit 
      (Bugzilla #404, Jason L. Wright).
 236. Fixed warnings when building Palmex touchscreen driver statically
      (Bugzilla #405, Jason L. Wright).
 235. Fixes and updates for XKB keyboard maps:
      - add programmers variant to the Turkish keyboard map (Nilgün Belma
        Bugüner)
      - add a variant of the Romanian keyboard map for German keyboard
        (Manfred Pohler)
      - add layout for BTC 9001AH keyboard (Nick Kurshev)
      - add Uzbek keymap description (Bugzilla #391, Mashrab Kuvatov)
      - update geometry files (Alexander Pohoyda)
 234. Added fonttosfnt, a utility that generates bitmap-only TTFs. It is
      capable of reading most font formats (Bugzilla #389, 
      Juliusz Chroboczek). 
 233. Added functionalities to mkfontscale so mkfontscale performs every
      functionality mkfontdir does (Bugzilla #387, Juliusz Chroboczek).
 232. Removed absolute path from cpp for Linux as /usr/bin/ should be
      in the default search patch (Egbert Eich).
 231. Fix regression of Xvideo not working with some videos on the
      CyberBladeXP/Ai1 chips (Bugzilla #251, Stephane Voltz).
 230. Added early failure and warning message when not sufficient memory
      available for DRI in i8xx driver (Egbert Eich).
 229. Fix bug in original patch which added support for two new relocation
      types for IA64 (Bugzilla #195, John Dennis).
 228. Fix scaling calculus in savage driver (Bugzilla #274, Emmanuel).
 227. Clarifying if conditions, fixing memory leaks in error path, removing
      useless code in savage driver (Bugzilla #278+279, Emmanuel).
 226. Adding message to R128 driver which informs about modified modes for LCD
      according to VBIOS (Bugzilla #23, Egbert Eich).
 225. Fixed chipset ID for v2100/v2200 for overrides (Egbert Eich).
 224. Added interlaced support for Voodoo 3,4,5 to TDFX driver (Bugzilla #383,
      Jakub Bogusz).
 223. Fixed typo in getPciBiosTypes() (Bugzilla #382,  Jakub Bogusz).
 222. Restore previous mode if mode switch fails (Bugzilla #381, Jakub Bogusz).
 221. Fixed typo that prevented lubB19 fonts with different maps from being
      generated (Bugzilla #380, Jakub Bogusz).
 220. Sync entrypoints for OS/2 with recent changes in fontconfig and Xft
      (Bugzilla #374, Frank Giessler).
 219. Added detection of 2Mb memory for CLGD7548, fixed a possible memory 
      leak and did minor cleanups (Bugzilla #369, Lucas Correia Villa Real). 
      (PLEASE TEST!)
 218. Recode single-byte keyboard scancodes that clash with recoded
      double-byte scancodes (David Dawes).
 217. Fixes and updates for XKB keyboard maps:
      - add more EuroSign to "us_intl" keyboard map (Paul Bolle)
      - update geometry files (Alexander Pohoyda)
      - add AudioMute key to inet(hpxe3gc) (Bugzilla #350, Paul Pacheco)
      - add option for replacing RCtrl key with Right Alt (Bugzilla #343,
        Adam Tlalka)
      - add Uzbek keyboard map (Bugzilla #372, Mashrab Kuvatov)
 216. (Re-)fix portability of gccmakedep and generate ccmakedep on all
      platforms (Marc La France).
 215. Fix i810/i815 problem with interlaced modes where only the top half
      of the screen gets displayed (Paul Stewart).
 214. Changed any occurance of x86_64 to AMD64, the official name of the
      architecture (Egbert Eich).
 213. Removed Copyright sign from man pages as this causes some formatters
      to choke (Egbert Eich).
 212. Export SysV IPC functions to modules in Net and OpenBSD 
      (Bugzilla #355, Quentin Garnier). 
 211. Fix rootless bug when reordering windows behind others (Torrey T Lyons).
 210. Fix page size issues that prevented the mmap()'ing of SBUS devices
      (Marc La France).
 209. Fixes for the following problems on OS/2:
       - long startup delay of xinit
       - recovery from hard-error popups
       - text-mode version of xf86cfg
       - xf86cfg unable to find default config file
       - installation of static libraries
       - missing exported functions in X11.dll
       - typo in xf86pathIsAbsolute()
      (Bugzilla #267, Frank Giessler).
 208. SiS driver update:
      Fixed 1280x960 and 1280x1024 LCD support (SiS 30x)
      Added Chroma-Keying support to Xv part
      Added support for Barco iQ R and G series projectors

XFree86 4.3.99.6 (10 June 2003)
 207. Add support for the Mac's KP_Equal key (untested) (David Dawes).
 206. Import fontconfig 2.1.0 as an external package, and update the build
      to use this version (David Dawes).
 205. New version of the FreeType backend. (Bugzilla #325, Juliusz Chroboczek).
 204. Rework XDarwin's Cocoa rootless implementation to use new generic
      rootless code in miext/rootless (Torrey T. Lyons).
 203. Fix repeated image problem when using a vesa video mode before starting
      the Xserver on the S3 Trio3D cards (Alan Hourihane).
 202. Import zlib 1.1.4 for systems that don't provide it (Matthieu Herrb).
 201. Improve fonts width and weight detection (Bugzilla #265-266,
      Juliusz Chroboczek).
 200. Fix library dependencies for xlibi18n modules (Bugzilla #82, Joe Kelsey,
      Matthieu Herrb).
 199. Fix manual pages typos (Bugzilla #316, Jens Schweikhardt).
 198. Fix bug (Bugzilla #315) in _XTextPropertyToTextList() that causes
      an application crash in some circumstances (Ivan Pascal).
 197. Fixes and updates for XKB keyboard maps:
      - add asciitilde to Swedish 'nodeadkeys' map (Bugzilla #291).
      - add map for true Romanian keyboard (Bugzilla #300, Manfred Pohler).
      - add EuroSign to "us_intl" keyboard map (Bugzilla #309, Paul Bolle).
      - fix some keys in Armenian 'phonetic' layout (Bugzilla #313, Ani).
      - add some geometry files (Alexander Pohoyda).
      - some cosmetic changes.
 196. Import FreeType 2.1.4, and do initial merge for config/build
      (David Dawes).
 195. Remove unnecessary links of libm (Marc La France).
 194. IRIX 6.5 build fixes and noise reductions (Marc La France).
 193. Clean up confusion in Imakefiles between XONLYLIB and XLIBONLY (and
      between DEPXONLYLIB and the previously non-existent DEPXLIBONLY)
      (Marc La France).
 192. Do not unnecessarily link libXmu, libXt and/or libXext into executables
      (Marc La France).
 191. Fix makedepend for IRIX 6.5 (Marc La France).
 190. Make the handling of X_BYTE_ORDER in Imakefiles more portable
      (Marc La France).
 189. Allow building of a libXfont without font cache support (Marc La France).
 188. When using cpp to generate scripts and data files, change XCOMM to pound
      signs even when preceeded by only whitespace, and provide a means to
      generate output lines with trailing backslashes.  Change `startx` script
      accordingly (Marc La France).

XFree86 4.3.99.5 (25 May 2003)
 187. Fix XDMCP queries in xdm on systems using getifaddrs(). 
      (Bugzilla #277, Joel Ray Holveck). 
 186. Initial imake/config support for more closely (and more
      automatically) emulating how libtool handles shared library revisions.
      Implmemented for Linux only so far (David Dawes).
 185. Fix libexpat shared lib revision on platforms that use minor version
      numbers (David Dawes).
 184. Update Tamil keyboard map (Thuraiappah Vaseeharan).
 183. Add missing xfs reply to GetEventMask requests (Marc La France).
 182. Change the ELF loader to ignore .debug* sections (Marc La France).
 181. Simplify internal interfaces in the PCI code and remove the Xserver's
      interference with normal PCMCIA operation (Marc La France).
 180. i810/815 depth buffer needs to be a multiple of the tile size.  This
      fixes 3D corruption near the bottom of the screen at 800x600@16bpp
      (Bugzilla #283, Dave Airlie).
 179. SiS driver update
       - Allow Modelines for LCD and secondary VGA on 301B
       - Support plasma panels natively (including a small
         database for some known panels since some panels
	 report wrong timing data via DDC)
 178. DRM resync from the DRI trunk...
       - Lots of fixes/cleanups/resyncs for the BSD DRM drivers (Eric Anholt).
       - Fix potential oops and memory leaks when allocations fail in
         addbufs_agp/pci (Leif Delgass).
       - Add support for buffer private structs with PCI DMA buffers
         (Leif Delgass).
       - Disable MTRRS on FreeBSD-stable (Eric Anholt).
       - Remove some unused code (Keith Whitwell).
       - Move prototypes for gamma functions to gamma_drv.h (Keith Whitwell).
       - 2.5.x resync (Linus Torvalds).
       - Ensure driver has been initialized before installing irq handler,
	 and modify all drivers to ensure irq handler is removed before
	 cleanup, and cleanup is called at takedown (Leif Delgass).
       - Check for lock on init/cleanup in all drivers except i810/i830
         (Leif Delgass).
       - Put back __HAVE_KERNEL_CTX_SWITCH for the sparc drm driver
         (Keith Whitwell).
       - Only free original pagelist in addbufs_pci if one already exists
         (fixes oops) (Leif Delgass).
       - texmem-0-0-1 branch merge (Ian Romanick).
       - Fix warning on machines where sizeof(drm_addr_t) != 4 (Randy Dunlap).
       - Support AGP bridges where the AGP aperture can't be accessed directly
         by the CPU (David Mosberger, Benjamin Herrenschmidt, Michel Daenzer,
         Paul Mackerras, Jeff Wiedemeier).
 177. Fix another xedit compile problem (Marc La France).
 176. Small fix for Italian keyboard map (Sebastiano Vigna).
 175. Don't ship xf86Bus.h and xf86pciBus.h with the SDK (Marc La France).
 174. Restore VGA driver's checking for depths 1, 4 & 8 (Marc La France).
 173. Fix a problem with savage driver when UseBIOS is off, such that the
      performance drops dramatically. Now the performance matches or
      exceeds that of the option UseBIOS (Alan Hourihane).
 172. Add workaround for problems that arise when in multi-layout map
      different modifier keysyms share the same key (Ivan Pascal).
 171. Fix bug that causes XGetKeyboardMapping produce incorrect map when keys
      have more then two keysyms.  Also add a map columns duplication for better
      compatibility with core protocol keyboard maps (Ivan Pascal).
 170. Fix XKB bug (Bugzilla #253) that causes an Xserver crash when XKB action
      RedirectKey is used (Ivan Pascal).
 169. Add missing letters to Ukrainian phonetic keyboard map (Andriy Rysin).

XFree86 4.3.99.4 (10 May 2003)
 168. Prevent a SIGFPE with the glint/pm3 driver when attempting to display
      an XVideo image less than 8 pixels wide (Måns Rullgård).
 167. Support for building a DRI enabled server on OpenBSD (Wilbern Cobb,
      Matthieu Herrb).
 166. Fix double free bug when a Mac-specific font fails to load with
      Freetype (Torrey T. Lyons).
 165. Check for NULL tObj in the i830 3D driver's TexEnv function.  This
      fixes a FlightGear crash (Keith Whitwell).
 164. Set Mesa hooks to flush vertices on state changes in Radeon 3D drivers
      (Keith Whitwell).
 163. Add an entry to the i2c module that drivers can call to retrieve an array
      of all I2C buses associated with a screen (Marc La France).
 162. Fix to prevent PCI and CardBus resets when switching out of the server's
      virtual console (Marc La France).
 161. Change the /dev/ file used on some *BSD's to mmap the framebuffer in DGA
      clients to match the /dev/ file used by the server (Marc La France).
 160. SiS driver fixes:
      - Added MergedFB mode (including HWCursor and Xv)
      - Xv enhancements and fixes for all chipsets
      - New Xv properties (SWITCHCRT, TVPOSITION, etc)
      - Added support for custom LCD resolutions (via DDC)
      - Fixed DVI output (DVI-D and DVI-A), automatic detection
      - Numerous bugfixes and enhancements
      (Thomas Winischhofer)
 159. Make freetype-config more useful on NetBSD (#5693, Thomas Klausner).
 158. Small fixes in keyboard maps:
      - add an explicit type declaration in level3(ralt_switch)
        (Bugzilla #225, Séamus Ó Ciardhuáin);
      - fix wrong group number in Russian keyboard map (Ivan Pascal).
 157. Add rootless implementation for XDarwin using Apple's Xplugin API
      (John Harper, Torrey T. Lyons).
 156. Fix precision problems in xf86XVClipVideoHelper and in Mach64 XVideo
      support (Marc La France).
 155. Add missing symbols when DRI is disabled to glint driver
      (Bugzilla #203, Mike Harris).
 154. Fix a memory leak caused by the data allocated in XGetDefault() never
      being freed (Jim Radford).
 153. Update keysym capitalization rules in XConvertCase() with unicode
      keysyms and some missed charsets (Bugzilla #209, Séamus Ó Ciardhuáin).
 152. Use C89 style function prototypes in manual pages (Bugzilla #208,
      Aidan Kehoe).
 151. Fix small memory leaks in XvQueryAdaptors() and __driUtilCreateScreen()
      (Jim Radford).
 150. Updated Wacom driver to support ntuos 2 2D mouse and a few styli,
      TabletPC with ISD V4 protocol, intiq 15X and Cintiq 18SX 
      (Wacom).
 149. Fix programming error in ix86 motherboard chipset determination
      (Marc La France).
 148. Ansi prototypes cleanup in Xserver/include and Xserver/os 
      (Matthieu Herrb).
 147. Fix shared libXp dependencies on *BSD and Darwin (Dale Rahn). 
 146. Fix infinite loop that occurs on systems whose PCI configuration space
      doesn't advertise a host bridge (Marc La France).
 145. Workaround for broken devices that don't implement the header type field
      in their PCI configuration space (Marc La France).
 144. Portability changes for older Sun compilers (Alan Coopersmith).

XFree86 4.3.99.3 (25 April 2003)
 143. Fix building of the dristat and drmstat utilities (David Dawes).
 142. From the DRI trunk...
       - Remove more dead code from the BSD DRM (Eric Anholt).
       - Remove some #if 0'd code and unused string functions from the Linux
         DRM (Keith Whitwell).
       - Move debug versions of the DRM memory functions to a new file
         (Keith Whitwell).
       - drm_memory cleanup (Leif Delgass).
       - dristat and drmstat cleanups (Leif Delgass).
       - Remove unused dev->map_count (Leif Delgass).
       - For the i830 DRM driver, pass the dma handle from pci_alloc_consistent
	 to the card for status page rather than using virt_to_bus on
	 the virtual address (Leif Delgass).
       - Cleanup the style of the linux-compat code in the BSD DRM, and use
         ioctl directly rather than reimplementing it (Eric Anholt).
 141. Remove old XF86Setup source code. (Matthieu Herrb).
 140. Only add all default modes to mode list when RandR is enabled and 
      active (Egbert Eich).
 139. MGA driver: vertical blanking can generate interrupt (2D driver part)
      (Ville Syrjala Bugz.: 199).
 138. Fix mmapw SEGV (Marc La France).
 137. From the DRI trunk...
       - Install dummy/noop read & poll fops unless the driver has
         replacements (Keith Whitwell).
       - Remove gamma-specific stuff from the BSD DRM (Eric Anholt).
       - Remove DRM_DMA_HISTOGRAM and associated code from the BSD DRM
         (Eric Anholt).
       - Remove BSD DRM's unused drm_init.h (Eric Anholt).
       - Handle read() failures in the drm X server module (Michel Daenzer).
       - Set DRM device major for NetBSD.
 136. Fix bug that prevented fbman from using the last partial scanline of a
      Mach64 framebuffer (Marc La France).
 135. Make ATI Mach64 FIFO cache integrity testing optional (Marc La France).
 134. Export ATI Mach64 hardware overlay as an XVideo adaptor (derived from
      GATOS project, Egbert Eich, Marc La France).
 133. Reorganise ATI Mach64 support into separate source files
      (Marc La France).
 132. Refine atimisc's decoding of the panel mode on server entry in an attempt
      to reduce the effect of atyfb bugs (Marc La France).
 131. Make Rage128 and Radeon XVideo available even when 2D acceleration is
      disabled (Marc La France).
 130. There is no longer any need to require hardware cursors during Rage128
      and Radeon XVideo displays (Marc La France).
 129. Initialise v4l's XVideo adaptors last (Marc La France).
 128. Reduce cut&paste effects by adding more helpers to Xv
      (derived from #5645, Björn Augustsson, Marc La France).
 127. Centralise a region comparison primitive into 'mi' and use it instead of
      local definitions throughout the server (Marc La France).
 126. DPMSExtension & XvExtension driver cleanups (Marc La France).
 125. Add missing tests for vtSema to xaa 'Picture' functions.
      These missing checks caused strange behavior with some drivers
      when RENDER extension requests were made while X was switched away.
      (Egbert Eich).
 124. i810 driver: call drmCtlUninstHandler() on CloseScreen() 
      (David Airlie).
 123. Savage driver updated to 1.1.1.27: several fixes for video glitches
      (Tim Roberts).
 122. Put back the DRM part of Charl Botha's Radeon suspend/resume support
      that was inadvertently backed out in the DRI resync last week.
 121. Resync the Linux drm modules with the DRI trunk.  Includes:
       - Check for NULL map before calling DRM(ioremapfree) on cleanup
         (Leif Delgass).
       - Remove DRM read, poll and write_string (Keith Whitwell).
       - Add more get_param queries for embedded project (Keith Whitwell).
       - Move a bunch of gamma-specific code into a gamma-specific file,
         and restore the kooky DRM(write_string) code for gamma
         (Keith Whitwell).
       - Remove unused DMA histogram code (Keith Whitwell).
       - Remove unused 'DRM_FLAG_NOCTX' option (Keith Whitwell).
       - Remove unused __HAVE_KERNEL_CTX_SWITCH code (Keith Whitwell).
       - Fix templates so the i8x0 drivers don't have to define
         __HAVE_DMA_WAITLIST (Keith Whitwell).
       - Gamma drm updates (Alan Hourihane).
       - Only mga, i810, i830 require AGP (Leif Delgass).
       - Remove PCIGART_ENABLED define for radeon, pcigart support now
         included for any arch (Leif Delgass).
       - Get rid of superfluous fields in struct drm_radeon_ring_buffer
         (Michel Daenzer).
       - Use correct address for radeon ring read pointer writeback
         (Michel Daenzer).
 120. Fix a potential bug in ZX1 support (Marc La France).
 119. Fix a buffer overflow in xkbprint (Ivan Pascal).
 118. Fix a bug in Xlib that prevents a vertical text drawing with
      X[mb|wc]DrawString (bugzilla #178, OSAME Ken-ichiro).
 117. Added missing files to the SDK so it can actually be used (Sven Luther).
 116. mkfontscale enhancements (bugzilla #166, Julius Chroboczek). 
 115. Fix handling of local host names in /etc/X<n>.hosts (bugzilla #156,
      Alan Coopersmith).
 114. Add to XLookupString an automatic search of the layout which keysym can
      be converted to a control-code when Control modifier is set (Ivan Pascal).
 113. Fix xkbcomp crash with some combinations of layouts in a multi-layout
      keyboard map (Ivan Pascal).
 112. Keyboard maps cleanups, including:
      - fix incorrect aliases in a keycodes file.
      - remove unneeded type declarations.
      - remove ThirdLevel modifier key descriptions in maps and replace them
        with references to a common one in 'level3' file.
      - some cosmetic changes.
      (Ivan Pascal).
 111. Fix some function definition conflicts from Xlib cleanup when X_LOCALE
      or NeedWidePrototypes is set (Torrey T. Lyons).
 110. Resync the BSD drm modules with the DRI trunk (Eric Anholt).
 109. Resync the Linux drm modules with the DRI trunk.  Includes:
       - Add 2nd arg for DRM_FREE (Keith Whitwell).
       - Use file pointers instead of pids for resource and lock tracking
         (Keith Whitwell).
       - Add 'SG' map type identifier string ((pci scatter/gather) to /proc vm
         info (Leif Delgass).
       - Use list_entry() to get container struct from struct list_head
         pointers.  Build fix for RedHat 9 kernel (5 args to
         remap_page_range()) (Leif Delgass).
 108. Fix a server crash with shadowfb and render when refreshing outside the
      visible screen (Sven Luther).
 107. Fix a potential infinite loop during server generation when in
      Xinerama (Rik Faith).
 106. Fix DRM module build on 2.5.41 and later kernels (tqueue -> workqueue)
      (David Dawes).
 105. Fix lockup when using Xv in the trident driver (Alan Hourihane).
 104. Add support for TV chipsets VT1621 and CH7005 to the trident driver
      (VIA, Alan Hourihane).
 103. Add VIA CLE266 driver (Bugzilla #154, VIA/S3)
 102. Remove non-functioning glxStub, and remove external GlxStaticServerLib
      support (David Dawes).
 101. Change the WORLDOPTS default to empty.  This means that 'make World'
      will now stop on the first error.  To get the old behaviour, run
      'make WORLDOPTS=-k World' (David Dawes).
 100. Add preliminary version of generic rootless code based on XDarwin's
      rootless mode (Torrey T. Lyons, John Harper).
  99. Remove PEX and XIE source code (Matthieu Herrb).
  98. The XKB version of XRefreshKeyboardMapping() had an UnlockDisplay()
      call without a preceding LockDisplay() call (Yoel Perl).
  97. Xlib cleanups and fixes, including:
       - Fixed up any old style function defintions that raised warnings.
       - Fixed functions with no parameter or return value.
       - Moved any external prototype in a c-files to h-files.
       - Set unreferenced and unmentioned functions to static.
       - Completed any forward declartion with its calling parameters.
       - Established function typedefs where might be helpful.
       - Fixed bogus XIM callback function to XID type, fixed XPointer* -
         XPointer mismatch on some callback.
       - Added explicit FIXME XXX statement on locations for the work around
         macro XCMS_CONVERSION_HARDWARE where the compiler was unsatisfied
         about a known problem with the currently inconsistent src_to_CIEXYZ
         table types.
       - Split _XcmsSetGetColor and *Colors handling routine in order
	 to avoid any type conflicts there, fixed a memory leak for
	 error case in that area.  Used stack based Buffer for single-color
	 version (should be simpler and faster).
       - Fixed _XAsyncReply where a "register variable pend" was passed
	 and returned with the & operator.  This location is further
	 suspect of variable size problems on anything else but 32 bit
	 platforms, with the new code it might more likely raise a type
	 mismatch warning for those specific location.
      (#A.1729, Alexander Stohr).
  96. Fix the <KPDL> mapping for the hr XKB map, and add an hr_US map (#A.1726,
      Vlatko Kosturjak).
  95. Fix vmware driver crash when running two X servers concurrently (#5688,
      Nolan Leake).
  94. Rework the Linux drm kernel module build to leverage off the standard
      kernel build system.  This is based on suggestions and examples from
      David Woodhouse.  This approach has the advantage that the build
      requirements of a wider range of standard kernels are now supported
      transparently, but the disadvantage of some extra complexity to handle
      building against clean vendor-distributed kernel source trees.
      This has been tested with some recent Red Hat and SuSE distributions
      (David Dawes).
  93. Update Italian keyboard map (Bugzilla #109, Sebastiano Vigna).
  92. Add keys missed in multi-layout keyboard maps: LSGT key in Belgian map
      and 'old','phonetic' variants in Armenian map (Ivan Pascal).
  91. More reliable workaround for handling the I830Sync() function being
      called while VT switched away (David Dawes).
  90. Fix references to DRI functions in non-DRI i810_driver.c build
      (David Dawes).
  89. Import expat 1.95.4 (Matthieu Herrb). 

XFree86 4.3.99.2 (10 April 2003)
  88. Fix file descriptor leaks in xman (Ted Unangst, OpenBSD PR#3186).
  87. Fix bug in mode validation that occurs when the XF86Config doesn't
      specify any mode or virtual resolution information (Marc La France).
  86. Resetting 'bound' flag for an agp entry after undbind succeeded in
      drm_agpsupport.h (Egbert Eich).
  85. Ignoring hw_lock for drm device if lock was set by a different instance
      (ie Xserver) to prevent second server to spin in driver release function
      (currently only relevant for i8xx drm drivers) (David Dawes).
  84. Adding extra delay before doing a slowBcopy in ia64 to prevent a MC
      when saving/restoring VGA fonts (Egbert Eich).
  83. Turn off needToSync in LeaveVT() in i830 driver to prevent server
      crashes because xaa tries to sync blitter while switched away 
      (Egbert Eich).
  82. Added the O_SYNC flag when opening /dev/mem to work around a kernel bug
      which causes conflits between WC settings in MTRR registers and cacheable
      attribute in page table (Egbert Eich).
  81. Reduced retry count for mouse configuration to 4. This should speed
      up server start for people who use a mouse repeater like gpm
      (Egbert Eich).
  80. Fixed xf86cfg to duplicate font names before they get freed when
      unloading the module (Egbert Eich).
  79. Added missing functions to xf86cfg (Egbert Eich).
  78. Added missing ROP_NEEDS_SOURCE to Savage driver;
      now all 2D accel functions should use this flag (Egbert Eich).
  77. Reduced flicker with video playback in Savage driver (Tim Roberts).
  76. Load vgahw submodule in RENDITION driver before using it
      (Egbert Eich).
  75. Magically speed up video playback on Neomagic (Egbert Eich).
  74. Added drmAgpUnbind()/drmAgpBind() functionality on Leave/Enter for i810
      cards to allow a second Xserver to be started if the first one has
      DRI enabled (Egbert Eich).
  73. Set NeedRingBufferLow for i855/i865 to avoid lockups on vt switches
      (Egbert Eich).
  72. Check for vtSema before accessing registers in I830BIOSSaveScreen()
      (Egbert Eich).
  71. Some sanity fixes for atiprobe to work better with xf86cfg: Handle
      situation gracefully if the PCI config pointer doesn't exist 
      (Egbert Eich).
  70. Changed behavior of fontfile: don't drop the entire directory if some
      fonts cannot be rendered (Egbert Eich).
  69. Fixed B&H bdf fonts: AVERAGE_WIDTH is not a string but an int (Mike Fabian).
  68. Fixed type in radeon driver which caused display to go into
      powersaving mode when Xcursor is disabled (Bugz: 90, Michel Dänzer).
  67. Fixed typo in XKB-Config.sgml (Bugz: 53, Hiroyuki Bessho).
  66. Fix SiliconMotion driver for mode switching and SEGV problem when
      initializing Xv functionality (Bugzilla #50, Alan Hourihane).
  65. Add Radeon DRI suspend/resume support (Charl Botha, #A.1431).
  64. Rage 128 Xv fix for high resolution displays (Rik Faith).
  63. PPC updates for Radeon (Michel Dänzer, Hui Yu@ATI).
  62. Radeon patch from ATI (Hui Yu@ATI).
      - IGP320/330/340 support (2D only)
      - RV280 (9200/M9+) support
      - Fix for some M9 laptop panels
      - Improved version of monitor detection code previously submitted
      - Fixed bug for two or more radeon cards
      - Man page updates
      - Workaround for double scan modes problem at high resolutions
      - Overlay scaling problem when RMX is used
  61. Fix xprop to get all windows (not only the first) in a property holding
      a window list printed (#A.1676, Kim Woelders).
  60. Fix for spontaneous repeated keyboard events during sync grab (#A.1713,
      Michal Maruska).
  59. Fixed DPMS problem on C&T 69000 due to incorrect LCD flag 
      (Bugzilla #101, Egbert Eich).
  58. Added xkb symbols layout for BTC 5090 internet keyboard  
      (Bugzilla #57, Jack Angel).
  57. Fix the Xinstall.sh script so that it can handle being run from a
      directory with white space in its path name (#A.1690, Eric Branlund).
  56. Allow AGPGART support to be enabled for OpenBSD (#A.1684, Brian Feldman).
  55. Make the mouse driver check the SendDragEvents option (based on #A.1682,
      Juuso Åberg).
  54. Fix a double allocation in _XTextPropertyToTextList() (#A.1681,
      Lubos Lunak).
  53. Fix a typo that causes the 'yu' keymap to emit a lower case 'L' in
      both shift states (#A.1675, Nikola Smolenski).
  52. Allow the remote shell command for xon to be specified from the
      command line.  This allows ssh to be used (for example) (#A.1657,
      Mike Urban).
  51. Fix segfaults that can happen when using composition of RENDER and
      non-RENDER fonts (#A.1656, Wu Jian Feng).
  50. Add convenient ways to enter "double quote" and "cedilla" with the
      en_US.UTF-8 compose rules (Alexandre Oliva).
  49. Improve support for Wacom Cintiq boards (#A.1547, Sebastian Rittau).
  48. Add support for Kensington's "ValuMouse" to the mouse driver (#A.1494,
      Roy Wood).
  47. Workaround for a crash that happens if a scalable font has a bitmap
      entry in fonts.dir (#5687, Juliusz Chroboczek).
  46. Single/dual rasterizer quiescence patch for the glint/gamma DRI driver
      (#5685, Sven Luther).
  45. Fix a FreeBSD/alpha build problem (#5679, Fred Clift).
  44. Fix a bug in the GLU/project.3gl man page (#5676, Thomas Klausner).
  43. Luit fixes:
       - Fix a buffer overflow.
       - Allow for holes in the pty space, and use the union of the pty
         names in 4.4BSD and recent FreeBSD.
       - Allow luit to be set-uid on all BSD releases, and introduce an
         additional security fix on POSIX saved-id systems.
      (#5672, 5674, ITO Tsuyoshi, Juliusz Chroboczek).
  42. Fix memory leaks in ProcXF86VidModeModModeLine and
      ProcXF86VidModeValidateModeLine, and unintialized fields of the mode
      structure in ProcXF86VidModeAddModeLine, VidModeCreateMode, and
      VidModeAddModeline (#5671, Miguel Freitas).
  41. Fix SEGV in fbdev's mode validation (Alexandr Andreev).
  40. Add two more variations of Thai XKB maps (#5658,
      Theppitak Karoonboonyanan, Visanu Euarchukiati,
      Supphachoke Santiwichaya).
  39. Fix a twm crash when the window menu is used and no windows are open
      (#5667, Matthias Scheler).
  38. Restore the sign of UNDERLINE_POSITION in the FreeType backend (#5665,
      Roman Kagan).
  37. Check the return value of fclose() in xauth to prevent losing the
      existing contents of an Xauthority file when there is insufficient
      space to write the new one (#5663, Owen Taylor).
  36. Fix case in xmag which would cause a BadMatch during a X_GetImage for
      single child of root class InputOnly.  Also do some null pointer
      protection (#5657, Kevin Brosius).
  35. Allow an arbitary message to be sent to the DDX by pressing a key
      which has the appropriate action definition (#5519, Joe Moss).
  34. Add a new request to the XF86Misc extension that allows a client
      to send an arbitrary message to the DDX, which in turn can send the
      message to the driver.  The driver may also send a string back.
      An example of this is implemented for the radeon driver (#5518,
      Joe Moss).
  33. Remove duplicate XShmGetEventBase() declaration (#5656,
      Branden Robinson).
  32. Fix drag lock when using a mouse button greater than 4
      (Bugzilla #51, Paul Elliott)
  31. Fix lockup on server shutdown/restart with the radeon driver
      (Bugzilla #94, Michel Dänzer).
  30. Add missing symbols to reference list that show up when DRI is not
      loaded in r128 driver (Bugzilla #83, Leif Delgass).
  29. Add missing symbols to reference list that show up when DRI is not
      loaded in mga driver (Bugzilla #84, Leif Delgass).
  28. Various build and warning fixes (#A.1703, Peter Breitenlohner).
  27. Avoid overlapping strcpy() in imake.c (Dan Nelson).
  26. Updates for building on OS/2 (#5650, Frank Giessler).

XFree86 4.3.99.1 (23 March 2003)
  25. Xterm patch #176 (Thomas Dickey).
  24. Another int10 fix.  This time for adapters found at PCI:0:0:0.  This
      fix is particularly important for ZX1-based systems (Marc La France).
  23. int10 fix for all ix86 non-Linux systems (Marc La France).
  22. Add preliminary support for generating HTML and PDF versions of most
      spec documents (David Dawes).
  21. Use lower-case extensions uniformly for text and PostScript documents
      (based on #4876, Branden Robinson).
  20. Disable cuase of SEGV's in rendition driver (Marc La France).
  18. Limit 440EX & 440LX based systems to 32 PCI buses (Marc La France).
  18. Fix typo that caused incorrect initialization of xkb memory
      (John Heasley).
  17. Fix bug in trident driver that caused old Cyber 9382/9385 chipsets
      to display half a jittered screen (Alan Hourihane).
  16. Add shadowfb support to XDarwin IOKit mode (Torrey T. Lyons).
  15. Change most of os-support/ to respect VIDMEM_READONLY (Marc La France).
  14. Fix compatibility problem between modules generated without the recent
      setjmp/longjmp work and a server generated using glibc <= 2.2.*
      (Marc La France).
  13. setjmp/longjmp related fixes for Linux/libc5 systems (Marc La France).
  12. Fix possible overflow in _XlcLocaleDirName. (Matthieu Herrb).
  11. Various NetBSD fixes for non-i386 (#5662, #5666 Aymeric Vincent, 
      Matthew Green, Chris Gilbert, Thomas Klausner). 
  10. Enable native thread support on NetBSD 1.6M and later (#5597, #5660, 
      Matthias Scheler). 
   9. Make setjmp/longjmp emulation save/restore blocked signal masks on all
      libc5 & glibc systems (Marc La France).
   8. Fix for non-PC keyboard bug introduced by changes to make SysRq
      generate the same keycode as PrtScrn (Ivan Pascal).
   7. Workaround for problems linking C programs against libGLU on FreeBSD 3.x
      (David Dawes).
   6. Make setjmp/longjmp emulation save/restore blocked signal masks on all
   5. Fix setjmp/longjmp emulation for glibc 2.2.[01] systems and remove
      HasGlibc21Sigsetjmp override (Marc La France).
   4. setjmp/longjmp-related compilation fixes for libc5 systems
      (Marc La France).
   3. Fix minor glitch in the generation of Makefiles for libraries that don't
      need threads support (Marc La France).
   2. Fix XDarwin build broken by #960 (Shantonu Sen).
   1. Fix StaticColor colormap on Darwin/x86 6.x (Rob Braun).

XFree86 4.3.0 (27 February 2003)
 964. Add an imake option to allow the glibc21-style setjmp() behaviour
      to be forced when auto-detecting it fails (this is needed for RH 7.0).
 963. Add missing raise/lower volume key descriptions for the "hpxe3gc"
      XKB map (#A.1651, Paul Pacheco).
 962. Fix some typos in the Syriac XKB map (#5654, Emil Soleyman-Zomalan).
 961. Add documentation about using XKB for the XFree86 server's special
      key sequences and the HandleSpecialKeys config option (#5653, Joe Moss).
 960. Move the XF86_DATE definition to a separate file so that bumping it
      doesn't trigger almost everything to be rebuilt (David Dawes).
 959. Xterm patch #174 (Thomas Dickey).
 958. Fix a bug that was preventing DGA2 acceleration from being advertised
      by the i810 driver (David Dawes).
 957. Fix an "xtt" font backend module crash that shows up on Linux/PPC,
      related to an invalid code converter module being loaded because of
      a broken string comparison in xttconv.c (#A.1647, Chisato Yamauchi,
      Daisuke MASATSUNA).
 956. Fix a NULL dereference that can happen in lcGenConv.c (#A.1646,
      Anthony Fok Tung-Ling).
 955. Bump the libXft minor revision for the UTF-16 APIs that were added
      after rev 2.0 (#A.1643, A.1644, Keith Packard, 5652, Mike Harris).
 954. Fix a typo in the "freetype" font backend that prevents "ttc" fonts
      from working (#5651, Mike Fabian).
 953. Fix atimisc bug in restoring colourmaps after a VT switch
      (Marc La France).
 952. A more complete set of dead accent/space compose sequences, add
      <Multi_key> <slash> for letters with a "stroke", and add some
      combos for exponent characters, katakana voiced sounds, etc to
      the en_US.UTF-8 compose file (#5646, David Monniaux).
 951. Reinstate the VBEInit() call in the savage driver's PreInit().  This
      appears to fix a problem on some Savage MX platforms (#5649,
      Mike Harris).
 950. Restore the radeon driver's unconditional RADEONPreInt10Save() call
      on Alpha platforms because this is needed for Radeon cards where the
      BIOS ROM can't be read after it's been run once (by the firmware)
      without this (#5648, Jeff Wiedemeier).
 949. Update Newport driver doc (#5647, Guido Guenther).
 948. Fix reversed logic for VGA locking/unlocking (Nat Ersoz).
 947. Luit fixes:
       - Fix a bug with --encoding being too strict with the syntax.
       - Add a -x flag that causes luit to exit as soon as the child does.
       - Update the man page to synchronise with Tomohiro's work on XTerm.
      (#5643, Juliusz Chroboczek).
 946. Fix some endianness bugs in the r200 DRI driver, and guard a debugging
      print message (Michel Dänzer).
 945. Fix radeon HW cursor artifacts when switching between 2-color and
      ARGB cursors by always using the ARGB mode (#A.1639, Michel Dänzer and
      Fredrik Höglund).
 944. Fix rootless XDarwin crash when trying to GetImage with a rectangle
      bigger then the associated top level window (John Harper).
 943. Add support for multi-head on ZX1-based Itanium2 systems  (Marc La France
      with documentation and assistance from Hewlett-Packard).
 942. Correctly initialize the RE_LINE_PATTERN register in the radeon
      and r200 DRI drivers (Keith Whitwell).
 941. Fix a problem where a malformed Ximage can cause Xcursor to step
      outside the image data (#A.1636, Keith Packard, reported by
      Michel Dänzer).
 940. Allow xf86setjmp/xf86setlongjmp to work with platforms where
      setjmp() isn't directly available as a function, specifically Linux
      platforms that use glibc 2.0 and 2.1. (David Dawes, Keith Packard).
 939. Check pScrn->vtSema before calling xf86SetCursor() from
      xf86CursorCloseScreen().  This avoids a segfault at exit with some
      drivers (Alan Hourihane).
 938. Fix adding FP native mode for Radeon (Hui Yu@ATI, Kevin Martin).
 937. Initialize I2C when primary head has an invalid DDC type for the
      Radeon driver (Hui Yu@ATI).
 936. Video fixes for TV and TVOverscan for the nsc driver (Sarma Kolluru).
 935. Fix to prevent ShadowComposite() to try to update the framebuffer
      when server is switched away (Egbert Eich).
 934. Fix problems where the ThirdLevel key and Alt modifiers don't work
      when a map that uses the ThirdLevel virtual modifier is not the first
      layout in a multi-layout configuration (#5642, Ivan Pascal).
 933. Use safe values in the Thai XIM which should work regardless of
      the signedness of XIMStringConversionPosition (#A.1628,
      Theppitak Karoonboonyanan).
 932. Replace xf86setjmp/xf86setlongjmp with symbol aliases that resolve
      directly to the native libc versions so that they can operate in
      modules, and make xf86jmp_buf much larger so that should be big enough
      for any reasonable CPU/OS combination.  This should fix problems
      with the Freetype2-based freetype font module (#A.1625, Keith Packard).
 931. Change the default base symbols map from pc104 to pc105, which should
      fix most cases where the <LSGT> key isn't defined.  Also change the
      default XkbModel from pc101 to pc105 (Ivan Pascal).
 930. Fix run-time enabling/disabling of VT switching via xf86EnableVTSwitch()
      (David Dawes).
 929. Add a "DontVTSwitch" option to allow VT switching to be disabled
      (on platforms where the X server initiates VT switches) (#5640,
      Branden Robinson).
 928. Fix a memory leak in _XimExtension() (#5638, MINAMI Hirokazu).
 927. Fix hard-coded ProjectRoot paths in the proxymngr man page (#5634,
      Branden Robinson).
 926. Fix a NULL pointer dereference in the fontenc library (#5633, Debian).
 925. Update the neomagic man page to document the OverlayMem option (#5632,
      Diego Santa Cruz and Branden Robinson).
 924. Fix a memory leak in XCloseDisplay, and a potential race condition
      when multiple threads attempt to initialize the Xcursor library
      simultaneously (#A.1623, Keith Packard).
 923. Fix xvidtune to pop up a info window if mode on chipset is
      not tuneable (Egbert Eich).
 922. Fix a NULL pointer in a var_arg list in xfd which causes problems
      on 64 bit systems (Egbert Eich).
 921. Fix a typo in the nsc Imakefile when installing the linkkit 
      (#A.1624, Stanislav Brabec).
 920. Remove a dependency on how Xlib buffers requests internally for
      xtest's test 2 of XSync (Keith Packard).
 919. Fix a bug in the way the bitmap font code calculates mix/max bounds
      (it was ignoring empty characters), which fixes some xtest fonts
      bounds check failures (Keith Packard).
 918. Check that the HW cursor has been setup before calling
      xf86ForceHWCursor() in the radeon (and r128) driver.  This fixes
      crashes when using only the SW cursor (#5628, Michel Dänzer).
 917. Fix duplicate arguments for xf86MatchPciInstances() in the DESIGN doc
      (#5627, Guido Guenther).
 916. Miscellaneous 64-bit and warning fixes to mfb, xf1bpp and xf4bpp
      (Marc La France).
 915. Fix a bug in beforelight that was preventing it from being restarted 
      and could cause random X clients to be killed. (Matthieu Herrb)
 914. Add a means by which a motherboard chipset driver can prevent the common
      layer's check for mis-configured PCI-to-PCI bridges (Marc La France).
 913. Fix bug that would sometimes cause an extra hardware cursor to re-appear
      on a secondary head after a server reset (Marc La France).
 912. Protect "cvl" references in recent changes to _XEventsQueued() with
      '#ifdef XTHREADS' (reported by Dan Holm).

XFree86 4.2.99.902 (17 February 2003)
 911. Change the newport driver to use ShadowFBInit2 to fix the broken
      "switching back from the console" issue, and update the driver's man
      page (#5625, Guido Guenther).
 910. SCO doc update (#5624, J. Kean Johnston).
 909. Fix X11.tmpl so that Fontconfig works correctly if an OS.cf file
      sets HasFontconfig, and do this in sco5.cf (#5624, J. Kean Johnston).
 908. Move the vbe module from xfree86/os-support/ to xfree86/ (David Dawes).
 907. Some changes to the os-support kbd driver layer's calling conventions
      to provide more flexibility (#A.1615, Zephaniah E. Hull).
 906. Fix a crash in the "xtt" font module caused by a NULL dereference
      when the font cache becomes full (#A.1611, Chisato Yamauchi and
      tokeijikakenoringo).
 905. Update the list of DRI-supported Radeon hardware (#A.1610,
      Knut J Bjuland).
 904. Fix a problem in _XEventsQueued() that causes an event reader lock
      of another thread to be released.  This can cause a hang and keyboard
      lockup in KDE (#5619, Ewald Snel).
 903. Fix some bugs with Xft drawing to non-Render enabled servers:
       - Drawing monochrome glyphs had an infinite loop.
       - XftGlyphSpecCore failed to render some glyphs, leading to application
         crashes from uninitialized values.
       (#A.1608, Keith Packard, reported by Nalin Dahyabhai).
 902. Fix the <BKSL> key in the "winkeys" variants of the Russian and
      Ukrainian XKB maps (#5624, Leon Kanter).
 901. Install the XKB README files (#5623, Ivan Pascal).
 900. Add the numeric keys row to the pc/us symbols map (#5622, Ivan Pascal).
 899. Resync with DRI mesa-4-0-4 branch:
       - Fix DOT3 texture combine env in the r200 driver (Ian Romanick).
       - Fix SW TCL path in the radeon driver (Felix Kühling).
       - Don't assert for FLUSH_STORED_VERTICES if a glBegin hasn't been
         emitted (Alan Hourihane).
 898. Another update to the fix for the client-side DRI cleanup code that
      should fix references to freed data, an fix a potential memory leak
      (Leif Delgass).
 897. Fix the behaviour of XLookupString() when XKB is enabled in Xlib
      but not the server.  This fixes an xtest XRebindKeysym() failure
      (David Dawes).
 896. Added radeon driver options documentation to the Options file
      (#5621, Michel Dänzer).
 895. Fix the return value of SetFontPath() when a font path element is bad
      (David Dawes).
 894. Add some more HP keyboard layouts (Peter Soos).
 893. Remove XFree86-specific keysyms that already have generic equivalents
      (Menu, Redo, Print, Undo).
 892. Add keyboard layout information for the HP 5181 Internet/Multimedia
      keyboard (#A.1603, John Mitchell).
 891. Fix a problem where two-color render cursors have extra pixels set
      (#A.1607, Keith Packard).
 890. Fix for corruption when using video modes requiring more than 2MB on
      S3 968 cards (#A.1602, Justin T. Gibbs).
 889. Fix TVoverscan problems on the NSC SC1200 chip (Sarma Kolluru).
 888. Cure cursor artifacts by setting HARDWARE_CURSOR_SHOW_TRANSPARENT and
      HARDWARE_CURSOR_UPDATE_UNHIDDEN in the r128 and radeon drivers.  The
      wait-for-VSync nonsense the Radeon's currently do can, and should, be
      ripped out later.  (Marc La France).
 887. Extend HARDWARE_CURSOR_SHOW_TRANSPARENT to make hardware cursors
      transparent, rather than disabling them, when a switch to a software
      cursor is needed.  This removes recently introduced cursor artifacts
      in the atimisc driver.  (Marc La France).
 886. Cancel repeat for switch screen XKB actions, which fixes a VT
      switching problem that has just become visible (Ivan Pascal).
 885. Added reinitialization of screen layout after RandR size change
      on a multihead setup. This keeps cursor movement beween screens
      working (Egbert Eich).
 884. Remove Xcms.txt entries that have server-side equivalents.  It looks
      like the slightly different resulting colour definitions from the
      Xcms.txt entries were responsible for an xtest failure.
 883. Fix some problems with using pre-existing version of fontconfig,
      freetype2 and expat (#A.1600, Keith Packard).
 882. Add missing zero-sized check to one of Xft's core rendering routines
      (#A.1599, Keith Packard).
 881. Add a missing symbol reference to the radeon driver (#5618, Mike Harris).
 880. Fix the Xcursor include path in the man page (#5617, Kevin Brosius).
 879. Update ViRGE documentation (#5617, Kevin Brosius).
 878. Fix mkfontscale so that it doesn't include characters forbidden in XLFD
      in the names it generates (#5616, Mike Fabian and Juliusz Chroboczek).
 877. Fix a rounding problem in the "freetype" module, which fixes the problem
      worked around in entry 864 below (#5615, Juliusz Chroboczek).
 876. Fix incorrect alias for lv_LV.iso885913, and add some missing lv_LV
      aliases (#5614, Aivils Stoss).
 875. Fix a bug where xauth may write an incomplete authority file and delete
      the old one if there is insufficient disk space (#5612, Harald Hoyer).
 874. DPMSClose() wasn't correctly setting its devPrivate to NULL (based
      on #A.1594, Denis Zaitsev).
 873. Fix scanpci's printing of routing information for PCI-to-PCI bridges
      (Marc La France).
 872. Bring Cygwin/XFree86 up-to-date (#5613)
       - Multiwindow Window Manager (Kensuke Matsuzaki).
       - Clipboard integration (Harold Hunt).
       - Remove unnecessary redefines of fchown/fchmod (Takashi Sawanaka)
       - Fix some NULL pointer problems on screen changes (Alexander Gottwald).
 871. Fix some problems when noaccel is used in the nsc driver (Sarma Kolluru).
 870. Fix acceleration bugs in the nsc driver (Sarma Kolluru).
 869. Change initMouseHW() to always return TRUE, which restores the older
      more graceful behaviour (Egbert Eich).
 868. Revert the DestroyContext, GarbageCollectDrawables reording in
      dri_util.c, and instead check if the drawable is known to the DRI
      client code before calling XF86DRIGetDrawableInfo (Egbert Eich).
 867. Fix some scaling problems with the updated whiteglass cursor icons,
      fixing some incorrect hotspots (Kevin Puetz).
 866. The sunffb driver was treating a function with a void return value
      as if it had a Bool return value.  This causes the driver to fail
      in some cases (#A.1588, Ferris McCormick).
 865. Add private keysyms for the new XKB actions (XFree86 special keys),
      and move those actions to an XKB compatibility map.  This fixes
      side-effects (loss of auto-repeat and mousekeys functionality) of
      the way this was implemented previously (#5610, Ivan Pascal).
 864. Fix an X server crash with the "freetype" module when displaying
      kochi-mincho.ttf at a size of 18 pixels or higher (Chisato Yamauchi).
 863. Fix segfault in XkbInitKeyboardDeviceStruct() (David Dawes).
 862. Add a ServerFlags/ServerLayout option for disabling the RandR extension
      (David Dawes).
 861. Resync with DRI mesa-4-0-4 branch:
       - Correct RADEON_MAX_TCL_VERTSIZE and set MaxArrayLockSize
         (Keith Whitwell).
       - Fix EAGAIN handling in radeon_cp_dispatch_texture(), which fixes
         corruption of large textures (Michel Dänzer).
       - Fix bufferSize and alphaMask for DRI in several drivers (Brian Paul,
         Leif Delgass).
       - Avoid a loop on validating destroyed drawable (Keith Whitwell).
       - Reorder DestroyContext, GarbageCollectDrawables to avoid error
         (Egbert Eich).
       - Remove untested BSD DRM vlank signal code (Eric Anholt).
       - Update Radeon PCI IDs for BSD drm driver (Eric Anholt).
       - Uninitialize mutexes on cleanup in the BSD drm driver, which
         fixes panics with FreeBSD-5.0 with WITNESS (Eric Anholt).
       - Remove the untested/unused gamma DRM driver for BSD (Eric Anholt).
 860. Fix byte swapping of the refresh rate argument to RandR's
      SetScreenConfig request, and fix a 1.0 client compatibility problem
      with SetScreenConfig (#A.1574, Keith Packard).
 859. The i810 driver wasn't releasing control of the agpgart when VT switching
      away for the 830M and later (David Dawes).
 858. Update Rage 128 and Radeon PCI IDs (Mike Harris).
 857. Fix vertical retrace to not interfere with interrupt handling
      (#5608, Michel Dänzer).
 856. Add M9 DRI support (Hui Yu@ATI).
 855. Update Radeon man page (Michel Dänzer).
 854. Add Radeon man page (Hui Yu@ATI).
 853. Use strtol instead of atoi in xf86cfg 'expert' mode. Make pauses
      when printing keyboard models in xf86config (#5609, Chisato Yamauchi).
 852. Xterm patch #173 (Thomas Dickey).
 851. Don't use XkbGetKeyboard() in xset, just use XkbAllocKeyboard()
      (Ivan Pascal).
 850. Fixes for the nsc driver for HW cursor hotspots and GX2 video
      clipping issues (Sarma Kolluru, NSC).
 849. Fix HW cursor on CRTC2 for SiS650+301B (Thomas Winischhofer).
 848. Update the i810/i830 driver to recognise the 865G integrated graphics
      chipset (David Dawes).
 847. Updates for the nsc driver (Sarma Kolluru, NSC).
 846. Fixed dual head for 1400x1050 displays (Thomas Winischhofer).
 845. Initializing clock ranges in several drivers to get rid of the
      annoying 'scaled from 0.0 MHz' message in xf86PrintModes()
      (Egbert Eich).

XFree86 4.2.99.901 (4 February 2003)
 844. Fixing a double free in libXRandr (Egbert Eich).
 843. The microsoft-win3.1 encoding file wasn't being installed (#A.1569,
      Mike Harris).
 842. Sync the FIFO in the vmware driver after defining an ARGB cursor
      (#5607, Nolan Leake).
 841. Add missing Num_Lock and Scroll_Lock modifiers to the jp XKB map
      (Chisato Yamauchi).
 840. Change the default cursor theme to "core".
 839. Fix some keys in the Slovenian (si) XKB map (David Balazic,
      Henrik Nordström).
 838. Add a check to xset for a NULL return from XkbGetKeyboard()
      (Tapani Utriainen).
 837. Resync with DRI mesa-4-0-4 branch:
       - radeon DRM: only acknowledge interrupts we handle -- others could
         be used outside the DRM (Michel Dänzer).
       - Fix PCI and AGP posting problems (based on testing by Chris Ison
         and suggestions by Benjamin Herrenschmidt and Arjan van de Ven).
       - Remove radeon_flush_write_combine() which has been unused for a while
         (Michel Dänzer).
       - Disable strict aliasing when building the DRM (Michel Dänzer).
 836. Fix xfs crash on Darwin by making libXfont a flat namespace image
      (Torrey T. Lyons).
 835. Avoid endless loop when initializing an PS/2 mouse behind a 
      repeater (Egbert Eich).
 834. Radeon driver: make sure  RADEONCPStop() is only called when
      RADEONCPStart() has been called before. Failing to do so may
      make the kernel driver oops (Egbert Eich).
 833. Disabling MMX, 3DNow and SSE support for x86-64 as the function
      call sequence is hardcoded to ia32 (Egbert Eich).
 832. Fix a hang in multi-thread mode caused by a missing UnlockDisplay() in
      XkbGetMapChanges() (Jose Luu).
 831. Resync with DRI mesa-4-0-4 branch:
       - Don't inflate relative vblank sequence numbers on repeated calls
         (e.g., when interrupted by a signal) (Michel Dänzer).
       - Fix size of VERTEX2 ioctl struct (Egbert Eich).
 830. SiS driver fixes:
       - Mode restoration fix.
       - Xv Hue and Saturation property fixes (310/325 series).
       - Built-in mode fixes.
       - Revert wrong bus width assumptions from previous patch.
      (Thomas Winischhofer).
 829. R128 build fix on big endian platforms (#A.1565, George Staikos).
 828. Updated whiteglass cursor icons that fix the resizing glitches in the
      existing ones (#A.1563, Kevin Puetz).
 827. Include server control definitions in some XKB maps that were missing
      them (based on #A.1562, Jens Petersen).
 826. Define Alt/Meta modifiers for the jp106 XKB layout, and include
      server control definitions (#A.1562, Jens Petersen).
 825. Add some locales required for the OpenI18N compliance test (#A.1550,
      Leon Ho).
 824. s3virge driver updates:
       - 320x240 doublescan support with mouse adjust.
       - Power management printouts, DAC error printout fix.
       - Log XVideo status based on chipset, and preliminary support for
         disabling XV when a mode doesn't support it.
      (#A.1550, Kevin Brosius).
 823. Add an Ethiopic TTF and OTF font (#A.1549, Daniel Yacob).
 822. Add a phonetic layout to the Bengali XKB map (#5606, Taneem Ahmed).
 821. Work around an AGP bug in the AlphaServer ES45 by padding each ring
      buffer packet in the radeon drm with NOPs to cache line boundaries.
      This is only done for Alpha platforms (#5605, Jeff Wiedemeier).
 820. Add missing domain decoding to DRM(irq_busid) for Alpha (#5604,
      Jeff Wiedemeier).
 819. Build fix for the DRM on FreeBSD 5.0-current (#5603, Eric Anholt).
 818. xaaStateChange.c was not calling RestoreAccelState before doing
      CPUToScreenTexture and CPUToScreenAlphaTexture, which seems to be the
      reason why RENDER acceleration was broken on some dual-monitor MGA cards
      (#5602, Nolan Leake).
 817. Make the vmware driver a little more conservative about supporting
      HW RGBA cursors in 8-bit modes (#5606, Nolan Leake).
 816. Work around a problem with the vmware driver's interaction with the
      offscreen memory manager (#5606, Nolan Leake).
 815. Fix fb's rotation of tiles and stipples when using non-zero PixOrigin
      macros (Torrey T. Lyons).
 814. Fix Radeon native FP mode initializion (Hui Yu@ATI).
 813. Resync with DRI mesa-4-0-4 branch:
       - Fix Q3A mode change prolbem in thr r200 driver (Keith Whitwell).
       - Add a missing break to prevent spurious GL_INVALID_ENUM
         (Leif Delgass).
       - Fix __FUNCTION__ usage in the ffb 3D driver (Leif Delgass).
       - Limit the number of pending vblank signals to 100 to prevent
         a DoS (Michel Dänzer).
       - Fix a void * arithmetic warning in the radeon DRM driver
         (Leif Delgass).
 812. Fix a typo in the "pl2" XKB map (#A.1553, Piotr Xurek).
 811. Fix a null dereference in Mesa that can cause an X server crash at
      client exit (#A.1548, Ezra Peisach).
 810. Improve the XTT code that prevents unexpected data to be passed to
      XAA (#5600, Chisato Yamauchi).
 809. xkbcomp/rules/xfree86.xml wasn't being installed (#5599, Ivan Pascal).
 808. Add knowledge about two Korean foundries to mkfontscale (#5598,
      Jungshik Shin).
 807. Disable the INREG fallbackup in the radeon 3D driver on Alpha because
      it references a function that's not availalbe (#5596, Jeff Wiedemeier).
 806. Fixed patch 760: VBEInit takes entity index, not screen index 
      (Egbert Eich).
 805. Card name changes/fixes (Hui Yu@ATI).
 804. Panel color channel depth fix for Radeons (Hui Yu@ATI).
 803. Include list_for_each_safe define for kernels that do not have it
      (Kevin Martin).
 802. Fix 2D corruption around 3D window, when 3D window is moving and using
      Radeon page flipping code (Michel Dänzer).
 801. Big endian fixes for Rage 128 and Radeon video and Radeon cursor code
      (Michel Dänzer).
 800. Enable PCI GART for all architectures (still gated by ForcePCIMode, if
      on an AGP card) (Michel Dänzer).
 799. Fix for Radeon's CP accelerated 2D sync routine (Michel Dänzer).
 798. SiS driver fixes:
	- Fix for SiS730+LVDS machines (display modes restricted due to 
	  hardware limits; LCD text mode restoration fixed)
	- Fix for SiS300 bus width detection
	- Fix for Fn+Fx output device switching on some machines (still 
	  does not work on all)
	- Numerous Dual Head fixes
	- Added color hardware cursor support on 300/310/325/330 series
	- Added PAL-M and PAL-N support for Chrontel 701x
	- Added ModeLine handling for 300/310/325/330 series (CRT1 only)
        (Thomas Winischhofer).
 797. Fix for memory fences on PowerPC (Marc La France).
 796. Work-around for Radeon int10 problems (Marc La France).
 795. Fix XDarwin crash in rootless mode with 16-bit color by ensuring that
      window pixmap pointers are 32-bit aligned (John Harper, Torrey T. Lyons).
 794. Update the i810 2D driver and i830 3D drivers to recognise and handle
      the Intel 852GM/855GM integrated graphics chipsets (David Dawes,
      Keith Whitwell).
 793. Force extension-generated mode switches always occur (Marc La France).
 792. Fix OS/2 library build problem (Frank Giessler).
 791. Fix bug that at times prevented recognition of resources decoded on PCI
      root buses (Marc La France).
 790. Fix XDarwin's spurious transparent regions in rootless windows
      (Torrey T. Lyons).
 789. Fix bug in recognition of certain ix86 Host-to-PCI bridges
      (Marc La France).
 788. Fix for breakage in reading the serial PnP mouse ID string (David Dawes).
 787. Add "core" theme to Xcursor to force old behaviour (Keith Packard).
 786. Increase the default font cache size so that it works better for
      iso10646 (#A.1541, Hidetoshi Yamanouchi, Chisato Yamauchi).
 785. Fix an XTT problem where garbage is displayed when there are undefined
      glyphs for fixed width fonts, and fix some other potential problems
      (#A.1541, Hidetoshi Yamanouchi, Chisato Yamauchi).
 784. Resync symbols/fi with symbols/pc/fi (#A.1532, Marko Myllynen,
      #5589, Linus Torvalds).
 783. Resync xkb/rules/xfree86.xml with xfree86.lst (#5595, Ivan Pascal).
 782. ISO_Level3_Shift was breaking compose sequences because Xlib wasn't
      recognising it as a modifier key (#5594, Ivan Pascal).
 781. Add a Lao (lo) XKB map (#5592, Anousak Souphavanh).
 780. Add a multi-layout version of the Malayalam keymap (#5593, Ivan Pascal).
 779. Add some missing entries to the xkb rules $oldlayouts and $nonlatin
      sets (#5593, Ivan Pascal).
 778. Prevent mkfontscale from looking at bitmap fonts, and ensure that it
      doesn't crash if a font happens to have no head (#5591,
      Juliusz Chroboczek).
 777. Document that DVI the mga_hal module may be necessary to use the DVI
      output with the G550 and other cards (#5590, Andrew Aitchison).
 776. Fixes for a few "nodeadkeys" XKB maps (David Dawes).
 775. Protect magic cookie from short-lived exposure on command line in 
      startx (Christian Biere).
 774. Fix ELF loader to ignore -g debugging information
      (#A.1539, Juergen Keil).
 773. Fix artifacts left by XDarwin when reshaping a shaped window (reported
      by Adrian Umpleby).
 772. Fix XDarwin rootless crash when resizing a window (John Harper).
 771. Fix vbe module to not assume BIOS call results are zero-extended
      (Paulo Cesar Pereira de Andrade).
 770. Fix improper initialisation of pciConfigRec's.  Reported by Marcel
      Moolenaar (Marc La France).
 769. Fix intermittent XDarwin crash on Mac OS X 10.1.x when changing cursors
      on dual processor machines (Torrey T. Lyons).
 768. Correction to 'is' keymap (reported by Richard Allen).
 767. Fix GLX library mis-use of LockDisplay()/UnlockDisplay() sequences
      (reported by Alexis Vartanian).

XFree86 4.2.99.4 (20 January 2003)
 766. Fix XDarwin's rootless mode with 16-bit color (John Harper).
 765. Allow UTF8 conversion to work for Japanese locales (#A.1527,
      Etsushi Kato).
 764. Add a method for working around a problem that can show up when
      running setxkbmap from a machine with a different version of XKB
      than the X server.  The workaround method is documented in
      the setxkbmap(1) man page (#5588, Ivan Pascal).
 763. Add some new keys and key combinations that can be used for switching
      between XKB groups (#5587, Ivan Pascal).
 762. Fix typos in the README.fonts document (#5585, John Himpel,
      Juliusz Chroboczek).
 761. Fix the pc/fi and pc/il XKB maps after recent changes made them
      non-compliant with the multi-layout scheme (#5581, Ivan Pascal).
 760. Allow the mga driver to fallback to using VBE for DDC when using
      the native method fails.  This allows DDC to work for DVI output
      on Matrox cards (#5580, Andrew Aitchison).
 759. Add block handler for XDarwin's quartz modes to clean up any
      autoreleased objects in the server thread (Torrey T. Lyons).
 758. Fix use of uninitliazed variable in xmag/xmag.c (A.1525, Keith Packard).
 757. Fix typo in Radeon Mono8x8 code (#A.1526, Juergen Keil).
 756. PS/2 mice initialization sequence changed: rerun entire sequence
      when something goes wrong - this needs to be rewritten completely
      after 4.3 is out (Egbert Eich).
 755. Savage driver: disable HW cursor on stretched LCD displays,
      let SaveScreen and DGA test if HW cursor is on before 
      disabling/reenabling it (Egbert Eich).
 754. Fixed VBE EDID read: due to a missing register setting read
      ended in endless loop on certain systems (Egbert Eich).
 753. Changed the default mouse device for FreeBSD to sysmouse and the
      protocol to auto when running X -configure (#5584, Eric Anholt).
 752. Changed the default mouse device for xf86cfg and xf86config to
      /dev/sysmouse for FreeBSD (#5582, #5583, Eric Anholt).
 751. Fix for Mono8x8 patterns on Radeon (#A.1520, Juergen Keil, Kevin Martin).
 750. Fix for Radeon mode validation (#A.1330, #A.1380, #A.1393, #A.1522,
      #A.1523, Wayne Whitney, Hui Yu@ATI, Juergen Keil).
 749. Workaround for flickering problem with switching between ARGB and mono
      cursors on Radeons (#A.1380, Hui Yu@ATI).
 748. DDCMode fix for VidMode extension (#A.1380, Kevin Martin, Hui Yu@ATI).
 747. Panel detection bug fix for Radeon (#A.1380, Hui Yu@ATI).
 746. Add Xv overlay support for dual headed Radeons (#A.1380, Hui Yu@ATI).
 745. Fix Radeon driver's 24-bit support for flat panels (#A.1380, Hui Yu@ATI).
 744. Add Radeon 9500/Pro support (#A.1380, Hui Yu@ATI).
 743. Disable CGWorkaround for non-A11 rev R300s (Kevin Martin, Hui Yu@ATI).
 742. Radeon solid/dashed line fix for RV200 and newer card (Kevin Martin).
 741. Radeon overlay gamma fix (Hui Yu@ATI).
 740. Radeon LG panel fix (Hui Yu@ATI).
 739. Change makedepend to warn about any whitespace it finds in front of
      pre-processor directives (Marc La France).
 738. Missing deadkeys in UTF-8 compose table (Mike Fabian).
 737. Build fix for SPARC (Thorsten Kukuk).
 736. Fixed integer address value in vesa driver to be large enough
      to hold a 64 bit memory address (Andreas Schwab).
 735. Disabled RENDER accel on Matrox when used in multihead mode 
      (Stefan Dirsch).
 734. Added FireGL 8700/8800 to the list of supported cards or RADEON
      driver (Stefan Dirsch).
 733. Added -mcmodel=kernel to DRM Makefile for x86_64 (Stefan Dirsch). 
 732. Added vesa and fbdev driver to x86_64, removed nsc driver for ia64 build
      (Stefan Dirsch).
 731. Fixing comments in th_TH.UTF-8 (Stefan Dirsch).
 730. Fixes from the DRI CVS:
       - Don't segfault when spec or fog stride is 0.
       - Don't set RADEON_SURF_TRANSLATION_DIS for framebuffer aperture
         byte swapping on big endian machines; doesn't work with R200 and
         later chips.
       - Improve AGP workaround for pre-R200 chips.
      (Michel Dänzer).
 729. Remove inappropriate __linux__ ifdef in the tdfx client-side DRI driver
      (#5579, Eric Anholt).
 728. Allow makedepend handle whitespace in front of the '#' in preprocessor
      directives (ISO C permits this) (#A.1516, Alexander Stohr).
 727. Add zh_TW.UTF-8 locale support (#A.1514, Leon Ho).
 726. Add recognition of wacom "XD-xxxx" models to the wacom input driver,
      and treat them the same as "GD-xxxx" models (#A.1505, Rene Rask).
 725. Fix some missing render extension big-req compatibility (#A.1493,
      Keith Packard).
 724. Fix a missing initialisation in the calcomp input driver that makes
      the driver unusable and crashes the X server at startup (#A.1492,
      Martin Kroeker).
 723. Work around for a bug in the i740 driver's XVideo support where the
      video output would sometimes stop updating (#5578, Stephen Blackheath).
 722. Make DRM signal-on-vblank request return EINVAL on BSD since it's
      not been ported yet (#5576, Eric Anholt).
 721. Remove the no longer used bsd/drm/kernel/r128/*.[ch] files (#5576,
      Eric Anholt).
 720. drmFreeBufs was missing from the r128 driver's referenced symbols list
      (#5574, Eric Anholt).
 719. Allow all of the extended mouse button bits for the "sysmouse" protocol
      to be passed through (#5573, Eric Anholt).
 718. Update the XFree86 server special key handling so that by default
      there is a fallback to the the hard-coded keys when there is no
      Terminate action binding in the XKB map.  A new global option is
      added to allow the fallback mechanism to be used never, when needed,
      or always, with "when needed" the default (#5572, Joe Moss).
 717. Update the README.fonts document (#5570, Juliusz Chroboczek).
 716. Build the loader's libc wrapper with -DHAVE_SYSV_IPC on FreeBSD
      since NVIDIA's binary driver uses it (#5569, Eric Anholt).
 715. Reduce the stack usage from 64k to 8k in imLcPrs.c, which fixes
      a problem with Java for FreeBSD (#5568, Eric Anholt).
 714. Gcc 3 deprecated the #pragma weak method for weak links (#5567,
      Motoyuki Konno).
 713. FreeBSD.cf updates:
       - Sparc64 support
       - Recent 5.0-current doesn't need libXThrStub
       - Disable SharedLibXdmGreet, fixing xdm on alpha
      (#5566, Eric Anholt).
 712. XDarwin now loads GLX support dynamically. Current options are Apple's
      OpenGL framework or Mesa (Torrey T. Lyons).
 711. GeForceFX support in the nv driver (Mark Vojkovich).
 710. DPMS support in the nv driver.  CRTs only at this time (Mark Vojkovich).
 709. Fix for recognition of non-existent PCI devices (Marc La France).
 708. Fix for when firmware/BIOS initialisation does not enable the extra
      command FIFO entries available on second-generation integrated Mach64
      variants (Marc La France).
 707. Copying Syriac OTF fonts to directory OTF instead of TTF.
      The xtt font renderer cannot handle OTF fonts causing the
      entire directory to be ignored (Egbert Eich).
 706. Disabling MIT-SHM extensions for Xnest, fixing pixmap private
      code in Xnest, thus cleaning out bogus patch 137. 
      NOTE: The MIT-SHM presently *does* *not* work with Xnest. 
      I have code to make it work but it is not well tested therefore 
      MIT-SHM is disabled for now! (Egbert Eich).
 705. Fix the misnaming of three of the redglass cursors (#A.1491,
      Keith Packard).
 704. Fix for two problems where the combination of xtt and XAA could result
      in a crash.  The first problem was xtt returning a NULL pointer for
      the bitmap even though the height was non-zero.  The second problem
      was glyph ascent/descent exceeding the range of maxbounds.ascent/
      maxbounds.descent (A.1484, Chisato Yamauchi, Masanori Shimada).
 703. Eliminate locale-dependent behaviour in fontconfig's setfontdirs
      script (#A.1483, Markus Kuhn).
 702. Fix a bug in previous Thai XIM changes (#5563,
      Theppitak Karoonboonyanan).
 701. Updates for the Israeli XKB map, including:
       - Implement parens mirroring.
       - Add two additional variants: "lyx", replacing shifted Hebrew
         letters with Hebrew point marks, and "si1452", implementing the
         Standard of Israel no. 1452 mapping.
      (#5562, Tzafrir Cohen).
 700. BuildServersOnly fix when building on a system with no installed
      X headers or libraries (#5559, ISHIKAWA Mutsumi).
 699. Add extended symbols for the "Logitech Cordless Desktop Navigator"
      keyboard (#A.1480, Gilbert Fridgen).
 698. Fix xdm resource's font references to match actual bitmap fonts (#A.1477,
      Göran Uddeborg).
 697. Update the xcursorgen man page (#A.1475, Keith Packard).
 696. Add a Mongolian XKB map (#5557, Sanlig Badral).
 695. Fixes for the Turkish XKB map (#5556, Nilgün Belma Bugüner).
 694. Thai XIM fixes:
       - Fix the arguments in calling to StringConversionCallback in Thai XIM
         filter, according to Hideki Hiura's explanation on the protocol.
       - Add input sequence correction capability to the Thai XIM by
         exploiting the XIMStringConversionSubstitution operation.
      (#5553, Theppitak Karoonboonyanan).
 693. Resync the pc/fi XKB map with the previous map (#5552, Marko Myllynen).
 692. Workaround for parsing of Layout sections caused by recent changes
      (#5558, Andrew Aitchison, Paulo César Pereira de Andrade).
 691. Fix the enabling of the Glint Gamma for use on an Appian Graphics
      Jeronimo 2000 board which uses two Permedia3's (#5448, Sven Luther).
 690. Fix a problem in the trident driver for older chipsets and using
      16bit clock programming, manifested itself on a Thinkpad 760EL,
      but there are probably lots of others. (Alan Hourihane).
 689. On Darwin add Mac font directories to fonts.conf (Torrey T. Lyons).
 688. Post XDarwin mouse events in Quartz mode where they happen rather than
      where the cursor currently is (Adrian Umpleby).
 687. Enable Freetype Mac FOND support on Mac OS X (Torrey T. Lyons).
 686. Add an "lswitch" option to the group xkb map, allowing the left Alt
      key to be used for AltGr (#A.1463, Andreas Tobler).
 685. Add some locales for OpenI18N1.2 (LI18NUX2000) level.1 conformance,
      and change zh_HK to point to zh_HK.big5hkscs which conforms to
      glibc's default for zh_HK (#A.1457, Leon Ho).
 684. Updates for the Irish and Ogham XKB maps (#5549, 5550,
      Séamus Ó Ciardhuáin).
 683. Xterm patch #172 (Thomas Dickey).

XFree86 4.2.99.3 (21 December 2002)
 682. Add a request to XFree86-VidModeExtension to get the read/write
      permissions so that clients can check if they have permission to
      change parameters (David Dawes).
 681. Fix read-only XFree86-VidModeExtension requests for remote connections
      (David Dawes, reported by Jamie Zawinski).
 680. Correct problem when the server prints the name of a 'private
      xkb action' in a format that xkbcomp cannot understand, and
      was causing problems when calling XkbGetKeyboard (Ivan Pascal).
 679. Fix animated cursor problem with multiple screens (#A.1454,
      Keith Packard).
 678. gtf.c build fix for LynxOS 4.0 (#A.1453, Stuart Lissaman).
 677. Fix a segfault in fontconfig (#A.1450, Keith Packard).
 676. If some LEDs are lighting when one reloads the XKB keyboard map
      (using setxkbmap or xf86cfg) the LEDs become 'frozen' and can't
      be switched off. The patch fixes this bug. (#5544, Ivan Pascal).
 675. Fix some problems with the addition of multi-layout scheme to
      xkb: some keys that aren't 'alphabetic' should be treated as
      such to allow CapsLock+Shift working as expected; sometimes it
      is required to load an include file more than once due to
      multi-layout configuration, also fix some typos
      (#5545, Ivan Pascal).
 674. XKB programable 'special combinations' (such as Ctrl+Alt+<key>)
      also send usual key evants (press and release).  Although the
      keysym generated in this case is NoSymbol such events can confuse
      some applications (#5546, Ivan Pascal).
 673. Fix some remaining memory leaks in xkb initialization code
      (Paulo César Pereira de Andrade).
 672. Temporarily enable the hard-coded Ctrl-Alt-Backspace terminate sequence
      until a better fallback mechanism is implemented (Egbert Eich).
 671. Allow XKB-remappable hot keys to work with the "kbd" driver
      (Egbert Eich).
 670. Export xf86inSuspend as needed by the "kbd" driver (Egbert Eich).
 669. SiS driver updates, including:
       - support for SiS 330 Xabre (untested)
       - Bugfix for boxes with two VGA connectors (tested)
       - Autodetection of second monitor (tested)
       - TV detection improved (tested)
       - fixed error in 1280x1024 panel support (yet untested)
       - Fixed bug in TV output on SiS30xB/30xLV (PAL still only BW, not
         even the Windows driver can display PAL in color)
       - Fixed positioning of TV picture. Works now for all video bridges
         except Chrontel 7019 (still untested).
      (Thomas Winischhofer).
 668. Add an alternative French XKB layout (fr-latin9) (#A.1446, Guylhem Aznar,
      Rene Cougnenc, Nicolas Mailhot).
 667. Add bar and brokenbar to default <LSGT> definition for pc102 and
      pc105 xkb maps (based on #A.1445, Göran Uddeborg).
 666. Change the keypad "decimal" key to KP_Separator in the dk, fi, no, se
      xkb maps (#A.1440, Robin Rosenberg).
 665. Fixes and cleanups for the ISO8859-14 Compose table (#5543, 
      Séamus Ó Ciardhuáin).
 664. Update the Ogham xkb map, including full support for the IS434 standard
      and laptops (#5542, Séamus Ó Ciardhuáin).
 663. Update the Irish xkb map, including adding support for laptops (#5541,
      Séamus Ó Ciardhuáin).
 662. Add "Inet" key definitions for the Honeywell Euroboard keyboard (#A.810,
      Scott Penrose).
 661. Add "Inet" key definitions for the Trust Direct Access keyboard (#A.897,
      Raphaël Poss).
 660. Add draglock support to the mouse driver, for aiding trackball use
      by people with low dexterity (#A.1224, Paul Elliott).
 659. Fix bad includes in the xkb "level3" symbols file (A.1444,
      Göran Uddeborg).
 658. Fix atimisc panel support bug that occurs when the mode on server entry
      is a VGA mode with large horizontal and/or vertical blanking pulses
      (Marc La France).
 657. Fix small documentation error in config/imake/imakemdep.h (#A.1052,
      Linus Almstrom).
 656. Small change to find_mesa_visual() in xf86glx.c to avoid
      branch misprediction on x86 (#A.1057, lompik at voila.fr).
 655. Clear memory allocated in xtWidgetAlloc() to avoid garbage from
      malloc() being referenced later (#A.1114, Adam J. Richter).
 656. Make SysRq generate the same keycode as PrtScrn, and Break the same
      keycode as Pause (#A.1160, Owen Taylor).
 655. Add "Inet" key definitions for some HP and Toshiba laptops (#A.1213,
      Peter Soos).
 654. "Inet" key definitions for the Brother Internet keyboard (#A.1242,
      Diego Iastrubni).
 653. "Inet" key definitions for the Ennyah model DKB-1008 keyboard (#A.1256,
      Lionel Landwerlin).
 652. Apply i830 DRM driver cleanups to the i810 driver (#A.1438,
      David Airlie).
 651. Add XI18NOBJS files for the ko_KR.UTF-8 and ja_JP.UTF-8 locales
      (#5538, 5539, Jungshik Shin).
 650. Add FIRSTINDEX to the gb2312.1980-0.enc, gbk-0.enc and jis0212.1990-0.enc
      encoding files (#5537, Jungshik Shin).
 649. Increment shared libraries major revisions on OpenBSD if gcc with 
      stack protector is used (Matthieu Herrb, Todd Fries). 
 648. Resync with DRI (mesa-4-0-4-branch).
 647. Update XDarwin's IOKit mode to work with new event handling code
      (Torrey T. Lyons).
 646. Add some more aliases for some German locales (#A.1263, Thomas Koeller).
 645. Update kio8-r encoded Cyrillic BDF fonts (#A.1267, Andrey A. Chernov).
 644. Fix Xtrans TLI code to handle a port scan and not fill the log file
      with error messages from _XSERVTransTLIAccept() (#A.1333, Fiel Cabral).
 643. Only free cbs.data.text when cbs.type is XIMTextType in
      _XimStatusDrawCallback() (#A.1342, Owen Taylor).
 642. Allow mouse pointer movement to be rotated (#A.1346, Joost Buelens).
 641. Add xkb layouts for Indian scripts (Kannada, Telugu, and Oriya) (#A.1436,
      Guntupalli Karunakar).
 640. Enable MMX, SSE and 3DNow! for NetBSD 1.6 and later (#5536,
      Matthias Scheler).
 639. Merge the xkb 'lt' layouts into pc/lt (#5535, Nerijus Baliunas).
 638. Set the default fa_IR character set to UTF-8 instead of
      ISIRI-3342 (#A.1356, Roozbeh Pournader).
 637. Fixes and updates for building under LynxOS/PowerPC 4.0 (#A.1386,
      Stuart Lissaman).
 636. Update the ClearlyU fonts to version 1.9 (#A.1386, Mark Leisher).
 635. Fix for drmOpenDevice() ignoring success on its second attempt at
      opening the drm device (#A.1394, Alexander Stohr).
 634. Add support for a "-include" command line option to makedepend, similar
      to the same GNU C option (#A.1396, Alexander Stohr).
 633. Perform country-independent matching for Chinese languages in fontconfig
      (#A.1406, Keith Packard).
 632. Finish off the UTF-16 APIs in Xft, and fix the UTF-16 conversion
      code in fontconfig (#A.1411, Keith Packard, Jungshik Shin).
 631. Make XIM locale checking case-independent (based on #A.1422, Leon Ho).
 630. Fix incorrect datatype for the pixmap width in
      fbCompositeSrcAdd_8000x8000(), and add some small optimisations
      (#A.1423, Keith Packard).
 629. Update the se xkb map to allow the older AltGr+5 method of entering
      the Euro sign (#A.1433, Christian Rose).
 628. Add validation for the screen number parameter received over the wire
      by the X server's DRI extension code, and fix some similar checks in
      the GLX code.  This fixes X server segfaults when an invalid screen
      value is provided (#A.1434, Felix Kühling)..
 627. Fix some bugs in the Iranian xkb layout (#A.1135, Roozbeh Pournader).
 626. Add a Bosnian xkb layout (#A.1398, Amila Akagic).
 625. Fix for Hungarian xkb layout (#A.1175, Peter Soos).
 624. Update the Maltese xkb layouts (#A.1243, Ramon Casha).
 623. Add EuroSign to the xkb "gb" layout (#A.901, Dermot McNally).
 622. Various updates for the xkb "xfree86" keymap list (including #A.777,
      Andriy Rysin).
 621. Let kbd driver test if Xserver is in suspend before handling any
      input events (Egbert Eich).
 620. Fixed agp version checking to accept minor versions >= the specified
      number (Leif Delgass).
 619. Update referenced symbols lists for the mga, vesa, i810 and vmware
      drivers (David Dawes).
 618. Add missing symbol to the mga driver's referenced symbols lists
      (#5534, Mike Harris).
 617. Add some utf8 locale aliases (#5533, Mike Harris).
 616. Fix some Linux/Alpha (with domain support) build and runtime
      problems (#5532, Jeff Wiedemeier).
 615. Add some missing symbols to the radeon driver's referenced symbols
      lists (#5531, Mike Harris).
 614. Restore the Alt/Meta mappings for pc104/pc105 keyboards in the
      multi-layout maps (David Dawes).
 613. Add UTF-8 locale entries for Amharic-Ethiopian, Tigrinya-Eritrean
      and Tigrinya-Ethiopian (#5529, Daniel Yacob).
 612. Restore the "\|" key in the GB multi-layout keyboard layout (#5528,
      Andrew Aitchison).
 611. Updates for the auto-generated UTF-8 Compose file (#5527,
      David Monniaux).
 610. Updates/fixes for the Korean font encoding file (#5525, Jungshik Shin).
 609. Fix some problems with the multilayout version of the Turkish layout
      (#5521, Nilgün Belma Bugüner).
 608. DRM vertical blank ioctl can send a signal as an alternative to
      blocking (r200 and radeon only so far) (#5523, Michel Dänzer).
 607. Build fix for Linux/Alpha (#5515, Mike Harris).
 606. Change CppCmd on Linux to /usr/bin/cpp (#5514, Mike Harris).
 605. Fix an incorrect check for the "StrangeLockups" option in the
      neomagic driver (#5505, Mike Harris).
 604. Rename geode driver to nsc and add GX2 support (Sarma Kolluru, NatSemi).
 603. Add the missing XKB definition for keysym "ISO_Level3_Lock" (#5526,
      Séamus Ó Ciardhuáin).
 602. XkbSetControls should return True when successful, not False (#A.1385,
      Stephen Montgomery-Smith).
 601. The functions XGetXlibControls and XSetXlibControls must work even if
      the X server doesn't have the XKB extensions (#5513, Ivan Pascal).
 600. Add en_ZA locales (#5512, Berend De Schouwer).
 599. Fix shadowfb to not make update callbacks for operations that don't
      touch offscreen memory, and to not double (or more) update glyph
      rendering (#5509, Nolan Leake).
 598. Change XAA to not sync when it sees RENDER operations that don't
      touch VRAM, and to try to accelerate Glyphs with Composite if it
      seems likely that will work (#5509, Nolan Leake).
 597. VMware driver updates, including:
       - Fixed vmwareGetImage to correctly calculate the region to be gotten.
       - Small cursor bypass optimization.
       - Fixed race between writing normal registers and writing HWcursor
         registers.
       - Fixed small race in the FIFO wrap code that could cause FIFO
         corruption.
       - Added temporary offscreen memory manager.
       - Added compositing (RENDER) acceleration.
      (#5509, Nolan Leake).
 596. Newport driver updates, including:
       - Add hardware cursor support.
       - Workaround blank console after VT switch on some newports
         (based on a patch from Dominik Behr).
       - Support for the Indigo2 XL (based on a patch from Adrian Schroeter).
      (#5507, Guido Guenther).
 595. Add SGML versions of the XKB config and enhancing docs (#5506,
      Kamil Toman).
 594. Enable SSE, MMX, 3DNow support by default for Linux/x86_64 (#5502,
      Mike Harris).
 593. Replace hard-coded "lib" directory names with LibDirName in Imake.tmpl
      (#5480, Mike Harris).
 592. DRI shouldn't have been enabled for Linux/s390 (#5500, Mike Harris).
 591. Numerous bug, stability, and correctness fixes for the Intel 830/845G
      3D support (#5517, Keith Whitwell).
 590. Numerous bug and stability fixes for the Intel 830/845G 2D and Xv
      support (#5517, David Dawes).
 589. Move IOKit-specific global variables out of generic XDarwin code
      (Torrey T. Lyons).
 588. Add a new interface for registration of core font renderers that allows
      priorities to be assigned.  This allows multiple renderers for the
      same extension to be registered, with the one with the highest priority
      being the one that gets used (#5435, 5437, Juliusz Chroboczek).
 587. Fix 640x480 modes in neomagic driver (Egbert Eich).
 586. Fix reporting of G400/G450 in MGA driver (Andrew C. Aitchison).
 585. Don't change the authorization data (and in particular, don't
      enable local host access) if the X server's authority file
      is removed or becomes unreadable while the server is running
      (David Dawes, reported by Dietmar Schröter).
 584. Xterm patch #171 (Thomas Dickey).
 583. Fix uninitialized buffer-count in luit (Semen A. Ustimenko).
 582. Various xdm updates from Debian and Suse (#5358, Branden Robinson, 
      #5511, Sebastian Krahmer).
 581. Flesh out suncg6's SaveScreen() function (Moritz Bunkus).
 580. lib/Xaw/MultiSrc.c improperly checks open() return value
      (A.1415, Jaromir Dolecek), Fix provided by Hideo Saito in NetBSD.
 579. Add DPMS and screen blanking support in the sunffb driver
      (Ferris McCormick).
 578. Fix SEGV that occurs when Xsun* runs into an unrecognized framebuffer
      type (Marc La France).
 577. When the mode on server entry is found to be using composite sync on a
      Mach64 variant, turn on the "compositesync" option (Marc La France).
 576. Plug SIGIO hole while the server is switching back into its VT
      (reported by Michel Lespinasse).
 575. Use shadowfb in XDarwin fullscreen Quartz mode (Torrey T. Lyons).
 574. Make RENDER optional for Xvfb. When RENDER is enabled add depth 32 
      pixmap format  to list of supported pixmaps (Egbert Eich).
 573. Fix va_args glitches for xterm/libfontconfig: 0 == (void*)0 isn't true   
      for all platforms (Egbert Eich).
 572. Fix lbxproxy to also build on platforms that don't have snprintf()    
      (Egbert Eich).
 571. Fix va_args glitches in mkfontscale: arg stack isn't preserved after
      calling va_arg on all platforms (Egbert Eich).
 570. Fixed x11perf aa benchmarks to support non-default visuals/colormaps
      (Egbert Eich).
 569. Use -Os to build on Darwin PPC with Gcc 3.x (Torrey T. Lyons).
 568. XEditResCheckMessages trashed XtMalloced memory on some widget
      hierarchies, due to using incorrect indexes when removing
      duplicates (A.1409, Rob Arthan).
 567. xprop updates (Mihael Hategan).
 566. Fix SEGV in ICE library (Petter Reinholdtsen).
 565. Fix interaction between backing store and miext/shadow (adapted from
      Paulo César Pereira de Andrade).
 564. Add new key descriptions for XFree86 special keys (i.e. for terminating
      and VT switching the Xserver) (#5510, Ivan Pascal).
 563. #define DEALLOCATE_LOCAL as "do {} while(0)" instead of nothing to
      eliminate GCC warnings caused by code that does not assume
      DEALLOCATE_LOCAL can deal with null pointers (suggested by Kevin Martin).
 562. -
 561. Fix bug in kldload() call on FreeBSD (reported by Joy Ganguly).
 560. Adding int10 symbols to the list of possibly unresolved symbols in
      Rage128 driver (Egbert Eich).
 559. Allowing scanpci to be build on Ppc (Egbert Eich).
 558. Updating SiS driver. Lots of new features, supported chipsets and
      LCD panels, bug fixes. For details please check:
      http://www.winischhofer.net/linuxsis630.shtml 
      (Thomas Winischhofer).
 557. Changed MGA driver to query fb_offset for DRI from kernel instead
      of taking the driver's FBAddress - this is required by platforms
      like Alpha (Egbert Eich).
 556. Fix Xmu memory leak (reported by Michael Vogt).
 555. Deal with Creative SBlive devices that mis-identify themselves as
      "prehistoric" VGA's (Marc La France).
 554. Allow -configure to setup Unknown Vendor/Boards removing the requirement
      of xf86PciInfo information (Alan Hourihane).
 553. Hardware alpha blended cursors in the "nv" driver, new PCI IDs, and
      a fix for a problem on PowerPC (Mark Vojkovich).
 552. "nv" driver workaround needed to let Xv continue to work after a 
      suspend on some laptops (Pierre Lombard).
 551. Restore '--assembler-with-cpp' in AsCmd for Linux/mips, fixing the build
      on that platform (#5499, Guido Guenther).
 550. An alternative update for alphabetic four level cz, sk XKB maps.
      This is compatible with the way MS Windows behaves (#5498, Kamil Toman).
 549. Clarify the difference between characters and bytes in xev (#5497,
      Markus Kuhn).
 548. Add an Irish (ie) XKB keyboard map (#5496, Seamus O Ciardhuain).
 547. Replace the UTF-8 compose map with one automatically generated from
      the official Unicode documentation, with the addition of some
      handwritten rules (#5495, David Monniaux).
 546. Document the "nomtrr" option in the XF86Config man page (#5494,
      Mike Harris).
 545. Some fixes for the Icelandic xkb map (#5493, Olafur Osvaldsson).
 544. Add French Canadian keyboard description to xfree86.lst (#5492,
      Mike Harris).
 543. Add a new file for descriptions of XkbModel, XkbLayout, XkbVariant
      and XkbOption names, using an XML format.  Includes a DTD file
      and perl script to convert from the new format to the old (.lst)
      format (#5491, Ivan Pascal).
 542. Add missing "dvorak" single-group XKB layout (#5490, Ivan Pascal).
 541. Change the xkbfile library to allow some names to be grouped into
      a named list, which allows the rules file to be simplified (#5490,
      Ivan Pascal).
 540. Make the new single-group XKB symbols maps used by default (#5490,
      Ivan Pascal).
 539. Fix a crash that can happen when some apps are run in CJK locales
      (#5489, Havoc Pennington).
 538. Make xdm check the full password string (on Linux) for locked accounts
      rather than just the first character (#5485, Mike Harris,
      Nalin Dahyabhai).
 537. Fix a few cases where the transport endpoints would be removed
      even if NOUNLINK is specified in the flags (#5484, J. Kean Johnston).
 536. Attempt to fix bitblt problems when doing offscreen pixmaps in
      i810 (Egbert Eich).
 535. Change Build rule so that x86 assembler code for MESA can be completely
      disabled on i386 (Egbert Eich).
 534. Added IEEE Optimization for x86-64 (Egbert Eich).
 533. Initialized fullscreen in DRIscreenPrivate to a vaild value 
      (Egbert Eich).
 532. Fixed module loader to map memory in the low 32bit address space on
      x86-64 (Egbert Eich).
 531. Shifted Keypad delete: added KP_Separator for de_DE and de_CH keyboard.
 530. Added sanity checks to various scripts (Egbert Eich).
 529. Fixed Trident RGB16 video playback mode (Alastair Robinsion).
 528. i810 only set OVRACT register when TVout isn't enabled 
      (Sebastien BASTARD, Matthew J. Sottek, Egbert Eich).
 527. Record changes of BusMaster state so that pciDisable/Enable/Mem/Io
      don't override these (Egbert Eich).
 526. Fixed RAC code: when no resources are shared chips may still need
      RAC for bus access if both require non overlapping parts of the
      VGA resources (Egbert Eich).
 525. Fix for resource registration of C&T and Tdfx driver (Egbert Eich).
 524. Prevent   core dumps in Xutf8Reset/Lookup code of Xlib (Masaru Yokoi).
 523. Added support for BE systems for C&T driver (Michael Stephen Hanni). 
 522. Added support for special keys found on many ACPI control, Easy Access
      Keyboards, Internet keyboards, laptops, notebooks and PDA (via
      xkb/symbols/inet). Added new key symbols for these keyboards 
      (Stanislav Brabec).
 521. Fixed some problems with ininite loops which where introduced 
      with the host bridge specific code (Egbert Eich).
 520. AXP domain support (Jeff Wiedemeier).
 519. Added -m32 flag to c++ when build on ia32 (Egbert Eich).
 518. -
 517. Added rule to be able to use Numlock key on broken IBM keyboards
      (Stefan Dirsch).
 516. Fixed Xlib build rules so it builds a truly static library again 
      (Egbert Eich).
 515. When compiled with GCC, force imake to generate Makefile's using GCC's
      preprocessor rather than a system-provided one (Marc La France).
 514. Replace hard-coded "lib" directory names with LibDirName in X11.tmpl
      (#5480, Mike Harris).
 513. Add some README files for XKB and it's configuration files (#5479, 5483,
      Kamil Toman).
 512. Fixes for the "pc" cz and sk XKB maps:
       - readded cz_qwerty (but new pc/ style) map
       - added bskl variant missing in cz_qwerty and sk, sk_qwerty
       - fixed keypad decimal key definition to affect only defined group
         in cz, cz_qwerty
       - missing SPCE definition readded to sk, sk_qwerty
      (#5478, Kamil Toman).
 511. Union Reality UR-F98 headtracker input driver (Linux-only) (#5476, 5477,
      Alan Cox).
 510. Palmax PD1100 touch screen driver (#5475, 5477, Alan Cox).
 509. Fujitsu Stylistic input driver (#5474, 5477, Rob Tsuk, John Apfelbaum,
      Richard Miller-Smith, Alan Cox).
 508. Initialise ProgramName in xterm's main before referencing it (#5473,
      Peter Valchev).
 507. Add an Ogham XKB keyboard map (#5472, Seamus O Ciardhuain).
 506. Handle Alt+Ctrl+Shift+SPECIAL differently from Alt+Ctrl+SPECIAL
      where SPECIAL is one of the fallback built-in XFree86 hot keys
      (#5468, J. Kean Johnston).
 505. Add Syriac XKB keyboard maps (#5467, Emil Soleyman-Zomalan).
 504. Rename HasKatmaiSupport to HasSSESupport (#5461-5463, 5465, Mike Harris).
 503. Add mouse wheel support for SCO OpenServer (#5460, J. Kean Johnston).
 502. Fix i18n problem in xmessage due to use of the useStringInPlace
      resource (A.1381, Chisato Yamauchi).
 501. Fix xnest build on file systems that are not case sensitive
      (Torrey T. Lyons).
 500. Use unique local Imake define for fonts.conf dir (#5482, Mike A. Harris)
 499. Fix xc/lib/Imakefile to not break HasFontconfig (#5481, Mike A. Harris)
 498. Refresh screen after wake from sleep in XDarwin full screen mode
      (Torrey T. Lyons).
 497. Fixes and updates for the SCO OpenServer port (#5459, J. Kean Johnston).
 496. Add PCI ID defines for some ATI R300 chipsets (#5458,
      Vladimir Dergachev).
 495. Fix error message typo in MakeRootTile() (#5451, Mike Harris).
 494. Redirect hostname's stderr in the xon script (#5450, Mike Harris).
 493. Add a request to the XFree86-Misc extension for querying the
      X server's config file, module path, and log file name (#5456, Joe Moss).
 492. Add support for using the XKEYBOARD extension's action handlers
      for the XFree86 X server hot keys.  This provides control over
      the mapping of these hot keys (#A.1334, 5454, Joe Moss).
 491. Reinstate the X server -xkbdir option, but only when the X server's
      real and effective uids are the same (based on #A.1132, Ivan Popov).
 490. Fix an xkbcomp bug that prevents a later definition from specifying
      actions if the previous definition didn't (#5471, Joe Moss).
 489. Add a stub handler to xkbcomp for the DeviceValuator action (#A.1341,
      Joe Moss).
 488. Fix broken software cursor with XDarwin's new event handling
      (Torrey T.  Lyons).
 487. Change imake so that, when compiled with GCC, it invokes the pre-
      processor through the gcc front-end, passing it imake's -v flag
      (Marc La France).
 486. xf86cfg and xf86config patches, includind 1400x1050 mode, update list
      of modules, auto inclusion of the xtt module when running X -configure
      (A.1363, A.1364, A.1365, Chisato Yamauchi).
 485. Fix unbalanced paranthesis in linuxPci.c (#5466, Ishikawa Mutsumi).
 484. Remove "Option VideoRam" from savage driver, there's no need for it,
      and utilize the entities given VideoRam size (Alan Hourihane).
 483. Fix fontconfig to obey NothingOutsideProjectRoot, so that the directory
      /usr/share/fonts is ignored in this case (#A.1325, Joe Moss).
 482. Fix a segfault when using xkbcomp's -I option, and update the man
      page to correctly document the way this option works (#5447, Joe Moss).
 481. Don't assume mmap returns the pointer hint requested.  This is in
      the DENSE map code for Linux/alpha (#5439, Ray Strode).
 480. Build fix for r128_accel on PPC when DRI is disabled (based on
      #5438, Mike Harris and #5449, Matthieu Herrb).
 479. Updates to bdf/misc UCS fonts (#5446, 5453, Markus Kuhn).
 478. Fix Thai glyphs in the 6x13 UCS font (#5427, Theppitak Karoonboonyanan).
 477. Add Thai glyphs to 7x13, 7x13B, 7x13O, 7x14, 7x14B UCS fonts
      (#5445, Theppitak Karoonboonyanan).
 476. Add Thai subfont generation based on the ISO8859-11 map from unicode.org
      (#5434, 5445, Theppitak Karoonboonyanan).
 475. Update the multilayout version of the Greek (el) xkb symbols (#5425,
      Vasilis Vasaitis).
 474. On XDarwin startup, do not send events to the X server thread until it
      is ready to receive them (Torrey T. Lyons).
 473. Add a utility (called gtf) for calculating VESA GTF mode lines
      (Andy Ritger).
 472. Add an input driver for KB-Gear's Jamstudio pentablet (A.1328, 
      Brian Goines).
 471. Add a Tektronix 4957 input driver (#A.1211, Olivier Danet).
 470. Fix backing store in Rage 128 and Radeon drivers (Kevin Martin).
 469. Fix Mono8x8 code in savage driver, needed ROP_NEEDS_SOURCE, also
      add NO_PLANEMASK to ScreenToScreen as code doesn't handle that case
      (Alan Hourihane).
 468. Add a little utility to read and write I/O ports, for those host
      architectures that have them (Marc La France).
 467. Ignore (with messages) any HorizSync and VertRefresh specifications for
      panels when using ATI LT, LTPro, XL and Mobility M1 (Marc La France).
 466. Fix a build failure when BuildServersOnly is defined and XnestServer
      is not defined, and when /usr/X11R6 is not installed. (#A.1145,
      Valeriy E. Ushakov).
 465. Fix panel support bug for ATI LTPro, XL and Mobility M1 chips
      (Marc La France).
 464. Fix mode validation to deal with video memory sizes 256MB or greater
      (Marc La France).
 463. Add ARGB cursors support to the vmware driver (#5442, Nolan Leake).
 462. Add more query options to glxinfo (#5441, Brian Paul).
 461. Fix a typo in glxinfo (#5440, D. Hageman).
 460. Fix a memory leak in Cygwin/XFree86 server (#5444, Kensuke Matsuzaki).
 459. Missing fallback to miPolyArc in fbarc.c (#A.1339, Ralf Klingebiel).
 458. Fix the cyrix driver support for the 5510, 5520 and 5530. This driver
      only works with VSA1 based chips (#A.1260, Alan Cox).
 457. When building with gcc >= 2.8, generate Makefiles with `imake -Wundef`
      (Marc La France).
 456. Re-instate changes clobbered by DRI merge (Marc La France).
 455. Fix a typo in shadowfb support from #5413 (#5430, Nolan Leake).
 454. Fix a bug in vmware's HW cursor support which conditionally hid the
      cursor (#5430, Nolan Leake).
 453. Fix an initialization problem in the calcomp input driver (#A.1056,
      Josef Walzer).
 452. Add command line and XF86Config options to control Render color
      allocation on dynamic indexed visuals (Olivier Chapuis, Keith Packard)
 451. Keep track of whether the 830/845G HW cursor should be visible or
      hidden so that it doesn't get turned on when it shouldn't (David Dawes).
 450. Fix for DGA offset inconsistency in the 830/845G driver (based on
      a patch from Edgar Toernig).
 449. Fix a memory leak when calling _XCloseLC and removing the loadable
      locales (#A.855 Mark Robinson).
 448. Fix input size of character strings used in lib/X11/lcGetConv.c (#A.828,
      Yong-Jhen Hong).
 447. Add Shape extension support to Cygwin/XFree86 rootless mode (#5431,
      Matsuzaki Kensuke).
 446. Fix a typo in the s3 driver which prevented virtual display sizes.
      (#A.965, Stef Voltz).
 445. Fix a server crash that can happen when a DGA client frees its colormap
      before setting the mode back to the original mode (David Dawes).
 444. Modify Type1 font RAM allocation heuristics to allow for larger fonts.
      (#A.1121, Melchior Franz).
 443. Add new relocation entries for Alpha architecture to the loader which
      are used when compiling with gcc >3.1 (#A.819, Thorsten Kranzkowski).
 442. Fix server crash when using Xinerama when application closes. 
      (#A.808, Tsukahara Ken).
 441. Import Mesa-4.0.4, and resync with the DRI trunk (DRI Project).
 440. Server support for the alpha architecture on OpenBSD 3.2. 
      (Matthieu Herrb, Arthur Grabowski). 
 439. Workaround for <linux/input.h> conflict (Marc La France).

XFree86 4.2.99.2 (21 October 2002)
 438. Fix some memory leaks in libX11 i18n code (#A.1314, Olivier Chapuis).
 437. Add DGA and Xvideo support to the i740 driver (#A.1307, Kopecek Tomas).
 436. Fix the number of beeps when using AccessX and XKB 
      (#A.1302, Alan Coopersmith).
 435. Add twelve hour format to xclock's digital format
      (#A.1285, Brian L. Matthews).
 434. Fix application crash when using DPS client libraries 
      (#A.1282, Frank Giessler).
 433. Fix pixmap cache corruption on VT switches in mga driver
      (#A.1279, Ross Mikosh).
 432. Add missing Increment option in Summa input driver (#A.1276, G.P.Halkes).
 431. Missing semicolon in twm/gram.y (#A.1307, Jim Gifford).
 430. Cygwin/XFree86 updates
      - Add X.ico, an icon for Windows (Harold Hunt, Jehan Bing)
      - Include a preliminary pseudo-rootless mode (Matsuzaki Kensuke)
      - XF86Config file support (Alexander Gottwald)
      - Scrollbars support (Jehan Bing, Harold Hunt)
      (#5424, Cygwin/XFree86 developers).
 429. Add ko_KR.UTF-8 and ja_JP.UTF-8 XLC_LOCALE files (#5421, Jungshik Shin).
 428. Add TCVN support to luit (#5416, Tomohiro KUBOTA).
 427. Expand luit to support several major non-ISO-2022-compliant
      encodings such as GBK and Shift_JIS (#5416, Tomohiro KUBOTA).
 426. Add support for double-buffering to the tdfx driver's XVideo overlay
      support (#5415, Stephen Davies).
 425. Add a -strftime option for xclock's digital mode (#5414, George Belotsky).
 424. README.fonts update (#5409, 5410, Khoda Hafez).
 423. Major update for VMware driver
      - recoded to use XAA, offscreen memory support, and color expansion code
      - Add RENDER support
      - Optimization of HWcursor
      - Bug fixes for HWcursor in 8bit mode and VT switching
      (#5423, Nolan Leake, VMware).
 422. Updates for shadowfb code
      - Add RENDER support
      - support for pre-fb modifications
      - support for real framebuffers rather than memory based framebuffer
      - Removal of old fullscreen update code (when VT switching)
      - fix bug in FillSpans
      (#5411, #5413, Nolan Leake, VMware).
 421. Clear the list of registered renderers at the start of each new server
      generation, and only print warnings about suffixes with more than
      one registered renderer for the first generation (David Dawes).
 420. Make xf86PrintModes() show which modes are hot-key switchable
      (David Dawes).
 419. Fix the vesa driver's misuse of virtualX for displayWidth (David Dawes).
 418. Fix the VBE module's depth/bpp matching, which fixes some 24/32 problems
      as well as some 15/16 problems (David Dawes).
 417. Fix black cursor images on Mac OS X 10.2.2 (Joseph Maurer).
 416. Fix hotkey switching for user-specified modes, and fix hotkey switching
      between all valid modes when no specific modes are specified in the
      config file (David Dawes).
 415. Trival input drivers Imakefile cleanup (#5299, Mike Harris).
 414. Use INSTDATFLAGS when installing X server modules (#5292,
      Branden Robinson).
 413. Fix the iso8859-15 Compose map -- there is no diaeresis codepoint
      in iso8859-15 (#5389, Wolfgang Sourdeau, Rüdiger Kuhlman).
 412. Acute/apostrophe fix for nodeadkeys section of XKB German symbols
      (#5388, Andreas Metzler).
 411. Fix Cards file typo (#5387, Branden Robinson).
 410. Cleanup the XKB Macinosh US keyboard symbols, and remove those that
      should be in other country maps (#5386, Branden Robinson).
 409. Add a user-configurable throttle on xconsole's number of saved lines
      (#5379, Branden Robinson).
 408. Fix missing declaration of XShmGetEventBase() in XShm.h (#5375,
      Branden Robinson).
 407. Remove inconsistencies in the way extension headers are referred to
      in most extension libraries (David Dawes).
 406. Install extension struct/protocol headers that weren't already
      being installed (#5369, Branden Robinson).
 405. Fix long-standing colour map bug in ATI driver (Marc La France).
 404. Enable imake.c to perform correct C library version detection on hppa
      machines (#5372, Ben Collins).
 403. Add new Imake rules to handle C++ programs that don't have man pages
      (#5371, Branden Robinson).
 402. Add a -color app-defaults file for xmessage that exercises some
      features of Xaw7, and fix the base app-defaults to not use the no
      longer supported "whenNeeded" value for the "Scroll" resource (#5370,
      Branden Robinson).
 401. Stop the drm module from creating a world-writable directory in /dev.
      Since dev nodes can only be created by root, there's no need for
      anyone else to be able to write to /dev/dri (#5367, Brendan O'Dea,
      #5380, 5422, Mike Harris).
 400. Fix a SEGV in lbxproxy because it's ResizeReverseMap() makes assumptions
      about the atom numbers that can lead to unallocated memory being
      accessed (#5366, Branden Robinson and Anthony DeRobertis).
 399. Increase the wacom driver's timeout for reading data after a request.
      This is needed for PalmWac (Wacom emulation for PalmOS) (#5364,
      Mathieu Clabaut).
 398. Add Big5-HKSCS to locale.dir, and fix a missing portion in X-TT's
      Big5HKSCS-Unicode table (#5362, Branden Robinson and ThizLinux
      Laboratory Ltd).
 397. Handle vetoed APM suspend events properly on Linux (#5362,
      Branden Robinson).
 396. Handle ARM and HP-PA separately from m68k and PowerPC in xfree86.cf,
      and some cleanups (#5360, Branden Robinson).
 395. xfs updates and cleanups (#5359, Branden Robinson).
 394. Fix for random crashes when a screen fails to initialise (Marc La France).
 393. Update RandR to include refresh rates (v1.1) (Keith Packard)
 392. Numerous man pages fixes, add some missing manpages (#5365, #5373,
      #5376, #5377, #5382-5385, #5390, #5391, #5393, #5295 Branden Robinson
      #5374, Jonathan Amery, #5378, Jochen Voss)
 391. Install bdftruncate and ucs2any without the .pl extension
      (#5391, Branden Robinson) 
 390. Rewrite Radeon DDC/DFP mode detection and management (Kevin Martin).
 389. Integrate ATI patch:
      - Add 2D support for Radeon 9000 (RV250), Mobility M9 (RV250 mobile)
        and Radeon 9700 (R300)
      - Clone mode fixes and improvements
      - Dell VE card fixes
      - Dual-head VT switching fixes
      - General code clean up
      (#A.1217, Hui Yu@ATI).
 388. Rewrite XDarwin's event handling to fix some bugs and to use
      SetInputCheck() for a performance boost (Torrey T. Lyons).
 387. Add a little utility to write files through mmap() (Marc La France).
 386. Add National Semiconductor Geode driver, support for the 5530, SC1200
      and SC1400 chipsets (NSC, Alan Hourihane).
 385. linux.cf updates:
       - Resync the DebianMaintainer #define and the stuff in the
         corresponding if block to meet Debian's current needs.
       - Sort long chains of architecture-dependent #if-#elif directives in
         ASCII order.
       - Add explicit recongition of several architectures to the #ifndef
         BuildXF86DRI block.
       - Define a fallback CplusplusCmd (g++) if we don't recongize the
         platform we're on.
       - Turn off the loadable server on MIPS and SuperH platforms, where it
         doesn't (yet) work.
       - Trash some unneeded #defines in the Mc68020Architecture compilation
         environment.
       - Remove the block that #defines HasXserver NO for the s390 and s390x
         architectures (things like Xvfb build fine on these platforms).
      (#5357, Branden Robinson).
 384. Fix an error in the Finnish XKB keyboard map (#5356, Marko Myllynen).
 383. Add a Malayalam XKB keyboard map (#5355, Baiju M).
 382. Add a "kbd" driver module that can eventually replace the built-in
      "keyboard" driver (#5344, Ivan Pascal).
 381. Add os-support level support for a loadable keyboard driver for BSD
      and Linux (#5344, Ivan Pascal).
 380. Add some new common layer functions for supporting a loadable keyboard
      driver (#5344, Ivan Pascal).
 379. Move the XkbDisable option to a global server flag rather than
      keyboard driver flag, since it really is a global setting (#5344,
      Ivan Pascal).
 378. Fix RenderCreateCursor's conversion from an ARGB cursor to a 2-color
      cursor when the cursor is wider than 8 pixels (#5353, Greg Parker).
 377. Fix 24bpp displays with the fbdev driver when not using shadowfb
      (#5351, Michel Lanners).
 376. Fixes and improvements for the en_US.UTF8 compose rules (#5346,
      Alexandre Oliva).
 375. Fix compose rules for some dead accents for iso8859-1 and iso8859-15
      (#5338, 5339, Alexandre Oliva).
 374. Add support for th_TH.UTF-8. with XIM (#5336, Theppitak Karoonboonyanan).
 373. Fix some bugs in the Thai XIM:
       - excessive '(' char when switching XKB keyboard group
       - ineffective Ctrl-<key> and Alt-<key>
      (#5335, Theppitak Karoonboonyanan).
 372. Add an X server command line flag (-br) to make the default root window
      solid black (#5334, Jens Owen).
 371. Add support for th_TH.ISO-8859-11 (#5327, Theppitak Karoonboonyanan).
 370. Use pci_alloc_consistent/pci_free_consistent instead of the
      local page alloc/free functions in the i810 and i830 DRM drivers
      (#5323, Arjan van de Ven).
 369. Fix some non-POSIX usage of tail, expand and sort (#5322, Paul Eggert).
 368. Fix bug in PCI code for Solaris/SPARC (Marc La France).
 367. When enabling PCI adapters, also enable their bus mastering capability;
      Consequently, deprecate xf86EnablePciBusMaster() (Marc La France).
 366. Fix lndir's handling of relative symbolic links, and update the man page
      to document the -withrevinfo flag (H. J. Lu, Marc La France).
 365. Xdm patches: realloc usage, zero malloc()ated memory, enable 
      /dev/urandom on NetBSD 1.4 and later, OpenBSD patches (#5345, 
      Mike A. Harris, #5401, Matthias Scheler, Matthieu Herrb)
 364. Xterm patches #168, #169 (Thomas Dickey).
 363. In certain circumstances, allow VGA-rerouting through Simba bridges.
      This only affects UltraSPARC-IIi systems.  This is a small but
      necessary step in eradicating SparcArchitecture's need to compile the ati
      dribver with -DAVOID_CPIO (Marc La France).
 362. In int10, ignore interrupts whose simulation isn't yet implemented.
      Previously, such interrupts caused the emulation to stop.  (Egbert Eich,
      Marc La France).
 361. Add full support for multi-head on 460GX-based Itanium systems
      (Marc La France, with documentation loaned by Intel under NDA).
 360. Fix Darwin build problems with libXrandr and the new FreeType2 backend
      (Torrey T. Lyons).
 359. Savage driver updates.
      - Support for ProSavage DDR (PCI ID 0x8D04)
      - TV output fixes
      - support for -pixmap24 flag
      - XAA fixes to cure lockups
      (#5412, Tim Roberts).
 358. Enable version controlled .dll's on Cygwin/XFree86 (Alexander Gottwald).
 357. Some build fixes for Cygwin/XFree86 (Alan Hourihane).
 356. Add new FreeType2 backend which fixes a bug with -c- fonts
      (#5347, #5348, Juliusz Chroboczek).
 355. Add new command line options to glxinfo for more detailed output
      (#5354, Brian Paul).
 354. Support for 24bpp, fix screen blanking and bug fixes for newport driver
      (#5329, #5349, Guido Guenther).
 353. Add RandR support to XFree86 DDX. (Keith Packard)
 352. Update RandR extension to 1.0.  Eliminate depth switching 
      (Keith Packard, Jim Gettys)
 351. Fix XDarwin rootless crash when window resizing with complex bit
      gravity (Greg Parker).
 350. Fix some incorrect mappings in the gbk-0.enc encodings file (#5313,
      Tomohiro KUBOTA).
 349. Fix C precedence bug in mfb (#5309, Tassia St. Germain).
 348. Updates to mkfontscale (#5307, Juliusz Chroboczek).
 347. Add SharedXcursorReqs to Cygwin build (#5405, Harold Hunt).
 346. Add image transformation and subpixel order to Render (Keith Packard)
 345. Add Xcursor-def.cpp to Xcursor library (#5350, Alexander Gottwald).
 344. Update to pci.ids to 2002-09-24 snapshot (Marc La France).
 343. Add a little utility to read files through mmap() (Marc La France).
 342. Implement a means to ignore certain host bridges while determining PCI
      bus topology (not yet used) (Marc La France).
 341. Bridge driver interface fixups for host bridges (Marc La France).
 340. Change makedepend to recognise invocations of parameter'ed macros
      (Marc La France).
 339. Major redesign in the Xedit syntax highlight code. Now there isn't
      anymore the builtin C mode, but a new version using the xedit lisp
      interpreter, as well as several new modes, including Lisp/Scheme,
      Imakefile, X Resource files, Makefile, Manpage source, Sgml and
      Html (Paulo César Pereira de Andrade).
 338. Print a warning if more than one renderer is registered for a font type
      (#5305, Juliusz Chroboczek).
 337. Fix a double free() that can cause a crash in XCloseIM() (based one
      #5303, Mo DeJong).
 336. Allow xman's MANCONF definition to be specified in the Imakefile
      (based on #5302, Mike Harris).
 335. Config typo and update for Linux on Hitachi SuperH architecture (#5301,
      ISHIKAWA Mutsumi).
 334. Add a "DefaultRefresh" option to the vesa driver (David Dawes).
 333. Fix build problem when calling GNU make with "--" prefixed options
      (#5291, Toomas (toomas at tklabor.ee)).
 332. Avoid noise from hostname call in startx (#5270, Mike Harris).
 331. xwd ignores the -frame option if the -id option is used (#5251,
      Mike Harris).
 330. Fix problem where DRIUnlock was called when DRI fails to load
      (Kevin Martin)
 329. Fix erroneous warnings about removing DRM signal handler when DRI
      fails to load (Kevin Martin)
 328. Add LINE_LIMIT_COORDS option to XAA to work around limited coordinate
      space for lines on Radeons (Kevin Martin)
 327. Fix Radeon DGA code to use XAA sync function (Michel Dänzer)
 326. Major rework of Radeon accel code:
      - Merge CP and MMIO code (Kevin Martin and Michel Dänzer)
      - Fix indirect buffer CP code (Kevin Martin and Michel Dänzer)
      - Add CP support for scanline color expansion and image writes
        (Michel Dänzer)
      - Fix Mono8x8 problems (Kevin Martin and Michel Dänzer)
      - Fix clipping routine to properly set transparency and
        dp_gui_master_cntl reg (Kevin Martin and Michel Dänzer)
      - Fix clipping calculation errors (Kevin Martin)
      - Properly set line bias so that sw rendered solid and dashed lines
        match the accel TwoPoint lines (Kevin Martin)
      - Fix drawing last point for solid and dashed lines (Kevin Martin)
      - Remove NoLineAccel option since two point lines work (Kevin Martin)
 325. Export some more Xft symbols (Cygwin) that are needed for qt 3.x
      (#5285, Ralf Habacker).
 324. Don't sleep on Cygwin for ICE directory mode problems (#5284,
      Ralf Habacker).
 323. Fix a bug in XtGetDisplays() with more than 1 open display (#5282,
      Kip Rugger).
 322. Second part of xkb multi-layout keyboard map support (#5321,
      Ivan Pascal).
 321. Allow the Record extension to report logical coordinated with Xinerama
      (#5231, Paul Stewart).
 320. Allow the XTrap extension to report logical coordinated with Xinerama
      (#5230, Paul Stewart).
 319. Moved LdPreLib define after the vendor/OS specific config files
      as it may depend on setting done there (Egbert Eich).
 318. Several fixes for cross compile environment (Egbert Eich).
 317. Added code to allow for building of static only libraries with
      -fPIC for platforms which require it (Egbert Eich).
 316. Added '-m32' to gcc flags as default for ia32 builds when gcc version
      is >= 3.1. This allows building a 32 bit Version of X on 64bit x86-64
      (Egbert Eich).
 315. Changed direct calls of ld to 'gcc -nostdlib' for Linux (Egbert Eich). 
 314. Changed calls to as to 'gcc -c -x assembler-with-cpp' for Linux
      (Egbert Eich).
 313. Added '-fno-strict-aliasing' flag to gcc version >= 3.1 (Egbert Eich).
      Strict requires that one address must not contain pointers to
      different types - a feature heavily used by X (Egbert Eich).
 312. Fixed a core dump problem in libXtt (?) (Egbert Eich).
 311. Removed '#pragma pack' from structures that contain function pointers
      in x86emu. This causes problems on gcc 3.1 for ia64 (Egbert Eich).
 310. Added defines for missing X types to saverproto.h (Egbert Eich).
 309. Fixed compiler warings generated by gcc >= 3.1 in mesa drivers 
      (Egbert Eich).
 308. For platforms that allow both 32 and 64 bit libraries to be executed
      split Xlib i18n modules path into 
      <libpath>/X11R6/lib/X11/locale/lib/common and
      <libpath>/X11R6/lib/X11/locale/lib64/common. 'lib64' has been defined
      to be the default path for 64bit shared libraries on these platforms
      (Egbert Eich).
 307. Fixed obvious typo in OMlib (Egbert Eich).
 306. Fixed code in cfb that didn't comply with C sequence rules.
      Modern C compilers tend to be more aggressive on code reordering 
      (Egbert Eich).
 305. Changed arguments of NoopDDA() from VarArgs to void. Handling
      of VarArgs by gcc isn't compatible with the way it was used
      on certain platforms (Egbert Eich).
 304. Added support for 32bit pixmaps for 24bit overlay framebuffers in 
      fb overlay code (Egbert Eich).
 303. Fixed kdrive to print a meaningful error message instead of just
      core dump when no matching graphics cards is found (Egbert Eich).
 302. fixed portability bug in xwd (Andreas Schwab <schwab@suse.de>)
 301. fixed X Server crash, which happended each time a proportional iso10646
      font was loaded with xtt backend (Yong Li <rigel863@yahoo.com>)
 300. Added some ARM specific fixes to compiler.h (Uli Hecht).
 299. Added a virtual 'dummy' driver (Egbert Eich).
 298. Fixed core dump when certain access functions are not set in
      xf86Bus.c (Egbert Eich).
 297. Fixed problem where SIGIO could be disabled after a server reset.
 296. Added configurable list of devices the xf86Misc extension is allowed
      to change the mouse device to (Egbert Eich).
 295. Changed default mouse type to 'auto' when generating config file
      with '-configure' (Egbert Eich).
 294. Made sure keyboard modifier settings are consistent after exit 
      from DGA when the xkb extension is used (Egbert Eich).
 293. Disabled keyboard processing when Xserver is suspended by power 
      management.
      This allows effective locking of laptops when stolen (Egbert Eich).
 292. Added/improved options for lockfile syncing (Egbert Eich).
 291.  Added support for backup copy of Xserver logfile (Egbert Eich).
 290. Fixed GetTimeInMillis() to use deltas instead of absolute time
      returend by gettimeofday(). This ensures time is monotonic in X
      (Egbert Eich).
 289. Fixed xf86Misc extension to allow modification of Expps2 mice 
      (Egbert Eich).
 288. Made code in xf86MiscExt.c more readable (Egbert Eich).
 287. Fixed PCI CardBus bridge handling (Egbert Eich).
 286. Added code to reenable PCI bus mastering after coming back from a 
      VT switch to radeon driver (Charl P. Botha <http://cpbotha.net/>) 
      (Egbert Eich).
 285. Dito for r128 driver (M. Harris).
 284. Dito for glint and mga driver (Egbert Eich).
 283. Fixed double scan issues for low res modes in C&T driver (Egbert Eich).
 282. Set rgbBits to 8 for all HiQV chips in chips driver (Egbert Eich).
 281. Moved initialization of accel funtions past initialization of
      offscreen fb manager in chips driver (Egbert Eich).
 280. Fixed initialization of video in chips driver (?).
 279. Fixed HALlib problem restoring text mode on G550 (Egbert Eich).
 278. Restructured and included Matrox's Merged Framebuffer changes
      to mga driver (Egbert Eich).
 277. G450/550 clockchip programming fixes (Matrox).
 276. Fixed HW Cursor for HALlib frame granularity (Egbert Eich).
 275. Enabling 2D accel in 24-bit for neomagic 2360 and 2380 (Egbert Eich).
 274. Added support for builtin 1024x480 mode of Sony subnotebooks for
      Neomagic driver (Egbert Eich).
 273. Fixed support for lowRes (320x240) modes in neomagic driver 
      (Egbert Eich).
 272. Fixed RAC function registration in S3 driver (Egbert Eich).
 271. Added some voodoo to screen initialization of S3 driver (Egbert Eich).
 270. Fixed vbe/int10 support in SMI driver. It used to core dump
      when BIOS was not usable (Egbert Eich).
 269. Separated BRIGHTNESS and and CAPTURE_BRIGNTESS video attributes
      in smi driver: CAPTURE_BRIGHTNESS refers to the capture chip 
      (ie. Philips SAA7110) while BRIGHTNESS controls the video overlay
      of the SMI chip itself (Egbert Eich).
 268. Disable automatic loading of DRI when running SUN ffb as this is
      inconsistent with other drivers (Thorsten Kukuk).
 267. Fixed Gamma/Brightness code in trident driver (Egbert Eich).
 266. Added FpDelay debugging option (Egbert Eich).
 260. Fixed video support for Trident 9397 (Egbert Eich).
 265. Fixed Cursor/VT switch support for vmware driver (Egbert Eich).
 264. Fixed Blit problems in vmware driver when running KDE (Egbert Eich).
 263. Added RENDER support to vmware driver (Egbert Eich).
 262. Added C&T 69030 to extrapci.ids (Egbert Eich).
 261. Improved mouse autodetection code (Egbert Eich).
 260. Restructured int10 code so that vm86 and x86emu support can be loaded
      as modules. Implemented heuristic to try vm86 first and fall back to
      x86emu. This allows 32 bit Xservers to run on x86_64 on 64-bit kernel
      without vm86 support (Egbert Eich).
 259. Restructured elf loader: determine which section to load from elfheader
      flags (Egbert Eich).
 258. Adding RENDER Support to RAC (Egbert Eich).
 257. Using borderClip instead of borderSize region for redisplay function
      in miext/shadow code to avoid core dumps when vt switched away 
      (Egbert Eich).
 256. Replacing sprintf() by snprintf() in lbxproxy to eliminate possible
      buffer overrun exploits (Egbert Eich).
 255. KP_Decimal fixes to Czech and Slovak keybards 
      (Jan Holesovsky <kendy@suse.cz>) (Egbert Eich).
 254. Treat PCI-to-MCA and PCI-to_EISA bridges as PCI-to-ISA (Marc La France).
 253. Correct the server's understanding of CardBus resource ranges
      (Marc La France).
 252. Ignore unconfigured (and mis-configured) PCI-to-PCI and PCI-to-CardBus
      bridges (Marc La France).
 251. Prevent infinite loops during VGA re-routing (Marc La France).
 250. Add a framework for bus bridge drivers and use it to rework the handling
      of Sun's Simba P2P bridges (Marc La France).
 249. Fix bdftopcf memory leak (Marc La France).
 248. XVideo support for the i830 and i845G (David Dawes, Alan Hourihane).
 247. Fix various bugs in the DRI support for the i830 and i845G
      (Keith Whitwell).
 246. Major rework of the 2D i830/i845G support, including:
       - Improve VESA mode selection, and fix refresh rate selection.
       - Don't duplicate functions provided in the vbe modules.
       - Don't duplicate functions provided in the vgahw module.
       - Rewrite memory allocation.
       - Rewrite initialisation and save/restore state handling.
       - Decouple the i810 support from i830 and later.
       - Remove various unnecessary hacks and workarounds.
       - Fix an 845G problem with the ring buffer not in pre-allocated
         memory.
       - Fix screen blanking.
       - Fix some HW cursor glitches, and turn HW cursor off at VT switch
         and exit.
       - Don't attempt to use the i830's function 1 entity.
       - Fix problems with option handling.
      (David Dawes).
 245. A "hammer" approach at ensuring font properties are freed properly
      (Marc La France).
 244. Fix 'su' usage for FreeBSD in the default xdm config (Eric Anholt).
 243. Fix a FreeBSD scrollwheel problem that shows up with gcc 3.1
      (Eric Anholt).
 242. Make C++ libraries on FreeBSD get linked with $(CXX), fixing libGLU
      (Eric Anholt).
 241. FreeBSD.cf updates, including enabling SSE/3DNow support (Eric Anholt).
 240. Intel 830 and 845G DRI support, including i830 support updated for
      Mesa 4.x (#5288, Jeff Hartmann, 2D3D).
 239. [SECURITY] Fix an Xlib problem that made it possible to load arbitrary
      code into privileged clients.
 238. Add Xcursor library.  Make Xlib use it. (Keith Packard)
 237. Fix threaded libraries on Mac OS X 10.2 (A.1229, Marko Karppinen).
 236. Add hardware accelerated GLX to XDarwin (Greg Parker).
 235. Use Imake custom version variables in XDarwin startup message
      (Torrey T. Lyons).
 234. Attempt to prevent PCI scans on non-PCI ix86 systems (Marc La France).
 233. Allow master aborts on CardBus buses to complete normally during PCI
      scans (Marc La France).
 232. Fix bug that prevented the server from restoring CardBus data properly
      (Marc La France).
 231. Fix DEVID define and make it more generally available (Marc La France).
 230. Fix bug in NetBSD PCI code (Marc La France).
 229. Add an option to completely disable PCI scans (Marc La France).
 228. Xterm patch #167 (Thomas Dickey).
 227. Add CreateCursor request to Render extension (Keith Packard)
 226. Change scanpci to not disable I/O too early (Marc La France).
 225. Better error handling in xfs -ls argument parsing (Mordy Ovits).
 224. Make loader ignore ELF objects that don't define any symbols (H. J. Lu)
 223. Add a HasGcc3 imake symbol (Marc La France).
 222. Enable threaded libraries on Darwin (Jeff Whitaker and Torrey T. Lyons).
 221. Xaw documentation fixes (A.1218, Paul Vojta).
 220. Add some mode collection/handling interfaces to the vbe module,
      which makes it easier for drivers to set modes via the video BIOS
      (David Dawes).
 219. I830/845 Workaround for BIOSes which force 1MB stolen memory, and
      agpgart related fix (#5300, Abraham vd Merwe).
 218. Add NetBSD specific PCI access functions for powerpc and alpha 
      platforms (Charles Hannum). 
 217. Split bsd_video.c into architecture specific files, and merge NetBSD
      alpha and powerpc support there. (Matthieu Herrb, Simon Burge, 
      Charles Hannum & other NetBSD developers). 
 216. Define CSRG_BASED for Darwin and fix xman so it works on Darwin
      (Torrey T. Lyons).
 215. On Darwin, fix imake to find Gcc and correct config for RawCppCmd
      (Torrey T. Lyons).
 214. Add functions to allow modules to query the core X server version
      and the version of its sub modules (David Dawes).
 213. Fix scanpci's printing of 64-bit PCI bases (Marc La France).
 212. Add missing dependency and regenerate xf86PciStdIds.h accordingly
      (Marc La France).
 211. A more flexible way of dealing with ix86 motherboard chipsets that can
      only implement less than the full 256 PCI buses (Marc La France).
 210. RAC-related fixups to ATI drivers and xf86SetOperatingState() call
      cleanups in most drivers (Marc La France).
 209. Fix int10 miscompilation glitch on IA-64 (Marc La France).
 208. Add support for Permedia3 (rev C) chips that use slightly different
      clock programming techniques (Jay Estabrook).
 207. Fix Finder warnings about XDarwin plist format on Jaguar
      (Torrey T. Lyons).
 206. Fix XDarwin build issues on Jaguar (Sean Fagan).
 205. Fix Radeon DDC for non-Dell cards, and fix a radeon pci id-related
      build problem (#5326, Andrew C Aitchison).
 204. Change the X server (and scanpci) to use the pci.ids file (from
      pciids.sf.net) for vendor/device descriptions (David Dawes).
 203. Change XDarwin to use NSQuickDrawView instead of Carbon windows to
      get a QuickDraw graphics port for rootless windows (Torrey T. Lyons).
 202. Add support for some missing 32-bit address modes to x86emu.  Some
      video BIOSes use them, especially those for some of the integrated
      Intel chipsets, and this fixes int10/vbe support for these on
      platforms that use the emulator (David Dawes).
 201. Add PCI ID for ATI Radeon Mobility M7 'LX' (#5233, Mike Harris).
 200. Fix CrossCompile environment for Cygwin/XFree86 
      (#5324, Alexander Gottwald, Harold Hunt).
 199. ATI patch to:
      - Fix Dell OEM VE card support
      - Add better clone mode support
      - Fix large panel (>= 1600x1200) detection and initialization problems
      - Remove "PanelSize" and "CrtScreen" options since they are no longer
        needed with new CloneMode and improved flat panel support
      - Add "DDCMode" option to detect and use DDC modes
      - Add "PanelOff" option to disable panel on laptops
      - Fix corrupted console problem
      - Other misc fixes
      (#A.1043, Hui Yu@ATI).
 198. Remove -DNO_TCP_H from cygwin.cf for Cygwin/XFree86 (#5320, Harold Hunt).
 197. Major updates to Cygwin/XFree86.
       - fix depth 24 issues.
       - fix the handling of the DirectDraw module.
       - disable the use of the LAYER/RANDR extension.
       - lots of bug fixes. 
      (#5318, #5317, Harold L. Hunt, Alan Hourihane).
 196. When using the vesa driver and the DisplaySize option the server
      would crash with a floating point exception due to a divide by zero
      in miscreeninit() (#5298, Mike A. Harris).
 195. The function MoveLine in lib/Xaw/TextAction.c sometimes attempts to
      read uninitialized memory when hit ctrl-N in a Text widget to move to
      the next line (#5245, Johnathan Kamens).
 194. Adjust -probe for change in default stderr verbosity (Marc La France).
 193. Radeon patch for Xv on all known Radeon devices (James Ralston and
      Keith Packard).
 192. New XDarwin application icon (Michael Oland).
 191. Dead strip unneeded code in rootlessValTree.c and other miscellaneous
      XDarwin code cleanup (Greg Parker and Torrey T. Lyons).
 190. Lots of Cygwin/XFree86 cleanups and fixes (#5304, Harold Hunt)
 189. Fix rootless XDarwin crash when resizing a window with negative x
      coordinate (Torrey T. Lyons).

XFree86 4.2.99.1 (7 June 2002)
 188. Fix some build problems when building with shared libraries disabled
      (David Dawes).
 187. Update the magellan input driver and turn it on in the build process
      (#A.1024, Christoph Koulen).
 186. Add Peritek Borealis support to the I128 driver (Robin Cutshaw).
 185. Modify the r128 and radeon drivers to use fbdev's DPMS support when
      fbdev is enabled (#5219, Michel Dänzer).
 184. Add support for the composite sync mode flag to the radeon driver
      (#5219, Michel Dänzer).
 183. Add a mkfontscale utility for creating fonts.scale files (#5213, 5214,
      Juliusz Chroboczek).
 182. Add a 1152x768 mode suitable for Titanium PowerBooks to the set of
      build-in modes (#5212, Michel Dänzer).
 181. Add support to xkbcomp and libxkbfile for composing multi-layout
      keyboard maps from partial "single layout" files.  This allows
      the XkbLayout to be specified as a comma-separated list of single
      layout names.  Note: new "single layout" symbol maps aren't available
      yet. (#5210, Ivan Pascal).
 180. Fix Xv endianess problem with the Radeon driver (#5207, Guido Guenther).
 179. Updates to the Finnish xkb map, including:
       - add ISO-8859-15 missing symbols ([zZsS]caron)
       - reorganize some special symbols (such as paragraph, cent, division)
       - map AltGr+SPCE as space, nobreakspace comes way too often by accident
       - minor white space/comment cleanups
      (#5197, Marko Myllynen).
 178. Add an option to the r128 driver for enabling DMA for Xv image transfers
      (#5195, Michel Dänzer).
 177. Make the 'distclean' target remove depend files (#5194,
      Carlos A M dos Santos).
 176. Fix bad usage of "UseInstalled" in FreeBSD.cf (#5192,
      Carlos A M dos Santos).
 175. Several xkb layout updates:
       - Added other Armenian layouts.
       - Added Swedish dvorak layout.
       - Fixed typo in "la" file.
       - Added EuroSign in Dutch keyboard.
       - Added a "comma" variant for "ro" keyboard allowing to type real comma
         below Romanian letters.
       - New file "ro2" with the real Romanian layout (the file "ro" is not a
         Romanian keyboard, but a modified US one that has been hacked to
         include Romanian letters).
      (#5191, Pablo Saratxaga).
 174. Fix makedepend so that it can parse a unary '+' operator (#5185,
      Mark Snitily).
 173. Fix a typo in Xvesa's emulation of instructions forbidden in vm86
      mode (#5184, Juliusz Chroboczek)
 172. Fix a bounds check in Xlib's Region code (#5183, Owen Taylor).
 171. Fix LIBXML2LIBDIR name clash in lib/Imakefile (#5180, ISHIKAWA Mutsumi).
 170. Avoid a problem with setfontdirs when run in some locales (#5179,
      ISHIKAWA Mutsumi).
 169. A little tuning for XtAppPeekEvent() (#5178, Dan McNichol).
 168. Add a command line option to luit to specify the encoding (#5177, 5181,
      Tomohiro Kubota).
 167. A fix for luit's command line argument handling (#5173, Tomohiro Kubota).
 166. Add support to luit for some more 8-bit encodings (#5171,
      Juliusz Chroboczek).
 165. Add an option to luit to enable using GL codes instead of GR codes
      after a single shift for keyboard input (#5170-5172, Tomohiro Kubota
      and Juliusz Chroboczek).
 164. Fix an fbdev driver crash when the VT isn't active (#5169,
      Michel Dänzer).
 163. Fix a bug that resulted in XwcTextPropertyToTextList() storing an
      incomplete list (#5168, Tassia St. Germain, for X.Org).
 162. Add "ISO8859-16" to the registry (#5167, Tassia St. Germain, for X.Org).
 161. A revised Greek xkb layout, including a three-level "extended"
      variant, and a "polytonic" variant (#5165, Vasilis Vasaitis).
 160. Add support for an el_GR.UTF-8 locale, including a compose file with
      support for polytonic Greek text (#5165, Vasilis Vasaitis).
 159. Add missing zh_CN XI18N_OBJS file (#5164, Yong Li).
 158. Make xfs chdir to "/" before fork()ing (#5162, Mike Harris).
 157. Add some reference counting for Xlib's i18n modules, preventing
      a module getting unloaded while it's still in use (#5160, Owen Taylor).
 156. Update for SCO OpenServer support (#5158, Kean Johnston).
 155. Add aliases for the Brazilian Portuguese locale as defined on FreeBSD
      (#5157, Carlos A M dos Santos).
 154. Recognise the en_UK.ISO8859-15 and en_US.ISO8859-15 locales (#5156, 5186,
      Matthias Scheler).
 153. Some cleanups for the UTF-8 Compose file, including:
       - Better support for Greek
       - Typo fixes, including incorrect character literals and keysyms.
      (#5154, Vasilis Vasaitis).
 152. Modify Xt's default fallback font pattern to work better in locales
      where the current one fails to find a useful font (#5152,
      Tomohiro KUBOTA).
 151. Updates to bdf/misc UCS fonts, and generate ISO8859-16 subsets
      (#5147, Markus Kuhn).
 150. Fix some empty delay loops and jiffie wrap bugs in the i830 drm driver
      (#5149, Arjan Van de Ven).
 149. Fix a potential NULL dereference in the drm kernel module (#5148,
      Andreas Schwab).
 148. Major OS/2 support update (#5119, Holger Veit).
 147. Fix mode setting in DGA on the Rage128 & Radeon drivers (Alan Hourihane).
 146. Build libXt as a flat namespace image on Darwin (Torrey T. Lyons).
 145. Install the bitmap file xc/programs/bitmap/Stipple as Stippler on file
      systems that are not case sensitive (Torrey T. Lyons).
 144. Fix enabling of MMIO window on BladeXP desktop chips (Alan Hourihane).
 143. Due to bugs in the CyberBladei7/i1 series that cause offset problems,
      we're disabling the hardware cursor (for now) (Alan Hourihane).
 142. Fix Xft-def.cpp file for Cygwin/XFree86 (#5283, Harold Hunt).
 141. Server support for OpenBSD/sparc64 (Jason Wright, Matthieu Herrb).
 140. Alignment fixes for Xvideo on the Permedia3 (Alan Hourihane).
 139. lndir fix for paths containing '//' (H. J. Lu).
 138. Fix blank display problem in trident driver for older TGUI series
      chips, and a few Xv cleanups too (Alan Hourihane).
 137. Enable MIT-SHM extension in Xnest server (#A.795, Steve Schwarz).
 136. Fix typo in Rage128 DGA driver (#5187. Charles M. Hannum).
 135. Fix enabling of DRI when XvMC is disabled (#5208, Matthew Sottek, Intel).
 134. Fix HW Cursor handling in vmware driver (#5193, Jeremy, VMWare).
 133. YUV handling updates for v4l module. Can now handle multiple formats
      and find common format for both videocard and kernel.(#5196, Gerd Knorr).
 132. Savage driver updates (#5203, Tim Roberts).
 131. Drop the indirect buffer after ScreenInit, fixes corruption and
      kernel error messages. (#5199, Michel Dänzer).
 130. Add Polygon support to Render extension (Carl Worth, Keith Packard)
 129. Add Intel i845G 2D support to the i8x0 driver, DRI is disabled. 
      (#A.1062, Graeme Fisher, 2D3D).
 128. Fix RGB/BGR inversion problem and screen blanking in the glint
      driver (Alan Hourihane).
 127. Add MIT-SCREEN-SAVER extension docs (Alan Coopersmith).
 126. Fix problems opening /dev/fb0 in fbdevhw layer (#5229, Michel Dänzer).
 125. Update the apm driver (#5227, Loic Grenie).
 124. Update the Japanese localization of XDarwin (Toshimitsu Tanaka).
 123. Symbol table cleanup, leaving xf86GetPointerScreenFuncs() as the only
      common/xf86Cursor.c entry available to modules (Marc La France).
 122. Fix VidMode-generated mode switches by making them go through (almost)
      the same code path as keyboard-generated mode switches (Marc La France).
 121. Allow AGP apertures to overlap with other BIOS-assigned PCI resources
      (Marc La France).
 120. Indent'd most of xterm's C code (Thomas Dickey).
 119. Major Radeon driver code cleanup (Kevin Martin).
 118. Radeon Xv fixes and video key support added (Keith Packard).
 117. DPMS support for DFP/LCD and second head added for Radeon (Hui Yu@ATI).
 116. Option to disable line acceleration added since Radeon only has 14 bits
      for lines and clipping.  This will be changed to an XAA option for 14
      bit support in the future (Hui Yu@ATI, Kevin Martin).
 115. Radeon DDC and DFP handling improvements (Hui Yu@ATI).
 114. Fixes for DRI lockup problems with Radeon 7500/VE and the AMD 761
      chipset (Hui Yu@ATI).
 113. Radeon PLL routines rewritten with ATOMIC_UPDATE enabled (Hui Yu@ATI).
 112. Clone mode added to Radeon driver (not yet functional and disabled
      by default) (Hui Yu@ATI, Kevin Martin).
 111. Fix usage of BuildBinTop in Cygwin/XFree86 (#5223, Harold Hunt).
 110. Implement WarpCursor for Cygwin/XFree86, and use GetProcAddress
      instead of relying on ddraw.dll (#5220-#5222, Harold Hunt).
 109. Fix bug that prevented the vesa driver from accessing VGA CRTC registers
      (Marc La France).
 108. New pre-processor files for expat, fontconfig and rename of
      OSmesa-def.cpp to OSMesa-def.cpp (#5215-#5218, Alexander Gottwald).
 107. Rework ati, atimisc, r128 and radeon module versioning (Marc La France).
 106. Code clean up for the original Rage LT (Marc La France).
 105. An attempt at disabling display switches while the server is running on
      an LT Pro or Mobility M1 (Marc La France).
 104. Make atimisc, r128 and radeon modules register the symbols they reference
      at module load time, rather than PreInit() (Marc La France).
 103. Fix rounding error in Mach64 DSP calculation (Marc La France).
 102. Convert xmh to ANSI C (Thomas Dickey).
 101. Xterm patch #166 (Thomas Dickey).
 100. Fix keyboard beeps on Cygwin/XFree86 (#5211, Harold Hunt).
  99. Fixed i810 crash on vt switch due to call to Sync() while switched away
      (Andris Pavenis).
  98. Fixed MGAG550 HW Cursor (Laure-Amelie Couturie).
  97. Added Xv support to neomagic driver (Shigehiro Nomura).
  96. Implemented cross compile environment (Egbert Eich).
  95. Added AMD x86-64 architecture support (Egbert Eich).
  94. Fixed memory leaks in xkb code (Egbert Eich).
  93. Fixed several memory leaks in the config file parser and initialization
      routines (Egbert Eich).
  92. Added CardBus bridge support (Egbert Eich).
  91. Fixed strdup() define in glx (Egbert Eich).
  90. Extended xf86misc extension to support changing the mouse device
      (Egbert Eich).
  89. Replaced strdup() in xf86Configure.c with xalloc()/strcpy() to avoid
      conflicts when using internal malloc (Egbert Eich).
  88. Extended memory debugging: Added signal handler to trigger a memory
      debugger dump on SIGUSR2 when compiled with memleak support
      (Egbert Eich).
  87. Set vtSema to FALSE when suspended by APM to catch calls to 2D accel
      functions (Egbert Eich).
  86. Implemented mouse protocol detection by analyzing data stream
      (Egbert Eich).
  85. Added PnP mouse detection for PS/2, ImPS/2 and older MS serial mice
      (Egbert Eich).
  84. Fixed gamma correction code for Trident 9397 (Alan Hourihane).
  83. Fixed C&T driver to avoid initialization of video in non-linear mode
      (Egbert Eich).
  82. Changed C&T driver to allow video even if acceleration is disabled
      (Egbert Eich).
  81. Attempt to implement a more consistent handling of HW cursor in C&T
      driver (Egbert Eich).
  80. Fixed MGA driver to make HALlib work with VESA framebuffer modes
      (Egbert Eich).
  79. Reworked Rendition driver (Egbert Eich).
  78. S3 Virge driver: added minimal gap between SyncStart and HDisplay to
      avoid video lockups (Egbert Eich).
  77. Fixed memory leaks in S3 Savage driver (Egbert Eich).
  76. Modified several drivers to do int10 initialization using the
      VBE functions instead of calling int10 directly (Egbert Eich).
  75. Fixed video support and mode initialization in Silicon Motion driver,
      removed wait for v-retrace (Egbert Eich).
  74. Misc fixes to SiS driver (Thomas Winischhofer).
  73. Added support for 1400x1050 screen in Trident driver (Egbert Eich).
  72. Fixed several video issues for Trident CyberBladeXP chips (Egbert Eich).
  71. Added probe for Tseng ISA chips (Egbert Eich).
  70. Added 'KGAUniversal' option to generic vga driver which changes handling
      left overscan to work also on chips with C&T core (ie all C&T and Intel
      graphics chips) (Egbert Eich).
  69. Modified int10 code to map area between V_BIOS and SYS_BIOS instead of
      copying it. Copying causes problems if legacy devices map MMIO
      registers there (Egbert Eich).
  68. Implemented an extended int10 init function to allow passing flags
      (Egbert Eich).
  67. Implemented optional handling of BIOS video mode scratch area in int10
      code (Egbert Eich).
  66. Again modified MTRR range splitting (Egbert Eich).
  65. Added funtions to VBE to save and restore a video mode (Egbert Eich).
  64. Added missing commas to symbols/us_intl (Hans Lunsing).
  63. Added Ungherese (qwerty) support (Koblinger Egmont).
  62. Added Euro symbol for hungarian kbd layout (Koblinger Egmont).
  61. Build with libcurses on Darwin for forward compatibility
      (Jordan Hubbard).
  60. Add Trident CyberBladeXP acceleration (Alan Hourihane).
  59. Major XDarwin rootless mode rewrite:
       - Use Carbon to draw directly to windows' backing buffers, rather
         than "triple" buffering with Core Graphics.
       - Reorganized Xserver/hw/darwin directory structure to separate out
         legacy support for Mac OS X 10.0.x.
      (Torrey T. Lyons and Greg Parker).
  58. Fix RGB/BGR inversion problem on Permedia3 chips (Alan Hourihane).
  57. Fix server link problem that shows up on ppc (#5205, Guido Guenther).
  56. Restore effect of option "NoSilkenMouse" (Marc La France).
  55. Fix some nForce graphics regressions caused by recent flat panel and
      Mac updates to the nv driver (Mark Vojkovich).
  54. Recognise the "Absolute" keyword that was documented in the
      XF86Config man page (David Dawes).
  53. Fix the man page information about Absolute screen positioning in
      the ServerLayout section (David Dawes).
  52. SunOS changes to xedit's lisp interpreter (Marc La France).
  51. Support the Ti 3026 ramdac with 3DLabs Permedia found on some
      AccelStar boards (Alan Hourihane).
  50. Move int10 softbooting furthur up in the glint driver to post
      much earlier (Alan Hourihane).
  49. Fix bug that sometimes caused makedepend to forget #define'd symbols
      (Marc La France).
  48. MIT-SHM updates (Roberto Zunino, Matthieu Herrb).
  47. Import Mesa-4.0.1, and resync with the DRI trunk which is now based
      on this (Keith Whitwell, Brian Paul, Alan Hourihane, David Dawes).
  46. Mga driver updates:
       - Don't try dual-head mode with the G400 unless the mga_hal module
         is loaded.
       - Distinguish between the G400 and G450 when showing the chipset in
         the log.
       - Update the mga man page for supported hardware and dual-head
         support.  Futher updates are needed to document all of the
         drivers's options.
      (David Dawes).
  45. Add -Wundef when compiling the tree with GCC >= 2.8 (Marc La France).
  44. Macintosh flat panel fix in the "nv" driver (Mark Vojkovich).
  43. XDarwin fixes and improvements for full screen Quartz mode:
       - Pull full screen specific code out of generic Quartz support.
       - Install new colormaps correctly with PseudoColor.
       - Release the screen immediately when closing down.
       - Do not try to release the screen when closing down in rootless mode.
      (Torrey T. Lyons).
  42. Reimplement Xft library on top of new fontconfig library (Keith Packard).
  41. Resync with the final Mesa-3.4.x-based DRI trunk.
  40. Add support for wscons bell (Jason Wright).
  39. Fix IBM-reported bug that could cause PCI bus lockouts with second
      generation integrated Mach64 controllers (Marc La France).
  38. Rework ATI driver's registration of symbols with the loader
      (Marc La France).
  37. In the ATI driver, add option "CrtDisplay" to force CRT display in a
      dual display situation (Marc La France).
  36. In the ATI driver, rename option "CrtScreen" to "NoPanelDisplay", keeping
      "CrtScreen" as a private option for compatibility (Marc La France).
  35. Document X_NOT_IMPLEMENTED (Marc La France).
  34. NetBSD teeny OS version handling improvement in imake (#5176,
      Matthias Scheler).
  33. Build I2C support before building drivers (Marc La France).
  32. Fix a problem related to reserving the overlay key in the default
      colormap in 24+8 mode.  This caused some clients using the 8-bit
      visuals to fail (David Dawes).
  31. [SECURITY] Zlib error handling fix (Mark Adler).
  30. Put back XDarwin's byte-ordering fix for reading keymappings on
      Darwin x86 that was inadvertently dropped (Rob Braun).
  29. Fix Big Endian hardware cursor bug on GeForce3 (Mark Vojkovich).
  28. Experimental flat panel support in the "nv" driver.  GeForce2 Go
      should work now (Mark Vojkovich).
  27. XDarwinStartup improvements:
       - Auto-detect proper mode to run XDarwin.
       - Find XDarwin.app with Launch Services.
       - Add XDarwinStartup man page.
      (Torrey T. Lyons).
  26. Localize XDarwin credits in French (Olivier Verdier) and Portuguese
      (Fabr’cio L. de Castro).
  25. Turn off XFree86-Misc and VidMode extensions for XDarwin
      (Torrey T. Lyons).
  24. Localize a few missing strings in XDarwin preferences (Torrey T. Lyons).
  23. GeForce4 support (Mark Vojkovich).
  22. Add IA-64 460GX PCI IDs (Marc La France).
  21. Some vesa driver updates:
       - Use the common layer's mode validation functions, which gives
         mode selection behaviour more consistent with other drivers.
       - Don't force the depth 24 framebuffer bpp.  Instead check what
         framebuffer layouts are supported by VBE, and and choose the
         layout appropriately.
       - fb handles 24/32 fb/pixmap layout conversion, so don't use
         the xf24_32bpp module.
       - shadow + fb at depth 4 needs the bpp set to 8.
      (David Dawes).
  20. Fix some misleading messages about why modes aren't available
      (David Dawes).
  19. Fix for `hostname` issue on Linux (Marc La France).
  18. Fix startx script for ksh (Phillip B. Bruce).
  17. Fix Emulate3Buttons for wsmouse protocol on NetBSD and OpenBSD
      (Matthieu Herrb).
  16. Add Portuguese localization of XDarwin front end
      (Fabr’cio L. de Castro).
  15. Fix mouse Protocol "Auto" for SunOS (Marc La France).
  14. Relocate all driver low memory accesses (atimisc module not yet done)
      (Marc La France).
  13. Make driver I/O relocatable (atimisc, s3, sis and tseng not yet done)
      (Marc La France).
  12. PCI domain changes for SunOS/SPARC64 (Marc La France).
  11. PCI domain changes for Linux/SPARC64 (#4653, David S. Miller,
      Marc La France).
  10. Temporary workaround for IA-64 (Marc La France).
   9. Fix SIGSEGV when printing modes that have no modifiers (Marc La France).
   8. Revert the ATI driver's composite sync default to off (Marc La France).
   7. Add a note to the messages that get printed when a signal is caught
      during initialization (which includes X -configure) that reported
      unresolved symbols might not be the reason for the server aborting
      (David Dawes).
   6. Fix symbol registration in some drivers, which reduces the number of
      symbols reported as "unresolved" when 'X -configure' crashes
      (David Dawes).
   5. Fill in names for BIOS modes in the vesa driver's mode pool that weren't
      otherwise assigned names (David Dawes).
   4. Fix an unresolved symbol in libGLU.so that shows up when building it
      with gcc-3 (David Dawes).
   3. Fix invalid code caused by a memcpy() macro being split by a directive
      (#5150, Sami Farin).
   2. Fix incorrect symbol prefixing with Xlib's i18n modules on Solaris
      (Keith Packard, David Dawes).
   1. Don't try to print mode names when the name is NULL (David Dawes).

XFree86 4.2.0 (18 January 2002)
 690. Workaround for hardware bug that prevents older ATI 3D Rage adapters from
      being assigned to XF86Config device sections (Marc La France).

XFree86 4.1.99.7 (17 January 2002)
 689. Fix bug introduced in snapshot 4.1.99.5 causing XDarwin's PseudoramiX
      extension to always be disabled (Torrey T. Lyons).
 688. Disable the pipe check for stdout/stderr that was added in the previous
      snapshot because it looks like it might cause too many problems
      (David Dawes).
 687. Update the Arabic (ar) XKB keyboard map (#5145, Arabeyes team).
 686. Update the Russian (ru) XKB keyboard map, adding two new variants
      ("typewriter" and "phonetic") (#5143, Ivan Pascal).
 685. Remove the lt_a and lt_p XKB keyboard maps (#5139, Nerijus Baliunas).
 684. Disable the DRI and print a warning message for Radeon 8500 cards
      until they are supported (Kevin Martin).
 683. Properly detect when no BIOS is present on Radeon cards (#4978,
      Charles Hannum, Kevin Martin).
 682. Delay before restoring VGA registers for Radeons to "fix" VT switch
      problems (Kevin Martin).
 681. Add new PCI IDs from ATI (Kevin Martin).
 680. Update the Xinstall.sh script to create version compatibility links for
      shared freetype libraries when needed (David Dawes).
 679. Update Freetype2 shared library versions to match the versions libtool
      generates (Keith Packard).
 678. Doc updates (lots of people, includes #5142, 5144)

XFree86 4.1.99.6 (14 January 2002)
 677. Change the default verbosity level for stderr from 1 to 0 (David Dawes).
 676. Set the X server's stderr to non-blocking for non-root users
      (David Dawes).
 675. Don't allow the X server to start when stdout or stderr is a pipe for
      non-root users (David Dawes).
 674. Add OpenGL man pages.
 673. Avoid duplicate symbol problem with xkbevd on some platform (#A.769,
      Nicholas Leippe).
 672. Updated Ukranian XKB symbols file (#A.764, Andriy Rysin).
 671. Fix ELF loader for ARM architecture (#5138, Phil Blundell and
      Adam C. Powell IV).
 670. Fix a race condition in the Linux kernel DRM code (#5136,
      Arjan van de Ven).
 669. Fix DGA support in the s3virge driver (#5135, Kevin Brosius).
 668. Add XvBskew, XvRskew to adjust skew values for centering of an
      Xvideo window for the trident driver (Alan Hourihane).
 667. Fix loader for Motorola 68k machines (Alan Hourihane).
 666. Fix very high resolution modes (e.g. 1600x1200@16bpp) in the
      Trident driver (Alan Hourihane).
 665. -
 664. Quick hack to allow GLX to be included in non-XFree86 servers
      (Marc La France).
 663. More ROP_NEEDS_SOURCE fixes for Savage chipsets (Egbert Eich).
 662. Improvements to the SiS driver which should fix a lot of the 630
      issues (Thomas Winischhofer).
 661. In XDarwin IOKit mode, ignore screens sized 1x1 (Torrey T. Lyons).
 660. Some missing QNX fixes (#5121, Frank Liu).
 659. Update XDarwin man page and usage message for XFree86 4.2.0. Add
      XFree86 man page to XDarwin distribution (Torrey T. Lyons).
 658. Add bn_BD.UTF-8 to locale.dir (Taneem Ahmed).
 657. Fix luit not dropping priviledges when run with the -c flag (#5134,
      Juliusz Chroboczek).
 656. Fix unresolved symbol and loader symbol registration problems in the
      i810 driver that were introduced with the i830 support (David Dawes,
      Abraham vd Merwe).
 655. Fix sparklies problem for other Trident *BladeXP chipsets
      (Alan Hourihane).
 654. In XDarwin IOKit mode, ignore screens that can not provide the requested
      size, depth, or refresh rate instead of generating a fatal error
      (Torrey T. Lyons).

XFree86 4.1.99.5 (7 January 2002)
 653. Fix some typos in the DRI README (#A.757, Andreas Mohr).
 652. xon.sh path setting from 3.3.6 (#A.756, Marc Herbert).
 651. Fix a problem with the Radeon driver that was causing the sync polarity
      to be ignored (#A.753, Vedran Rodic).
 650. Set the max clock correctly for the G550 second head (#5133,
      Luugi Marsan).
 649. Fix a Radeon DRI lockup problem (#5128, Steven Pritchard).
 648. Back out some mga_g450pll.c changes that cause problems on at least
      some G450 configurations (#5122, David Woodhouse).
 647. Fix some xterm build warnings on *BSD (David Dawes, Thomas Dickey).
 646. Some QNX4 fixes/updates (#5121, 5124, 5130, 5131, Frank Liu).
 645. Prefer POSIX O_NONBLOCK to O_NDELAY (when defined) in lib/dps (#5121,
      Frank Liu).
 644. Fix portability problem with XpmI.h (based on #5121, Frank Liu).
 643. Only use SA_RESTART in xterm when it's available (#5121, Frank Liu).
 642. Work around Watcom compiler bug that shows up when building Mesa's
      stencil.c (David Dawes, based on #5121, Frank Liu).
 641. Handle __inline and __inline__ in compiler.h for non-GNU compilers,
      which makes it more likely that drivers will build with other compilers
      (David Dawes, based on #5121, Frank Liu).
 640. Build fixes for xedit/lisp. Don't define NEED_SNPRINTF when not needed.
      Avoid a double recursion into subdirs (#5123, Matthieu Herrb).
      Added code for systems without getpagesize.
 639. Fix the xdm's handling of keys, allowing keypad keys to work (#A.662,
      Servaas Vandenberghe).
 638. Fix hang when quitting XDarwin before starting X server
      (Torrey T. Lyons).
 637. Don't add XDarwin's PseudoramiX extension with only one screen
      (Greg Parker).
 636. Add Spanish localization of XDarwin help file (Pablo Di Noto).
 635. Improve XDarwinStartup's error reporting (Torrey T. Lyons).

XFree86 4.1.99.4 (28 December 2001)
 634. Update the ati/radeon driver to recognise the All-in-Wonder 8500's
      ID (#5117, Vladimir Dergachev).
 633. Fix bug where a pointer may be checked without being intialized in xman
      (#5120, Martin Husemann).
 632. Add an informational message to the radeon driver when LCD/DFP mode
      validation fails (#5118, Vladimir Dergachev).
 631. Handle the ATI Rage128 "PP" variant like the "PR" variant (#4982,
      Mike Harris).
 630. Fix a LynxOS on PowerPC build problem (#A.746, Stuart Lissaman).
 629. Fix the names of the Northern Saami keyboards (#A.742,
      Petter Reinholdtsen).
 628. Add Xinerama info to xdpyinfo (#A.741, Greg Parker).
 627. Fix an xdm problem caused by not handling an interrupted read (#A.728,
      Darren Marshall).
 626. Add functions completing text control for Render.  Bump XRender library
      minor version (Keith Packard).
 625. Add XKB layout info for a newer Logitech iTouch keyboard (#A.727,
      Dimitromanolakis Apostolos).
 624. Fix a problem that shows up with the summa tablet driver when using
      a Genius EasyPen (#A.714, Anders Melchiorsen).
 623. Fix for VT switch problem with the S3 driver (based on #A.677,
      Juergen Lesny).
 622. Remove some more spurious entries in the KSC 5601 encoding file (#A.678,
      Jungshik Shin).
 621. Fix for APM problem on devfs-based Linux systems with APM in a kernel
      module (#A.663, Denis Zaitsev).
 620. Update the mga Xv double buffering to match the more recent submission
      (#4976, Didier Gautheron).
 619. Fix a bug in the XKB Slovak (sk) layout (#A.621, Juraj Bednar).
 618. Fix a small window when a SIGIO may be received without a handler
      installed (David Dawes, based on #A.620, Michel Lespinasse).
 617. ISO 8859-{1,7,15} Compose file updates and fixes (#5114,
      Vasilis Vasaitis).
 616. In XDarwin multi-monitor IOKit mode, read screen location from the
      kernel (Torrey T. Lyons).
 615. Update XDarwin credits file (Torrey T. Lyons).
 614. Fix various XDarwin crashes in multi-monitor rootless mode by using
      a new "light" version of PanoramiX/Xinerama called PseudoramiX
      (Gregory Parker).
 613. Fix some typos in the X.Org INSTALL doc (#5113, Chris Pepper).
 612. Fix an bug that prevented the releasing of XvMC memory on exit (#5112,
      Matthew J. Sottek).
 611. Some Xprint build warning fixes (David Dawes).
 610. Xprt PCL3 support (#5111, Mark Snitily, from X11R6.6).
 609. Xprt PostScript bitmap cache (#5110, Chris Bare, from X11R6.6).
 608. Updates for the Romanian (ro) XKB map (#5108, Marius Andreiana).
 607. Update s3virge docs (#5107, Kevin Brosius).
 606. Disable pixmap24 option for Permedia3/4/R4 as the chip doesn't support
      this (Alan Hourihane).
 605. Fixed a infinite loop in the i2c code.
 604. Fixed a Sig11 problem in siliconmotion driver (Egbert Eich).
 603. Fixes to silicon motion driver:
	- gamma correction for 24 bit true color mode.
	- XAA: clipping rectangle was clipped to visible screen, so offscreen
	  pixmaps could not been drawn at with accelerated drawing functions.
	- in SMI_ScreenInit frame buffer size calculation for video changed.
	- smi_video: partly rewritten.
	  - Support for 7111
	  - interlaced video via
	    - XF86Config Option "Interlaced" or
	    - attribute XV_INTERLACED (Corvin Zahn).
 602. Add French localization of XDarwin help file (Olivier Verdier).

XFree86 4.1.99.3 (19 December 2001)
 601. Change the property Xprint uses to identify pmf printer internal fonts
      to avoid a clash with DPS (#5106, Chris Bare, from X11R6.6).
 600. Fix a C type aliasing bug in xkbcomp (#5104, Jakub Jelinek).
 599. Fix a bug in Xprint's PS output code that was over-optimizing out
      clip change requests (#5102, Chris Bare, from X11R6.6).
 598. Improved error handling for Xprint's -XpFile option (#5101, 5105,
      Chris Bare, from X11R6.6).
 597. Add higher resolution options to the Xprint postscript printer support
      (#5096, Chris Bare, from X11R6.6).
 596. BuildLoadableXlibI18n should be keyed off "SharedLibX11" rather than
      "BuildX11Lib" (#5095, Ernie Coskrey).
 595. Fix a luit inconsistency between the default data used when a
      locale is unknown and the data used by ISO 8859-1 locales (#5092,
      Juliusz Chroboczek).
 594. Add eo_EO locale entries, which is what GNU libc 2.2 uses for the
      Esperanto locale (#5091, Juliusz Chroboczek).
 593. Fix an Xprt page handling problem (#5090, Chris Bare, from X11R6.6).
 592. Update the X.Org release number from 6.5.1 to 6.6 in various
      documents and header files (#5089, 5100, Chris Bare, from X11R6.6).
 591. Recognise __SVR4 as an alternative for SVR4 in Xosdefs.h (#5087,
      Chris Bare, from X11R6.6).
 590. Cleanup some header files to make them more C++ friendly (#5086, 5088,
      Chris Bare, from X11R6.6).
 589. Update the driver status document (#5085, Branden Robinson).
 588. Fix the SiS drm driver (#5084, Torsten Duwe).
 588. Fix Trident driver pitch values when accelerator is in use, applies
      to Image and Blade series chips (Alan Hourihane).
 586. Minor bugfix to SiS driver, restructured VT switching code
      (Egbert Eich).
 585. Attempt to fix flickering in 24bpp on Trident CyberBladeXPAi1
      (Egbert Eich).
 584. Fixed UTF8lib support (Mike Fabian).
 583. Re-instate makedepend's recognition of backslash line terminations
      (Marc La France).
 582. Add proper reference counting to the XvMCContext so that destroying
      the context before destroying associated surfaces is handled correctly
      (#5083, Matthew J. Sottek).
 581. Fix the xtt (X-TrueType) font module so that it will recognise
      fonts with upper-case suffixes (".TTF" and ".TTC") (#5082,
      ISHIKAWA Mutsumi).
 580. Use uname instead of hostname in rstart and xon scripts for portability,
      plus some other rstart and xon fixes (#5081, Chris Bare, from X11R6.6).
 579. Some newport driver cleanups and fixes (#5080, 5103, Guido Guenther).
 578. Fix XagNsingleScreen definition and some related side-effects (#5077,
      Chris Bare, from X11R6.6).
 577. Fix some doc typos, and remove references to the non-existent
      shadowfb(4) man page (#5076, David Krause).
 576. Pitch calculation updates for the r128 driver (#5074, Michel Dänzer).
 575. Updates for VMware SVGA programming documentation (#5073,
      Jeremy (VMware)).
 574. Fix cases where makedepend reports the wrong line number and file when
      an error occurs (#5072, Mark Snitily, from X11R6.6).
 573. Fix differences in libXt behaviour when using poll() compared with
      when using select() (#5071, Chris Bare, from X11R6.6).
 572. Some warning cleanups for Tru64 (#5069, Antti Tapaninen).
 571. Fix a typo in the mt_us keymap entry (#5067, Nerijus Baliunas).
 570. Add some missing UNDEFINE lines to the iso8859-11 and tis620-2
      encoding files (#5065, 5066, Theppitak Karoonboonyanan).
 569. Some Luxi font updates:
       - update the Type 1 versions to fix a UID-related bug and cover more
         glyphs
       - update the TTF fonts.scale file to include ISO 8859-13
       - update the docs to properly reflect the fonts' glyph coverage
      (#5064, B&H, Juliusz Chroboczek).
 568. Fix "The Open Group" copyright notices to reflect the change in
      post R6.4 licensing (#5093, Mark Snitily, from X11R6.6).
 567. Added debugging helpers (Egbert Eich).
 566. Added support for the Trident CyberBladeXPAi1 (Egbert Eich).
 565. Fixed Mono8x8Fill problem in S3 Virge and Savage drivers (Egbert Eich).

XFree86 4.1.99.2 (12 December 2001)
 564. Fix XDarwin GetImage bug on screens other than 0 in rootless mode
      (Gregory Parker).
 563. Fix acceleration, hw cursor and console restoration in the "nv" driver
      on PowerPC (Mark Vojkovich).
 562. Fix console switching on r128 & radeon drivers using FBDev (#5075,
      Benjamin Herrenschmidt (radeon), Michel Dänzer (r128) ).
 561. Implement double buffering for XVputimage in the mga driver (#A.601,
      Didier Gautheron).
 560. Fix a wheel emulation problem that prevented delivery of button
      events when the wheel button was the same as one of the emulated
      button (#A.600, Antonio Larrosa Jiménez).
 559. Fix some 'make install.sdk' problems (#A.586, Stanislav Brabec).
 558. Fix mga DGA when UseFBDev is enabled (#A.584, Wayne Whitney).
 557. Fix dri module build when BuildXinerama is set to NO (David Dawes,
      based on #A.599, Pontus Lidman).
 556. Fix libXext build when BuildLBX is set to NO (based on #A.582,
      Didier Gautheron).
 555. Fix typo in ms_MY locale name (was ms_NY) (Hasbullah Bin Pit).
 554. Fix incorrect code in signal handlers in most of the clients,
      xterm and xdm not done yet (Matthieu Herrb).
 553. Add Glint R4 and Gamma2 support to the glint driver (Alan Hourihane).
 552. Fix rotated display in the nv driver (Mark Vojkovich).
 551. By default, validate all available modes rather than only the largest
      such mode (Marc La France).
 550. Various XDarwin improvements:
      - Use all 8 bits of PseudoColor in full screen Quartz mode.
      - Write XDarwin version number to console log.
      - Move Alt/Option key back to Mod1 by default.
      (Torrey T. Lyons)
 549. Fix offscreen memory manager segfault (Jacques Gangloff).
 548. XDarwin Quartz mode cursor improvements:
      - Safely free QuickDraw cursors.
      - Fix disappearing cursor in rootless mode with multiple monitors.
      (Gregory Parker and Torrey T. Lyons)
 547. i810 XvMC fixes (#5078, Matthew J. Sottek).
 546. Downgrade DDC-related mode rejections to warnings as some monitors
      advertise their nominal, rather than actual, tolerances (Marc La France).
 545. Add Korean localization of XDarwin front end (Kyunghwan Kim).
 544. Allow XDarwin to launch from the Finder even if there are spaces, etc.
      in the path to its application bundle (Torrey T. Lyons).
 543. Add XvHsync, XvVsync to adjust skew values for centering of an
      Xvideo window for the trident driver (Geoffrey Hausheer, Alan Hourihane).
 542. Fixed xkb to avoid setting of AccessXTimeout to 0 (Egbert Eich).
 541. Added option to sync the logfile after every line written (Egbert Eich).
 540. Improved APM handling:
      - Added disable of Input Handlers.
      - Added support for undo on failed APM requests.
      - Set vtSema to false (Egbert Eich).
 539. Improved detection of primary device especially for non-PC platforms
      (Egbert Eich).
 538. Silicon Motion driver Fixes:
      - Removed separate loading of int10 code.
      - Added reset of graphics engine on EnterVT (Egbert Eich).
 537. Set flag ROP_NEEDS_SOURCE for CPUToScreenColorExpand for all
      S3 Savage chips (Egbert Eich).
 536. SiS driver:
      - Added fix to restore fbdev mode properly on VT switch/exit.
      - Improved LCD handling on SiS 630.
      - fixed screen blanking in SiS driver to properly blank LCDs
        (Egbert Eich).
 535. Trident driver:
      - Fixed screen centering for 640x480 Modes.
      - Fixed video playback for BladeAi1.
      - Fixed hotkey internal/external switching for XPm8/16.
      - Added support for on-the-fly video recentering.
      - Attempt to fix contrast settings for video (Egbert Eich).
 534. Added reset code for PS/2 mice when replug events occurs
      (required for later Linux 2.4.x kernels) (Egbert Eich).
 533. xf86cfg: start AccessX controls even when started from a running server
      (Egbert Eich).
 532. Add support in glint driver for booting secondary cards that have
      the VGA disable jumper set (so no access to the BIOS) (Jay Estabrook).
 531. Add Spanish localization of XDarwin front end (Pablo Di Noto).
 530. Set the r128 DRI driver version back to 2.2 so that the major version is
      the same as for the version in XFree86 4.1.0.
 529. Fixes for DGA2.0 support in the radeon driver (#A.585,
      Shyouzou Sugitani).
 528. Fix mkfontdir's scanning of fonts.scale files to detect a bad file
      resulting from concatenating two fonts.scales files, and to avoid
      buffer overruns from over-long strings (#A.563, Jonathan Kamens).
 527. Avoid i810 VT switching problems on FreeBSD (David Dawes).
 526. Fix a possible SIGFPE in the X-TrueType fonts (#A.640, Nam SungHyun).
 525. Fix -probe and -configure to not clear the screen on exit on SunOS SPARC.
      (Marc La France).
 524. Fix support for ATI Graphics Pro Turbo 1600 adapters (Marc La France).
 523. Newport driver updates, including 24-bit support (#5062, Guido Guenther).
 522. Fix pixel info not being returned from the APPGROUP extension (#5061,
      Chris Bare, from X11R6.6).
 521. Remove debug message in the calcomp driver (#5060, Martin Kroeker).
 520. Replace "X Windows" with "X Window System" or "X" in various places
      (#5058, David Krause).
 519. Fix the size of some lbx struct members on 64-bit architectures
      (#5053, Chris Bare, from X11R6.6).
 518. Fix the size of some xXagGetAttrReply struct members on 64-bit
      architectures (#5052, Chris Bare, from X11R6.6).
 517. Add a NULL check that was missing in the CID part of the Type1 code
      (#5050, Mark Snitily, from X11R6.6).
 516. XKB AccessX LED beep feature (#5047, Chris Bare, from X11R6.6).
 515. Fix WriteToClient flushing bug (#5046, Chris Bare, from X11R6.6).
 514. Fix improper freeing of widget translations in libXt when
      REFCNT_TRANSLATIONS is defined (#5044, Chris Bare, from X11R6.6).
 513. Fix XPrint memory leak (#5042, Chris Bare, from X11R6.6).
 512. Local Authorization Fix (#5041, Chris Bare, from X11R6.6).
 511. Add locale entries for Sami (#5055, Børre Gaup).
 510. Fix XProcessInternalConnection man page duplication (#5040, Chris Bare,
      from X11R6.6).
 509. Minor xrx Imakefile fix (#5038, Chris Bare, from X11R6.6).
 508. Remove outdated xc/fonts/encodings/large/README (#5033,
      Juliusz Chroboczek).
 507. Enable XVideo support for the SuperSavage (#5031, Tim Roberts).
 506. Add some missing locale entries (#5026, Mike Harris).
 505. s3virge driver updates, including:
       - cr3a patch (#4884, Adam J. Richter)
       - ViRGE MX XVideo patch (#4915, Sven Menke)
       - An option to disable XVideo
       - Disable solid filled rects for Trio3D because of trouble reports
       - Some MX fixes
       - Fix ViRGE MX XVideo so window overlap works
       - Enable ViRGE GX2 XVideo
       - Fix low resolution problems on ViRGE MX (&GX2)
      (#5024, 5030, 5034, Kevin Brosius).
 504. Some new/updated xkb files (#5019, Pablo Saratxaga).
 503. Add some ATI PCI IDs (#5018, Mike Harris).
 502. Implement a hack for the DEC TGA2 cards which maps an extra page
      before framebuffer start as the acceleration code is slightly
      broken (Jay Estabrook).
 501. Allow secondary MGA boards to be used on Alpha that have the VGA
      disable switch set (Jay Estabrook).
 500. Fix Radeon jerky cursor movement bug (Jay Estabrook, #5054, Mike Harris).
 499. Add new Luxi fonts from Bigelow & Holmes (#5010, Charles Bigelow and
      Kris Holmes, integrated by Juliusz Chroboczek).
 498. Update the ClearlyU fonts to version 1.8 (#5009, Mark Leisher).
 497. Add XKB symbols for Saami (#5006, 5059, Børre Gaup).
 496. Change the mapping of the JIS reverse solidus to what most Japanese
      users expect (#5002, Juliusz Chroboczek).
 495. Fix hiding/showing of mouse cursor under Windows on Cygwin/XFree86
      (#5056, Harold Hunt).
 494. Fix Permedia3 SDRAM based boards planemask problems (Jay Estabrook).
 493. Don't use int10 in glint driver when using fbdev interface (#5039,
      Michel Dänzer).
 492. Fix SlowBCopy for MIPS and PowerPCs (Marc La France).
 491. Fix XF86Config overrides for I/O base, framebuffer address and video
      memory size in cyrix driver (Marc La France).
 490. Don't interfere with ATI panel support when using DDC information for
      monitor tolerance defaults (Marc La France).
 489. Add Dutch localization of XDarwin help file (Paul Edens).
 488. Add stub functions needed by libGL to libXThrStubs. Link libGL against
      libXthrStubs on systems that build it. (#4997, Matthieu Herrb).
 487. Fix building and loading of I18N modules by Xlib on NetBSD and OpenBSD
      (#5049, Matthieu Herrb).
 486. Fix duplicate loader symbols (#5048, Vladimir Dergachev).
 485. Fix problems with clipping in fb when the clip list contains negative
      coordinates (Gregory Parker).
 484. Fix return value of VBEBankSwitch() (Norm Raden).
 483. Updates/fixes for the QNX6 (aka Neutrino) port (#4990, Frank Liu).
 482. Autodetect when -fno-merge-constants is needed for building modules,
      and enable its use by default in those cases (Marc La France,
      David Dawes).
 481. Status doc updates (#4991, Branden Robinson).
 480. Fix for flickering i815 LCDs (#4968, Poul-Henning Kamp, Harald Koenig).
 479. Move much of the I18N code in Xlib into separately loadable
      modules (#4965, 5043, Ernie Coskrey, from X11R6.6).
 478. Modify UXTerm.ad's font5 resource so that xterm can display double
      width characters using a font distributed with XFree86 (#4962,
      Tomohiro KUBOTA).
 477. Add Dutch localization of XDarwin front end (Paul Edens).
 476. Add a quick check to not use as the default mode any internal modes
      with horizontal timing parameters that aren't CRT-friendly (David Dawes).
 475. Add an 832x624 @ 75Hz mode line to the default mode set (#4960,
      Andrew C. Aitchison).
 474. Fix Radeon LCD Panel detection and Power Delay (ATI Technologies).
 473. Ignore XDarwin full screen switch key combination when in rootless mode
      (Torrey T. Lyons).
 472. Xterm patches #163, #164 (Thomas Dickey): mostly bug fixes.
 471. Fix race condition in XDarwin causing occasional hangs or crashes when
      quitting from the menu (Torrey T. Lyons).
 470. Cygwin/XFree86 updates (#5035, #5036, Harold Hunt).
 469. Make sure Cygwin checks ENOBUFS for error test in XlibInt.c, as under
      Cygwin when the socket is full ENOBUFS is returned (Brian Genisio).
 468. Fix SIGFPE in LastLinePel for ATI Radeon, console restoring on dual CRT
      head on VE, improved panel and ddc line detection (ATI Technologies).
 467. Fix bug that caused hardware cursors to disappear on mode switches when
      silken mouse is disabled (Marc La France).
 466. Preliminary changes to keyboard handling for SPARC SunOS
      (Marc La France).
 465. Zero out SPARC SunOS primary framebuffer on exit, like Sun's servers do
      (Marc La France).
 464. More driver name normalisation (Marc La France).
 463. Minor speedup for Mach64 acceleration for big-endian architectures
      (Marc La France).
 462. Fix bug that prevented relocation of unassigned PCI I/O bases
      (Marc La France).
 461. Add Swedish localization of the XDarwin help file (Patrik Montgomery).
 460. Fix use of gethostbyname and getservbyname to _XGethostbyname and
      _XGetservbyname for portability (#5017, Mark W. Snitily, from X11R6.6).
 459. Fix buffer problems used by xrdb to build command line, noticed on
      systems with a large amount of visuals (#5016, Alan Coopersmith).
 458. Fix bug regarding signal handling in x11perf by inserting an abort
      test after each run (#5015, Mark W. Snitily, from X11R6.6).
 457. Add improved diagnostic messages and error checking to libXfont
      which is used by bdftopcf command (#5014, Chris Bare, from X11R6.6).
 456. Fix advertised surfaces for the i810 Motion Compensation driver and
      make use of new XVMC_INTRA_UNSIGNED surface flag (#5003, Matthew Sottek).
 455. Fix r128 driver to call wrapped screen functions when using the
      fbdevhw layer (#5004, Michel Dänzer).
 454. Add Rage128 Pro PP detection to ati driver (#5025, Alfred Perlstein,
      Mike Harris).
 453. Add CyberBladeXPAi1 recognition to the trident driver (#A.658,
      Jani Jaakkola).
 452. Fix typo in PCI bus scanning that caused a hang when there was more than
      one PCI bus (#A.652, Uwe Dannowski).
 451. Update Japanese localization of XDarwin help file (Toshimitsu Tanaka).
 450. Update XDarwin help file (Torrey T. Lyons).
 449. Fix XDarwin SHAPE support in rootless mode (Gregory Parker).
 448. More corrections to Xaw manpage (#5022, Branden Robinson).
 447. Fix XDarwin crash if a NULL mask is passed to Composite in rootless
      mode (Torrey T. Lyons).
 446. Fix XDarwin crash if more than one keyboard interface is returned from
      NXEventSystemInfo (Gregory Parker).
 445. Big5 encoding fix (#4957, Juliusz Chroboczek).
 444. Use DDC sync (disabled by default) and DPMS info (#4955,
      Andrew C Aitchison).
 443. Update the i810 XVideo support to double the maximum image width
      to 1440 (#4933, Philip Pokorny).
 442. Fix several memory leaks in x11perf (#4931, Ernie Coskrey, from X11R6.6).
 441. Bypass startup VT #1 switching hack for FreeBSD/syscons unless running
      on a pre-3.1 version of FreeBSD (#4926, Huver).
 440. Catch bogus flat panel dimensions in the ati/r128 driver (#4907,
      Michel Dänzer).
 439. Fix Maltese entry in xkbcomp/keymap/xfree86 (#4921, Nerijus Baliunas).
 438. Fix a locale.alias typo (#4920, Nerijus Baliunas).
 437. Documents Options for the Matrox and Neomagic drivers, and makes
      HW/SWcursor generic options (#5021, Dr. Andrew C. Aitchison).
 436. Corrections and updates to Xaw manpage (#5020, Branden Robinson).
 435. Add German localization of XDarwin front end (Andreas Monitzer).
 434. Add the DEC-XTRAP extension and sample clients (#4904, 4918,
      Paul Stewart).
 433. Update the us_intl XKB symbols map to include all diacritics used
      in latin script (#4917, Pablo Saratxaga).
 432. Add a Compose file for utf-8 (#4917, 5019, Pablo Saratxaga).
 431. Fix radeon and sis GL module Imakefiles (#4916, Bill Nottingham).
 430. Bug fixes and updates for Savage driver (#5001, Tim Roberts).
 429. Add luit (#4914, Juliusz Chroboczek).
 428. Fix a typo in fontenc that prevents building with no dependency on
      libfont (#4913, Juliusz Chroboczek).
 427. Add an encoding file for the KSC Johab encoding (#4912, Jungshik Shin).
 426. Remove some spurious entries in the KSC 5601 encoding file (#4910,
      Jungshik Shin).
 425. Add Swedish localization of XDarwin front end (Patrik Montgomery).
 424. Fill in mode switch characters in XDarwin keymap (Mario Klebsch and
      Torrey T. Lyons).
 423. Linux/PA-RISC portability fixes (#4892, Grant Grundler, Bdale Garbee,
      and LaMont Jones).
 422. Linux/mips portability patch (#4891, 4919, Guido Guenther).
 421. Preliminary support for building on Linux/arm32 (#4890,
      Branden Robinson).
 420. Make it possible to build the X server on Linux/m68k platforms
      (#4889, Christian T. Steigies).
 419. Fixes for xman's manpath config handling (#4886, Branden Robinson and
      Colin Watson).
 418. Fix some man page aliases (#4882, Branden Robinson).
 417. Define __GLX_ALIGN64 for glx on Alpha (based on #4888, Branden Robinson).
 416. Remove PEX5 from the lists of specs in doc/specs/Imakefile (#4881,
      Branden Robinson).
 415. linux.cf updates (#4874, Branden Robinson).
 414. Updates for zh locale files (#4879, Branden Robinson).
 413. xf86config man page update (#4877, Branden Robinson).
 412. Startx enhancements and cleanups (#4875, Branden Robinson and
      Henry T. So).
 411. Use DirectDraw2 instead of DirectDraw on Cygwin (#5012, Harold Hunt).
 410. Add French localization of XDarwin front end (Olivier Verdier).
 409. Fix portability problem in the generation of the man page version string
      (Marc La France).
 408. Fix a NativeGDI problem on Cygwin/XFree86 (#5007, #5008, Harold Hunt).
 407. Fix for threaded libraries (Marc La France).
 406. Finish removal of SuperProbe (Marc La France).
 405. A rather large number of warning fixes throughout (Marc La France).
 404. Fix bug in HTML install script (Marc La France).
 403. Missing ident lines for some XFree86-modified files (Marc La France).
 402. Add default half-width doublescanned modes (Marc La France).
 401. Mark all driver-registered resources with ResBus (Marc La France).
 400. Fix DPMS-related build problem (Marc La France).
 399. Log a message just before calling each ChipProbe() during '-probe'
      processing (Marc La France).
 398. Temporarily disable ISA probing on SPARCs and PowerPCs (Marc La France).
 397. Add PCI IDs for Sun hardware (Marc La France).
 396. Fix memory leak in resource relocation (Marc La France).
 395. Do not relocate resources that only conflict with disabled non-video PCI
      devices or disabled PCI ROMs (Marc La France).
 394. Re-organise SBUS code (Marc La France).
 393. Add as-yet-unused definitions for PCI resource types other than I/O and
      memory (Marc La France).
 392. Add doc for Solaris, but don't format it yet (Marc La France).
 391. Normalise driver names (Marc La France).
 390. For SPARCs, disable DGA support in ATI driver
      (from #4650, David S. Miller).
 389. Clean up some debugging messages (Marc La France).
 388. Fix newport driver for when a /proc fs isn't mounted (Marc La France).
 387. Fix DAC handling bugs in s3 driver (Marc La France).
 386. Fix resource registration bug for PCI Tseng's (Marc La France).
 385. Add aperture driver for Solaris (not yet used) (Marc La France).
 384. Rework scanpci to fix problems that prevented it from completely
      displaying non-PCI bridges and Simba bridges (Marc La France).
 383. Fix build problems in some input drivers (Marc La France).
 382. Fix int10 compile problem for SPARCs and PowerPCs (Marc La France).
 381. Ensure master aborts on secondary buses complete normally during PCI
      scans (Marc La France).
 380. Some memory mapping and Solaris cleanups (Marc La France).
 379. Fix XDarwin crash on server reset and problem in full screen mode when
      switching from X to Aqua to X too rapidly (Torrey T. Lyons).
 378. Add __apploaddir__ definition to imake MANDEFS, to specify location of
      app-defaults directory, fixes Debian bug report #87611 (Thomas Dickey).
 377. Xterm patches #161, #162 (Thomas Dickey): mostly bug fixes.
 376. Add new CyberBladeXP Aladdin based chip ID's (#4994, Hubert Feyrer).
 375. fix a potential issue where POSIX allows the string returned
      from getenv to be overwritten (from X11R6.6, Chris Bare).
 374. Cygwin/XFree86 cleanups and fixes (#4992, #4993, #4999 Harold Hunt).
 373. Fix i830 VT switching problems which hang the ring buffer (#4987,
      #4989, Abraham vd Merwe).
 372. fix a format string problem in lbxproxy, apparently not exploitable
      (r0gue@vertarmy.org,  Matthieu Herrb).
 371. Fix disappearing cursor in XDarwin rootless mode by falling back to
      system cursor for cursors bigger than 16x16 (Torrey T. Lyons).
 370. Make XDarwin start more robustly from the Finder (Torrey T. Lyons).
 369. Update XDarwin Japanese localization (Toshimitsu Tanaka).
 368. Fix calculation of DPI when Xinerama in use (#4986, Andrew C Aitchison).
 367. Update XDarwin preferences GUI to match current features
      (Torrey T. Lyons).
 366. Xkb fixes for international keyboards (Matthieu Herrb).
 365. Add client side sparc64 support for NetBSD and OpenBSD (Eduardo Horvath,
      Matthieu Herrb).
 364. Allow xkbcomp to be used in a cross-compile environment (Alan Hourihane).
 363. Update documention for the SiS driver, the Options file
      (Ademar de Souza Reis Jr.).
 362. Xterm patches #157, #158, #159, #160 (Thomas Dickey): mostly bug fixes.
 361. Fix high-res modes in the nv driver.  Add interlaced support for
      chips older than NV11 (Mark Vojkovich).
 360. Cross compilation fixes (#4981, Harold Hunt, Alan Hourihane).
 359. Fix cursor artifacts when running XDarwin in full screen Quartz mode
      with 8 bit depth (Torrey T. Lyons).
 358. Fix byte ordering issue in XDarwin when loading keymapping files on x86
      and correctly set ByteOrder for PPC and x86 (Rob Braun).
 357. When XDarwin is launched from the Finder, start X clients in an
      interactive shell if user's shell is Bourne-based (Torrey T. Lyons).
 356. Add CaseSensitiveFileSystem definition, which defaults to YES, except
      on Darwin, Cygwin, and OS/2. Fix another case problem spotted by
      NAKAHASHI Ichiro (Torrey T. Lyons).
 355. Enable Vendor specific FatalError for Cygwin/XFree86 and create
      the Xserver as a windows executable (#4967, Harold Hunt).
 354. Add i830 2D and DRI driver (#A.604, VA Linux Systems, 2D3D).
 353. Use the -no-cpp-precomp compiler option on Darwin, rather than the
      deprecated -traditional-cpp (Christoph Pfisterer).
 352. Reverting patch #340, fixing type (Egbert Eich).
 351. Fix rotation in fbdev driver (#4958, #4959, Michel Dänzer).
 350. Resync with DRI CVS trunk (DRI Project).
 349. Move ati driver out of DevelDrivers on PPC platforms (#4952,
      Michel Dänzer).
 348. SECURITY: set default value of authComplain resource in xdm to true.
      This closes a hole where anyone can connect to the X server if
      the xdm auth dir doesn't exist (Galen Hancock).
 347. SECURITY: don't let a non-root user halt the machine by having X
      send SIGUSR1 to init (Thomas Moestl).
 346. Changed int10 module to stub on Sparc (Egbert Eich).
 345. Added hyperpen driver (Roland Jansen et. al.).
 344. Fixed alignments of x86emu-structures for AXP (Jay Estabrook).
 343. Fixed XLoadQueryFont() and XLoadFont() to support locales
      (required for Euro support) (Markus Kuhn).
 342. Modified XtCvtStringToFont() to match any ISO8859 instead of
      latin1 as fallback. Required for Euro Support (Markus Kuhn).
 341. Added acute to compose key list for iso8859-15 (Markus Kuhn).
 340. Modified XV Xinerama support to recognize adaptors if screen 0
  has no adaptor (Egbert Eich).
 339. Modified order of disable devices and LeaveVT() to be symetric
      to the enter case (Egbert Eich).
 338. Modified GetTimeInMillis() to handle non monotonous system clocks
      (Egbert Eich).
 337. Added comment about a Zeos Meridan 850c Notebook to C&T docs (Alan Cox).
 336. Added call to vbeFree() to apm driver (Egbert Eich).
 335. C&T driver:
      - fixed sig11 problem for non-69030 chipsets.
      - fixed DGA to announce acellerated functions only if accelleration
        is enabled.
      - added FP_mode flag to C&T driver which allows to override the detected
        state of the flat panel (Egbert Eich).
      - fixed driver to act appropriately if the BIOS switches to the
        external monitor it detects when doing DDC.
      - Set IOBase correctly for MMIO when detection 65545 PCI.
      - fixed text screen restauration on 69030 (Egbert Eich).
      - reinabled correct KGA handling of C&T chips: unblank before the end
        of scanline.
      - added support for composite sync.
      - when FP is active disallow display sizes greater than panel.
      - added double buffering to video support.
      - fixed register settings to prevent flickering during video playback.
       (Egbert Eich).
 334. Fixed bug in C&T driver that caused interlaced mode not to work
      (Claus Hulstrøm).
 333. Added full MMIO support for C&T 69030 chips (Gregg H. Burman).
 332. Fixed MMIO accel code in Cirrus Alpine driver, got PIO accel code to
      work (Egbert Eich).
 331. Fixed fbdev to obtain 24 bit framebuffer format from the kernel, added
      more failure messages to fbdev driver (Egbert Eich).
 330. Added calls to vbeFree() to rendition, savage, silicon motion,
      i740 and i810 driver (Egbert Eich).
 329. Modified MGA driver for new Sparse allocation sceme (Jay Estabrook).
 328. Modified handling of sparse addresses on AXP: The code now no longer
      maps the entire sparse range. Now the required ranges are mapped
      relative to a fixed base address (Jay Estabrook).
 327. Fixed HW cursor for MGA G100 (Egbert Eich).
 326. Fixed MGA drivers to be able to use overlay modes when HAL lib is
      loaded (Egbert Eich).
 325. Disabled accel functions that cause lockups on certain neomagic
      systems by default. They can be reenabled by setting the option
      "StrangeLockups" to "no" (Egbert Eich).
 324. Did a further fix on ScreenToScreenCopy() for Neomagic 2200
      (Egbert Eich).
 323. Added experimental support for Toshiba Libretto. This can be enabled
      by the option "DisplayHeight480" (Egbert Eich).
 322. Fixed clipping in Savage driver, update to version 1.1.1.19
      (Tim Roberts).
 321. fixed calls to BLTSync() on SiS driver (Egbert Eich).
 320. Fixed Mono8x8PatternFill(): Moving SETROPFG behind SETROPBG did the
      trick (Egbert Eich).
 319. Setting 24 bpp pximap flags correctly in SiS driver dependening
      on chipset (Egbert Eich).
 318. Setting depth and bpp of framebuffer correctly for suncg14 and sunleo
      driver (Thorsten Kukuk).
 317. Tseng driver not longer ignores results of TsengDoMemLimit() which
      tests for certain restrictions on the usable framebuffer size
      (Egbert Eich).
 316. Vesa driver: adding calls to vbeFree() before exiting PreInit().
      Reinit vbe in ScreenInit() (Egbert Eich).
 315. Adding int10 initialization to generic vga driver (Egbert Eich).
 314. Modified generic vga driver to use shadow fb for vga16 on AXP.
      This works around the problem that AXP can address memory only 32bit
      wide which doesn't work on a latched register planar fb (Egbert Eich).
 313. Removing 3.3 code from wacom driver. Makes driver hard to read
      (Egbert Eich).
 312. Removing message output from xf86WcmPlug() which causes -configure
      to core dump (Egbert Eich).
 311. Modified int10 Pci code to be able to use new version of
      xf86ReadPciBIOS() (Egbert Eich).
 310. Modified int10 int1A handler to return valid when an unimplemented int10
      call is encountered. This allows fallback to system BIOS (Egbert Eich).
 309. Modified xf86ReadPciBIOS() to check for valid i386 PC signature.
      Added functions xf86GetAvailablePciBIOSTypes() and
      xf86ReadPciBIOSByType() to obtain available PCI BIOS types and
      retrieve a certain BIOS by type (Egbert Eich).
 308. Reversed bogus patch 1050 of version 4.0.2. The graphics engine will
      *never* be called after receiving an APM suspend and before receiving
      an APM resume. If the neomagic locks up on resume this has a different
      reason (Egbert Eich).
 307. Change  real/effective user ID to 0/0 before calling modprobe in
      xf86LoadKernelModule() on Linux so user can also load drm modules. Fixed
      PATH environment variable to /sbin (Stefan Dirsch, Egbert Eich).
 306. Removed disable/enable interrupt code on ia64 as interrupts cannot
      be controled from user level (Egbert Eich).
 305. Further attempt to fix split algorithm for MTRR regions (Egbert Eich).
 304. Fixed problem in XAACopyPlaneNtoNColorExpand() that caused bogus
      memory accesses when src was not in fb memory (Egbert Eich).
 303. Fixed cfb8_32PaintWindow() to use correct cfb32FillBoxTileOdd function
      (Egbert Eich).
 302. Fix to xdm PAM support (Werner Fink).
 301. Fixed cz and cz_querty keyboard layouts, added support for Slovak
      keyboard (Jan Holesovsky).
 300. Fixed core dump in twm if no locales are present (Egbert Eich).
 299. Modified xterm app default to use LFD fontnames instead of old type
      (Michael Schroeder).
 298. Add a f.startwm function to twm to start another manager.
      (Matthieu Herrb).
 297. Disable MIT-SHM in Xnest, caused a segfault (Matthieu Herrb).
 296. Update wskbd keyboard protocol handling for OpenBSD/macppc
      (Matthieu Herrb).
 295. Fix problems starting XDarwin from the Finder and pasting with
      multi-button mouse emulation (Torrey T. Lyons).
 294. S3 driver updates. Restore console for 964 with Ti3025 and Trio64, and
      support for Aurora64V+ (#4953, Ani Joshi).
 293. Fix USB Keyboard access when no PS/2 controller present
      (#4948, Pontus Lidman).
 292. Add i810 XvMC (Motion Compensation) driver (#4946, #4964, #4966,
      Matthew Sottek, Intel).
 291. When using XKB and LEDs are switched on/off by external application
      the keyboard module doesn't change phisycal LEDs state immediately
      (#4951, Ivan Pascal).
 290. Clean up Cygwin/XFree86 keyboard files (#4949 Harold Hunt).
 289. Add Matrox G550 support (#4947, Luugi Marson, Matrox).
 288. Remove SuperProbe.man definition for manual page
      (#4944, Ishikawa Mutsumi).
 287. Ark driver updates (#4943, Ani Joshi).
 286. Fix xterm when XIM is disabled - caused a segfault
      (#4942, Tomohiro Kubota).
 285. Add Big Endian support (PowerPC) to radeon driver (#4934, Ani Joshi).
 284. Fix support for legacy Windows TrueType fonts in Big5 encoding
      (#4938, Joe Man).
 283. Support Radeon 7500, 8500 and Rage128ProII (#4941, ATI Technologies).
 282. Support Trident TGUI96xx and greater with Xv (Alan Hourihane).
 281. XDarwin fixes for Xinerama in Quartz modes:
       - Turn Xinerama on by default.
       - Fix warping the cursor.
      Also load keymapping from file in IOKit mode for Mac OS X 10.1
      compatibility. (Torrey T. Lyons and Gregory Parker)
 280. Fix Trident 96xx high clock setting, acceleration fixes (Alan Hourihane).
 279. Fix XDarwin rootless crashing bug when window resizing with the Mac menu
      bar not on X11 main screen (Gregory Parker).
 278. Define X_LOCALE on Darwin as Darwin's setlocale() does not work
      properly (Torrey T. Lyons).
 277. Fix problems with XDarwin multi-monitor support for some screen
      arrangements (Gregory Parker).
 276. Preliminary big endian (PowerPC) support for the "nv" driver
      (Ani Joshi, Mark Vojkovich).
 275. Enable ThreadedX for Cygwin/XFree86 using auto import features of
      newer binutils packages (Alan Hourihane).
 274. Exclude the Mac OS X menu bar from the X11 screen while running XDarwin
      in rootless mode (Yannick Bessette and Torrey T. Lyons).
 273. Add support for builtin MTRR and AGP support in NetBSD 1.5Y.
      (Matthias Drochner and Frank van der Linden).
 272. Rework XDarwin front end to start X clients in the user's normal
      environment and fix issues while quitting (Torrey T. Lyons).
 271. SECURITY: fix glyph clipping for large origin (Keith Packard).
      Reported to be remotly exploitable through konqueror or netscape
      by Georgi Guninski.
 270. Fix setting of memPhysBase in a few drivers (#4937, Gerd Knorr).
 269. Finish merging freetype-2-0-4 into trunk by resolving conflicts. This
      also fixes a syntax error on Darwin caused by an out of date version of
      ttgload.c (Torrey T. Lyons).
 268. Update VMware driver (#4935, Jeremy (VMware)).
 267. Native GDI infrastructure sync with Cygwin/XFree86 (#4936, Harold Hunt).
 266. Update Darwin build configuration files including:
       - Report full OS version and more capabilities.
       - Fix X server build problem due to libraries in ProjectRoot being
         listed as dependencies for some targets.
       - Allow dynamic shared libraries to take advantage of two-level
         namespace on Darwin 1.4.
      (Torrey T. Lyons)
 265. Disable clipboard viewer, external program xwinclip handles this (fow now)
      (#4932, Harold Hunt).
 264. Add ability to let Aqua and X use different display modes while running
      XDarwin full screen (Torrey T. Lyons).
 263. Fix build dependency problem in xedit/lisp/lisp.rules
      (#4930, Harald Koenig).
 262. Fix a fontenc-related problem that can cause the TrueType backend
      to crash (#4909, Juliusz Chroboczek).
 261. Fix DPMS support for I128 driver (Robin Cutshaw).
 260. Add OSVErrorF for Cygwin/XFree86 (#4923, Harold Hunt).
 259. Support Trident Cyber9320, TGUI9440, TVGA8900C, TVGA9000 ISA chips
      (Alan Hourihane).
 258. Fix banked 24bpp displayWidth calculation (Marc La France).
 257. Fix accel initialisation bugs in ATI driver (Marc La France).
 256. Add entry to initialise framebuffer manager by area (allowing for a
      possible extra partial scanline) and make it print all largest areas
      (Marc La France).
 255. Make xdm use BSD authentification on OpenBSD and use setproctitle()
      instead of home grown version where available (enabled on
      OpenBSD and NetBSD only) (Matthieu Herrb).
 254. Make -configure generate the DisplaySize from the acquired DDC
      information (#4897, Andrew C Aitchison).

XFree86 4.1.99.1 (20 August 2001)
 253. Fix bad xalloc() in the new fontenc code (#4899, ISHIKAWA Mutsumi).
 252. Fix some Xrandr build issues on Cygwin/XFree86 (#4898, Suhaib Siddiqi).
 251. Fix some Cygwin/XFree86 dependencies in cygwin.rules (#4894, Harold Hunt).
 250. Add ATI Xpert2000 (Rage 128 SM) (#4896, Mike Harris).
 249. Fix '-configure' crash introduced recently (#4895, Andrew C Aitchison).
 248. Re-write Xvideo support for Permedia3 (Alan Hourihane).
 247. Add Texas Instruments Permedia to Delta attached chips (Alan Hourihane).
 246. Add Permedia4 support (different clock synth) (Jay Estabrook).
 245. Resync with DRI CVS trunk (VA Linux Systems).
 244. Add XKB descriptions for the extra keys on a Dell Internet keyboard
      (#A.533, Ben Liblit).
 243. Add a Maltese XKB map and locale support (#A.527, Ramon Casha).
 242. Add a new "bksl" variant of the Czech XKB map (#A.515, Stanislav Brabec).
 241. Fix the initialization sequence for ExplorerPS/2 (#A.510,
      Arndt Schoenewald).
 240. When xdm is built with PAM support, don't call getpwnam() before
      calling the various PAM functions associated with authenticating a user
      (A.504, Ben Harris).
 239. Fix ccmakedep to handle source file extensions of more than one
      character (#A.507, Andy Wiggin).
 238. Fix a VT switching crash in the cirrus driver when acceleration is
      disabled (#A.489, Kirill V. Semenkov, #A.518, B. D. Elliott).
 237. Add support for the "PR" variant of the Rage 128 Pro (#A.487,
      Alfred Perlstein).
 236. Make the config file created with 'XFree86 -configure' load the
      speedo and/or type1 modules if relevant font directory is in
      the font path (#A.484, Dmitry Yu. Bolkhovityanov).
 235. Fix a bug in the nv driver's detection of the crystal frequency (A.481,
      Leo L. Schwab).
 234. Make xfontsel use the same order in its menus as the sort order used
      by the X server and xfs (#A.480, Dmitry Yu. Bolkhovityanov).
 233. Add an input driver for DMC FIT10 touch-panel (#A.477, Mayk Langer).
 232. Fix xf86PostMotionEvent() to handle first_valuator values other than
      zero (#A.468, Joe Krahn).
 231. Change the Swedish xkb map to map AltGr+Space to space (#A.467,
      David Härdeman).
 230. Fix the return value information in the Xv library man pages (#A.458,
      Tommi Vainikainen).
 229. Fix the DGA client library so that it can map the video memory on
      Solaris 8 x86 (#A.454, Juergen Keil).
 228. Change {Max,Min}{X,Y}Position options in the elographics and mutouch
      drivers to {Max,Min}{X,Y} so that it's consistent with the other
      drivers.
 227. Some Bulgarian and Serbian locale updates (#A.444, Anton Zinoviev).
 226. Add a usage message to glxinfo (#A.430, Mike Coleman).
 225. Set the Alt/Windows key mappings for 104-key keyboards to be
      compatible with 101-key keyboards by default, and add some new
      XKB options to set them differently.
 224. Add some new XKB options to select third level shift and group
      switchers/togglers (#A.425, Anton Zinoviev).
 223. Fix a bug in the Serbian XKB map (#A.424, Anton Zinoviev).
 222. Export from the loader the DIX symbols necessary for a modular version
      of the DEC-XTRAP extension (#4797, Paul Stewart).
 221. Add a workaround for FreeBSD to make programs (like mkfontdir) that
      are run as part of the build use the shared libraries from the build
      rather than those that may be installed on the system (David Dawes).
 220. Use MAXSOCKS for connection limit in Cygwin/XFree86 (Alan Hourihane).
 219. Add Render's layer support to Cygwin/XFree86 (#4872, Harold Hunt).
 218. Support for OpenBSD/powerpc (Matthieu Herrb).
 217. Experimental change to default behaviour of ATI panel support to override
      the horizontal and vertical porches of all modes to that found in the
      mode on entry (Marc La France).
 216. Fix detection of a panel's mode on entry in the ATI driver
      (Marc La France).
 215. Fix for Option "CRTScreen" in ATI driver (Marc La France).
 214. Patch for the Thai glyphs in Mark Leisher's ClearlyU font (#4846,
      Theppitak Karoonboonyanan).
 213. Add a font encoding file for tis620-2 (#4845, Theppitak Karoonboonyanan).
 212. Add a font encoding file for ISO8859-16 (#4844, Markus Kuhn).
 211. Make the input method framework in Xlib work better in an UTF-8
      locale (#4843, Yao Zhang and Bruno Haible).
 210. Default *sampleText*international to false in xfontsel's app-defaults
      file, since it breaks if the user has '*international: true' (#4842,
      Juliusz Chroboczek).
 209. A new version of the fontenc layer.  A major difference is that it
      reads from a "system" encodings directory
      <ProjectRoot>/lib/fonts/encodings/encodings.dir, which is searched
      after any encodings.dir file in the font's directory.  The font
      ABI version is bumped to 0.3 and the Xfont shared library's version
      is bumped to 1.4 (#4839, Juliusz Chroboczek).
 208. Add support to xload for displaying the load of remote hosts by using
      information in rwhod(1)'s database (#4833, Anders Eriksson).
 207. Rename the XVisibilityNotifyEvent man page to XVisibilityEvent,
      which matches the naming convention for the other X Event man pages
      (#4830, Ernie Coskrey, from X11R6.6).
 206. Update the registry to match X.Org's X11R6.6 version (#4829,
      Ernie Coskrey, from X11R6.6).
 205. Fix for the SlowKeys feature of the AccessX portion of XKB not working
      when the delay is longer than the amount of time between the delivery
      of key press events to the extension (#4828, Ernie Coskrey,
      from X11R6.6).
 204. Add a locale alias for "th_TH.TIS-620" (#4827,
      Theppitak Karoonboonyanan).
 203. Some linux.cf updates (#4825, Branden Robinson).
 202. Make the vbe module build like the other modules.
 201. -
 200. Add a command line options (-show) to xvidtune to print out the current
      video mode (#4809, Markus Kuhn).
 199. A new driver for the "Acecad Flair" tablet (not enabled by default yet)
      (#4800, Edouard TISSERANT).
 198. Fix some typos in the iso8859-2 Compose file (#4799, Kamil Toman).
 197. Add some XKB options to allow the CapsLock behaviour to be easily
      selected (#4794, Ivan Pascal).
 196. Don't reference the log file in the FatalError message if it hasn't
      been opened yet (#4793, Branden Robinson).
 195. Add Calcomp input driver (#A.554 Martin Kroeker).
 194. Add preliminary 8 bit PseudoColor support to XDarwin full screen Quartz
      mode and fix IOKit mode PseudoColor that was broken by the multi-monitor
      patch (Torrey T. Lyons).
 193. Load XDarwin keymapping from file by default and give more useful error
      message if getting keymapping from kernel fails. Change keymapping
      translation so delete key is XK_BackSpace by default (Torrey T. Lyons).
 192. Create the two sets of locale.alias and locale.dir entries (those with
      and those without the ':' separator) from a single set of entries in
      the source files (David Dawes).
 191. Add an MS mouse driver for KDrive (#4754, Juliusz Chroboczek).
 190. Improve "true Big5" and "Emacs Big5" support (#4792, Yong Li, #4798,
      Tomohiro KUBOTA).
 189. Fix a non-standard character set bug in Xlib (#4792, Ivan Pascal).
 188. Fix for the savage driver on 64-bit platforms (#4788, Jay Estabrook).
 187. Xv fix for the r128 driver on big-endian architectures (#4781,
      Michel Dänzer).
 186. Fix an Xlib bug that affects conversion from CTEXT to multibyte /
      wide character (#4780, Tomohiro KUBOTA, #4783, Bruno Haible).
 185. Release notes (4.1.0) and Status doc fixes (#4778, 4779,
      Branden Robinson).
 184. 64-bit fix for lib/X11/ImUtil.c (#4773, Mike Harris).
 183. Fix dashed lines for the r128 driver on big-endian architectures
      (#4769, Michel Dänzer).
 182. Fix Xlib's parsing of CTEXT with multi-byte characters in GR (#4761,
      Juliusz Chroboczek).
 181. Fixes for the Romanian (ro) XKB map (#4746, Marius Andreiana).
 180. XDarwin bug fixes:
       - Stop FatalError re-entry in "no Quartz support" messages.
       - Synchronize XDarwin serverVisible state with application on rootless
         startup.
      (Torrey T. Lyons)
 179. Fix an XDarwin bug that broke XWarpPointer in Quartz modes (Gregory
      Parker).
 178. Fix some more mi build warnings (David Dawes).
 177. Fix some mi build warnings (#4716-4719,4721-4724, Adam Sulmicki).
 176. Port for Linux/SuperH (Jornada680/690 and SEGA Dreamcast) (#4680, 4681,
      ISHIKAWA Mutsumi).
 175. Support for mouse wheel emulation (#A.506, Henry T. So).
 174. Add support to Cygwin/XFree86 to use CTRL+ALT+BKSPACE as the shutdown
      signal and fix up command line options to accomodate.
      (#4838, Alexander Gottwald).
 173. In XDarwin, add ability to change modifiers to use when faking multiple
      mouse buttons (Gregory Parker).
 172. Do not build Cygwin/XFree86 with -ansi as Cygwin's library (newlib) lacks
      some prototype definitions that cause runtime failures (hypot being one
      of them) (Alan Hourihane).
 171. Add extra library flags (commented out for now) for building
      Cygwin/XFree86's server (#4834, Harold Hunt).
 170. Fix a bug in the v4l module which caused multiple TV cards not to work
      (#4835, Gerd Knorr).
 169. Add multi-monitor support to XDarwin for all display modes using
      Xinerama (Gregory Parker and Torrey T. Lyons).
 168. Fix 16bpp colour maps on Mach64's (Marc La France).
 167. Fix Mach64 DPMS bug (Marc La France).
 166. Fix bug that prevented hardware cursors on Mach64 CT's (Marc La France).
 165. Document what a ChipAdjustFrame() function should to to prevent moving
      of hardware cursors during mode switches (Marc La France).
 164. -Wimplicit warning cleanup [`make World` >required<] (Marc La France).
 163. Ensure installed headers can find the headers they, in turn, #include
      (Marc La France).
 162. Make imake pass its -W* flags to cpp (Marc La France).
 161. More accomodations for newer GCC's (Mike A. Harris).
 160. Remove a CYGWIN define from Xserver/include/windowstr.h
      (#4832, Harold Hunt).
 159. Fix a casting problem which causes bdftopcf to write corrupted
      fonts on buffer boundaries (#A.522, Jakub Bogusz).
 158. Cygwin/XFree86 updates (#4824, #4826 Harold Hunt).
 157. Fix horizontal stripes problem in Permedia3 driver (Alan Hourihane).
 156. Remove most X_NOT_STDC_ENV code, and assume that __STDC__ is defined
      (David Dawes).
 155. Remove (stale) support for Amoeba and Minix (David Dawes).
 154. Update Cygwin/XFree86 cross-compilation and update to latest
      source base (#4801, #4802, Harold Hunt).
 153. Fix 'make install' for Freetype. (#4812, Carlos A M dos Santos).
 152. Turn on dll style modules for Linux/MIPS. (#4807, Guido Guenther).
 151. Add support for ATI's Radeon VE, Mobility M6, All-In-Wonder Radeon
      and Rage128 Pro Ultra, Digital Flat Panel support. Use DDC2 interface.
      (#4817, Mike Smith, ATI Technologies).
 150. Add IBM S/390 support for building the tree (#4815, Mike A. Harris)
 149. Fixes incorrect spelling of "XChangeWindowAttributes" found in
      XCreateColormap(3X11) and XInstallColormap(3X11)
      (#4813 Carlos A M dos Santos).
 148. Fix a serious memory leak in XAA (Mark Vojkovich).
 147. Add a DriverPrivate field to I2C devices (Marc La France).
 146. In the ATI driver, initialise the fb manager whether or not XAA is also
      used (Marc La France).
 145. Fix typos in radeon and wacom drivers.
 144. Don't disable the secondary CRTC on ATI Rage XL adapters (it doesn't
      exist) (Marc La France).
 143. Speed up ix86 block moves in ATI driver (Marc La France).
 142. Temporarily disable hardware cursor support for ATI GX & CX adapters
      (Marc La France).
 141. Make composite sync the default in the ATI driver (David S. Miller).
 140. Rework stretching of small DFP modes in ATI driver (Marc La France).
 139. Add an interesting PCI ID (Marc La France).
 138. Allow ChipValidMode() functions to pre-calculate a mode's horizontal
      sync and vertical refresh rates (Marc La France).
 137. Another fix for mode switch and cursor interactions (Marc La France).
 136. Temporary fix for endianness problems in ATI driver (Marc La France).
 135. Add XGetIMValues() prototype to Xlib.h (Marc La France).
 134. Use a more reasonable numbering for recent binutils versions on Linux
      (Marc La France).
 133. Fix dependencies for building drivers in a static server
      (Marc La France).
 132. Update XDarwin Japanese localization to include rootless UI changes
      (Toshimitsu Tanaka).
 131. Fix potential XDarwin bug in translating Darwin keymappings to X11
      keymaps with unrecognized modifier keys (Gregory Parker).
 130. Make XDarwin ignore Caps Lock when checking for VT switch, except when
      the user's switch key preference includes Caps Lock (Gregory Parker).
 129. Update XDarwin Cocoa UI and preferences for rootless mode. Add more
      explicit error message for users trying to run in Quartz modes without
      Quartz support. Remove unneeded info.nib files (Torrey T. Lyons).
 128. Added XDarwin menu bar hiding/showing in rootless mode (Gregory Parker).
 127. Fix DDC from reporting misleading information.
      (#4806 Andrew C Aitchison)
 126. Patch to make VBE DDC honour the NoDDC option.
      Before this, NoDDC disabled only 2 of the 3 ways the server might
      ask the monitor for DDC infomation.
      (#4805 Andrew C Aitchison)
 125. Stops xf86cfg complaining about non-video chips from Intel.
      Adds a few PCI card ids for Intel and one for Matrox.
      (#4804 Andrew C Aitchison)
 124. Add support for NVIDIA nForce integrated graphics (Mark Vojkovich).
 123. Fix a possible fatal crash in Xv when Xinerama is used (Mark Vojkovich).
 122. Corrects typos in output of xf86cfg when checking modules and
      documents ddc module options (Andrew C Aitchison).
 121. On Mac OS X, allow users to disable mouse acceleration changes by
      XDarwin (Torrey T. Lyons).
 120. By default, don't build the MagicTouch input driver until a common layer
      interface is coded for it (Marc La France).
 119. Fix Offscreen Image support for Xv/v4l in tdfx driver (Alan Hourihane).
 118. Add MagicTouch driver (A.482, Mauro Ziliani)
 117. Fix side effect in XFree86 of the recent changes to libxf86config
      (A.486, Knuts Andy).
 116. Define Xutf8LookupString in X11-def.cpp for Cygwin/XFree86
      (#4790, Suhaib Siddiqi).
 115. Turn on RandR build for Cygwin/XFree86 (#4789, Harold Hunt).
 114. Import of Gregory Parker's rootless code for Mac OS X. The code has
      been cleaned up, reorganized, and modified to use Cocoa and fb
      (Gregory Parker and Torrey T. Lyons).
 113. Freshen SCO port (#4709, J. Kean Johnston).
 112. Fix int10 build for GCC 3.0 (Marc La France).
 111. An attempt at fixing the i740 driver to not reference options before they
      are collected (Marc La France).
 110. Fix for RandR build (Bill Crawford).
 109. Fix 3Dfx Voodoo Banshee boards with timing issues (Alan Hourihane).
 108. Allow Cygwin/XFree86 to be cross compiled (#4784-#4786 Harold Hunt).
 107. Fix fatal bug in XAA's N-to-N CopyPlane acceleration (Elliot Lee).
 106. Add RandR support to the Kdrive PCMCIA driver (Alan Hourihane).
 105. Fix SharedLibGL to SharedLibGlx in cygwin.rules and some Cygwin/XFree86
      fixes including enabling backing store. (#4770, #4771 Harold Hunt).
 104. xf86UnMapVidMem shows the wrong number of arguments in
      os-support/README.OS-lib (#4357, Guido Guenther).
 103. Some driver loader symbol req/ref registration cleanups (David Dawes).
 102. Cygwin/XFree86 fixes.
      Release pressed modifier keys when server looses focus.
      Remove declaration in lib/X11/lcGetConv.c (no longer needed).
      Remove unnecessary #if(n)def __CYGWIN__ in lib/X11/lcGetConv.c, one in
      lib/dps/csconndi.c and one in lib/font/Type1/regions.h.
      Add a new SharedDepLibraryTarget rule (#4763-#4768, Harold Hunt).
 101. Fix bogus handling of BUS_CNTL Mach64 register (Marc La France).
 100. Fix a typo in xc/programs/bitmap/Bitmap.h (#4757, Suhaib Siddiqi).
  99. Add Cygwin/XFree86 manpage and minor tweaks (#4756, Harold Hunt).
  98. Ensure PCI master aborts are allowed to complete normally on non-root
      buses (Marc La France).
  97. Allow ChipScreenInit()'s to load modules during the first server
      generation (Marc La France).
  96. Update XvMC header files to match the spec (Matthew Sottek).
  95. Darwin build configuration changes:
       - Turn on building Xv and GLX extensions.
       - Make GLX and GLU build successfully.
       - Use Darwin's libz instead of building one for XFree86.
       - Use XFree86's standard compiler optimization flags per CPU type.
      (Torrey T. Lyons).
  94. Fix Xserver/Imakefile typo which broke XDarwin build (Torrey T. Lyons).
  93. Fix Darwin bindist files so that dynamic shared libraries are put in
      Xbin.tgz instead of Xprog.tgz (Torrey T. Lyons).
  92. Fix problem in Ib/Xaw/AsciiSrc.c:nitStringOrFile() when descriptor 0
      is closed, as a zero return value from open(2) is taken as an error
      (splite at purdue.edu).
  91. Fix glide driver that causes -configure to fail for all drivers
      (Alan Hourihane).
  90. Don't define SVR4 on Cygwin/XFree86 (#4751, Suhaib Siddiqi,
      Alan Hourihane).
  89. Don't override system commands specified in host.def on Cygwin/XFree86
      (#4753, Alexander Gottwald).
  88. Fix cursor problem in server respawn's on Cygwin/XFree86
      (#4750, Harold Hunt).
  87. Fix typo definition of CplusplusCmd in cygwin.cf
      (#4752, Alexander Gottwald).
  86. Fix makedepend for use on Cygwin/XFree86.
      Use makedepend on Cygwin/XFree86.
      Fix SharedDepLibraryTarget so that build dependencies are correct,
      this fixes libGLU's build problem (Alan Hourihane).
  85. Don't define MKSTEMP on Cygwin/XFree86 (#4725, Harold Hunt).
  84. Fix memory count function for I128 (Mark Thompson).
  83. Use TermcapLibrary as -lncurses instead of -ltermcap, fixes problem
      building xterm/resize on Cygwin/XFree86 (#4749, Harold Hunt).
  82. Fix X server segfault in the GLX code (Brian Paul).
  81. PseudoColor fixes for Cygwin/XFree86 (#4745, Harold Hunt).
  80. Fix broken TGA driver (Alan Hourihane).
  79. Fix FIFO reset trouble in tdfx driver by lowering the FIFO size due to
      suspect code in Glide3. (Alan Hourihane).
  78. Fix Xvideo in tdfx driver when using YUY2 or UYVY data (Alan Hourihane).
  77. Add two missing symbols to loader reference for the glint driver
      (#4740, Mike Harris).
  76. Make Cygwin/XFree86 work at 8bpp, and re-arrange some command line
      flags. (#4743, Harold Hunt).
  75. Fix some build issues on Cygwin/XFree86 (#4736, #4737, Suhaib Siddiqi).
  74. Some Cygwin/XFree86 cleanups (#4735, Harold Hunt).
  73. Fix XAA's incorrect acceleration of X-Render's repeated sources and
      masks (Mark Vojkovich).
  72. Disable PCI resource conflict checking for Linux/Alpha (Jay Estabrook).
  71. Fix Linux xf86GetPciSizeFromOS() parsing when the kernel is 64 bit
      and any base or size is larger than 32 bits in magnitude (#4732,
      David S. Miller).
  70. Xinstall.sh updates and bug fixes (David Dawes).
  69. Make XDarwin ddx pass up proper right and middle mouse button numbers
      and fix mouse button 5 (Christoph Pfisterer and Torrey T. Lyons).
  68. Restore backwards compatibility from 4.0.[2,3] to 4.1.0 for
      the i810, r128 and radeon DRI drivers (Gareth Hughes).
  67. Fix a problem when using patterns of horizontal lines with the mga
      video overlay (#A.442, Ewald Snel).
  66. Remove duplicate XineramaLibrary section in X11.tmpl (#4731,
      Mike Harris).
  65. Enable building DRI for Linux/ppc, and fix a drm-related bug
      for Linux/ppc (#4728, 4730, Michel Dänzer).
  64. Document Options for the r128 and fbdev drivers (#4727, 4729,
      Michel Dänzer).
  63. Add a BuildBindist switch which causes a file containing the XFree86
      version number to be installed in ProjectRoot, include this in
      the Xbin bindist tarballs, and turn on this switch in the bindist
      host.def files.  The purpose is to allow the installer script to
      easily identify which version the bindist tarballs are (David Dawes).
  62. Resync bindist and Xinstall.sh with changes made for 4.0.3 (David Dawes).
  61. Fix the Shape extension's XShapeCombineMask to handle cases where
      src_mask is None according to the spec.  This reportedly fixes an
      X server crash (#4715, Huver).
  60. Exclude the DRI extension when NO_HW_ONLY_EXTS is defined (based on
      #4714, Frederic Lepied).
  59. Fixup Cygwin/XFree86 after recent Xrandr changes (#4726, Harold Hunt).
  58. Fix ATI Radeon driver on Alpha. Seems as though the BIOS doesn't
      like Re-POSTing and memory setup gets confused. (Jay Estabrook, Jeff
      Weidemeier)
  57. Build fixes for Cygwin/XFree86 (#4710,#4711,#4713 Harold Hunt).
  56. Fix problem with Xinstall.sh on Darwin 1.3.x (#A.431, Stefan Pantos).
  55. Update Xinstall.sh and Darwin bindist directories to optionally
      install Quartz support and to add an x86 distribution (Torrey T. Lyons).
  54. Install xterm.termcap and xterm.terminfo when installing xterm
      (Torrey T. Lyons).
  53. Add missing return value for miSetPixmapDepths() (#4708,
      ISHIKAWA Mutsumi).
  52. Fill in the v4l man page template with some useful information (#4707,
      Gerd Knorr).
  51. Fix FFB OpenGL SwapBuffers (#4705, David S. Miller).
  50. Fix some mi build warnings (#4695-4701,4704, Adam Sulmicki).
